=== added directory 'admin'
=== added directory 'admin/systems'
=== added directory 'admin/systems/samba'
=== added file 'admin/systems/samba/class_winGeneric.inc'
--- admin/systems/samba/class_winGeneric.inc	1970-01-01 00:00:00 +0000
+++ admin/systems/samba/class_winGeneric.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,375 @@
+<?php
+
+class wingeneric extends plugin
+{
+  /* Generic terminal attributes */
+  var $interfaces= array();
+
+  /* Needed values and lists */
+  var $base= "";
+  var $cn= "";
+  var $description= "";
+  var $orig_dn= "";
+  var $shadowLastChange="";
+  var $uidNumber="";
+  var $gidNumber="";
+  var $loginShell="";
+  var $gecos="";
+  var $shadowMin="";
+  var $shadowWarning="";
+  var $shadowInactive="";
+  var $uid="";
+  var $sn="";
+  var $givenName="";
+  var $homeDirectory="";
+  var $sambaSID="";
+  var $sambaPrimaryGroupSID="";
+  var $displayName="";
+  var $sambaPwdMustChange="";
+  var $sambaNTPassword="";
+  var $sambaPwdLastSet="";
+  var $sambaAcctFlags="";
+  var $netConfigDNS;
+
+  var $orig_cn;
+  var $orig_base;
+  var $baseSelector;
+
+  /* attribute list for save action */
+  var $ignore_account= TRUE;
+  var $attributes   = array("cn", "description","shadowLastChange",
+                            "uidNumber","gidNumber","loginShell","gecos","shadowMin","shadowWarning",
+                            "shadowInactive","uid","cn","sn","givenName","homeDirectory","sambaSID",
+                            "sambaPrimaryGroupSID","displayName", "sambaPwdMustChange",
+                            "sambaNTPassword","sambaPwdLastSet","sambaAcctFlags");
+  var $objectclasses= array("posixAccount","person","organizationalPerson","inetOrgPerson","shadowAccount","sambaSamAccount","top");
+
+  var $view_logged = FALSE;
+
+  function wingeneric (&$config, $dn= NULL, $parent= NULL)
+  {
+    plugin::plugin ($config, $dn, $parent);
+    $this->netConfigDNS = new termDNS($this->config,$this,$this->objectclasses,FALSE,"uid");
+    $this->netConfigDNS->cn =  preg_replace("/\\\$\$/","",$this->uid);
+    $this->netConfigDNS->MACisMust = FALSE;
+    $this->netConfigDNS->IPisMust = FALSE;
+
+    // The combination of the used objectClasses may differ, remember the initial ones.
+    if(isset($this->attrs['objectClass'])){
+        $this->objectclasses = array();
+        for($i=0; $i < $this->attrs['objectClass']['count'] ;  $i++ ){
+            $this->objectclasses[] = $this->attrs['objectClass'][$i];
+        }
+    }
+
+    /* Set base */
+    if ($this->dn == "new"){
+      $ui = get_userinfo();
+      $this->base= dn2base(session::global_is_set("CurrentMainBase")?"cn=dummy,".session::global_get("CurrentMainBase"):$ui->dn);
+      $this->cn= "";
+    } elseif(class_available("ArpNewDevice") &&
+                preg_match("/".preg_quote(get_ou("ArpNewDevice", "systemIncomingRDN"), '/')."/i", $this->dn)){
+      $this->base= preg_replace ("/^[^,]+,".preg_quote(get_ou("ArpNewDevice", "systemIncomingRDN"), '/')."/i", "", $this->dn);
+    } else {
+      $this->base= preg_replace ("/^[^,]+,".preg_quote(get_winstations_ou(), '/')."/i", "", $this->dn);
+    }
+
+    $this->cn= preg_replace("/\\\$\$/","",$this->cn);
+
+    /* Save dn for later references */
+    $this->orig_dn= $this->dn;
+    $this->orig_base= $this->base;
+    $this->orig_cn= $this->cn;
+
+    /* Instanciate base selector */
+    $this->baseSelector= new baseSelector($this->get_allowed_bases(), $this->base);
+    $this->baseSelector->setSubmitButton(false);
+    $this->baseSelector->setHeight(300);
+    $this->baseSelector->update(true);
+  }
+
+
+  function set_acl_base($base)
+  {
+    plugin::set_acl_base($base);
+    $this->netConfigDNS->set_acl_base($base);
+  }
+
+
+  function set_acl_category($cat)
+  {
+    plugin::set_acl_category($cat);
+    $this->netConfigDNS->set_acl_category($cat);
+  }
+
+
+  function execute()
+  {
+    /* Call parent execute */
+    plugin::execute();
+
+    if($this->is_account && !$this->view_logged){
+      $this->view_logged = TRUE;
+      new log("view","winworkstation/".get_class($this),$this->dn);
+    }
+
+
+    /* Do we represent a valid phone? */
+    if (!$this->is_account && $this->parent === NULL){
+      $display= "<img alt=\"\" src=\"images/small-error.png\" align=middle>&nbsp;<b>".
+        msgPool::noValidExtension(_("network"))."</b>";
+      return($display);
+    }
+
+    /* Fill templating stuff */
+    $smarty= get_smarty();
+
+    
+    $tmp = $this->plInfo();
+    foreach($tmp['plProvidedAcls'] as $name => $translated){
+      $smarty->assign($name."ACL",$this->getacl($name));
+    }
+
+    /* Assign attributes */
+    foreach ($this->attributes as $attr){
+      $smarty->assign("$attr", set_post($this->$attr));
+    }
+    
+    $smarty->assign("base", $this->baseSelector->render());
+
+    /* Show main page */
+    $str = $this->netConfigDNS->execute();
+    if(is_object($this->netConfigDNS->dialog)){
+      return($str);
+    }
+    $smarty->assign("netconfig", $str);
+    return($smarty->fetch (get_template_path('wingeneric.tpl', TRUE,dirname(__FILE__))));
+  }
+
+  function remove_from_parent()
+  {
+    $this->netConfigDNS->remove_from_parent();
+    $ldap= $this->config->get_ldap_link();
+    $ldap->rmdir($this->dn);
+    new log("remove","winworkstation/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+    if (!$ldap->success()){
+      msg_dialog::display(_("LDAP error"), msgPool::ldaperror($ldap->get_error(), $this->dn, LDAP_DEL, get_class()));
+    }
+    $this->handle_post_events("remove");
+
+    /* Delete references to object groups */
+    $ldap->cd ($this->config->current['BASE']);
+    $ldap->search ("(&(objectClass=gosaGroupOfNames)(member=".LDAP::prepare4filter($this->dn)."))", array("cn"));
+    while ($ldap->fetch()){
+      $og= new ogroup($this->config, $ldap->getDN());
+      unset($og->member[$this->dn]);
+      $og->save ();
+    }
+  }
+
+
+  /* Save data to object */
+  function save_object()
+  {
+    /* Create a base backup and reset the
+       base directly after calling plugin::save_object();
+       Base will be set seperatly a few lines below */
+    $base_tmp = $this->base;
+    plugin::save_object();
+    $this->base = $base_tmp;
+
+    $this->netConfigDNS->save_object();
+
+    /* Refresh base */
+    if ($this->acl_is_moveable($this->base)){
+      if (!$this->baseSelector->update()) {
+        msg_dialog::display(_("Error"), msgPool::permMove(), ERROR_DIALOG);
+      }
+      if ($this->base != $this->baseSelector->getBase()) {
+        $this->base= $this->baseSelector->getBase();
+        $this->is_modified= TRUE;
+      }
+    }
+
+  }
+
+
+  /* Check supplied data */
+  function check()
+  {
+    /* Call common method to give check the hook */
+    $message= plugin::check();
+    $message= array_merge($message, $this->netConfigDNS->check());
+    $this->dn= "cn=".$this->uid.",".get_ou("wingeneric", "sambaMachineAccountRDN").$this->base;
+
+    if(!$this->acl_is_createable()){
+      $message[]= msgPool::permCreate();
+    }
+
+    if ($this->orig_dn != $this->dn){
+      $ldap= $this->config->get_ldap_link();
+      $ldap->cd ($this->base);
+      $ldap->search ("(cn=".$this->cn.")", array("cn"));
+      if ($ldap->count() != 0){
+        while ($attrs= $ldap->fetch()){
+          if(preg_match("/cn=dhcp,/",$attrs['dn'])){
+            continue;
+          }
+          if ($attrs['dn'] != $this->orig_dn){
+            $message[]= msgPool::duplicated(_("Name"));
+            break;
+          }
+        }
+      }
+    }
+
+    // Check if a wrong base was supplied
+    if(!$this->baseSelector->checkLastBaseUpdate()){
+      $message[]= msgPool::check_base();;
+    }
+
+    /* Check if we are allowed to create or move this object
+     */
+    if($this->orig_dn == "new" && !$this->acl_is_createable($this->base)){
+      $message[] = msgPool::permCreate();
+    }elseif($this->orig_dn != "new" && $this->base != $this->orig_base && !$this->acl_is_moveable($this->base)){
+      $message[] = msgPool::permMove();
+    }
+
+    return ($message);
+  }
+
+
+  /* Save to LDAP */
+  function save()
+  {
+    plugin::save();
+
+    /* Remove all empty values */
+    if ($this->orig_dn == 'new'){
+      $attrs= array();
+      foreach ($this->attrs as $key => $val){
+        if (is_array($val) && count($val) == 0){
+          continue;
+        }
+        $attrs[$key]= $val;
+      }
+      $this->attrs= $attrs;
+    }
+
+    if(($this->gosaUnitTag) && (!in_array_ics("gosaAdministrativeUnitTag",$this->attrs['objectClass']))){
+      $this->attrs['objectClass'][] = "gosaAdministrativeUnitTag";
+    }
+
+    $curOcs = $this->attrs['objectClass'];
+    $this->cleanup();
+
+    // Prepare list of object classes
+    $ocs = array();
+    if(!empty($this->netConfigDNS->macAddress)){
+        $ocs [] = 'ieee802Device';
+    }else{
+        $curOcs = array_remove_entries(array('ieee802Device'), $curOcs);
+        $this->attrs['macAddress'] = array();
+    } 
+    if(!empty($this->netConfigDNS->ipHostNumber)){
+        $ocs [] = 'ipHost';
+    }else{
+        $curOcs = array_remove_entries(array('ipHost'), $curOcs);
+        $this->attrs['ipHostNumber'] = array();
+    } 
+
+    $this->attrs['objectClass']=$curOcs;
+
+    /* Write back to ldap */
+    $ldap= $this->config->get_ldap_link();
+    if ($this->orig_dn == 'new'){
+      $ldap->cd($this->config->current['BASE']);
+      $ldap->create_missing_trees(preg_replace('/^[^,]+,/', '', $this->dn));
+      $ldap->cd($this->dn);
+      $ldap->add($this->attrs);
+      new log("create","winworkstation/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+      $this->handle_post_events("add");
+    } else {
+      if ($this->orig_dn != $this->dn){
+        $this->move($this->orig_dn, $this->dn);
+      }
+
+      $ldap->cd($this->dn);
+      $ldap->modify ($this->attrs); 
+      new log("modify","winworkstation/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+      $this->handle_post_events("modify");
+    }
+
+    if (!$ldap->success()){
+      msg_dialog::display(_("LDAP error"), msgPool::ldaperror($ldap->get_error(), $this->dn, 0, get_class()));
+    }
+
+    // Prepare list of object classes
+    $ocs = array();
+    if(!empty($this->netConfigDNS->macAddress)){
+        $ocs [] = 'ieee802Device';
+    } 
+    if(!empty($this->netConfigDNS->ipHostNumber)){
+        $ocs [] = 'ipHost';
+    } 
+
+    $this->netConfigDNS->objectclasses=$ocs;
+    $this->netConfigDNS->cn =  preg_replace("/\\\$\$/","",$this->uid);
+    $this->netConfigDNS->save();
+  }
+
+  /* Return plugin informations for acl handling
+  #FIXME FAIscript seams to ununsed within this class... */
+  static function plInfo()
+  {
+      return (array(
+                  "plShortName"   => _("Win generic"),
+                  "plDescription" => _("Windows workstation generic"),
+                  "plSelfModify"  => FALSE,
+                  "plDepends"     => array(),
+                  "plPriority"    => 0,
+                  "plSection"     => array("administration"),
+                  "plCategory"    => array("winworkstation" => array("description"  => _("Win workstation"),
+                          "objectClass"  => "gotoWorkstation")),
+
+                  "plRequirements"=> array(
+                      'ldapSchema' => array(
+                          'posixAccount' => '',
+                          'organizationalPerson' => '',
+                          'person' => '',
+                          'inetOrgPerson' => '',
+                          'gosaAccount' => '>=2.7',
+                          'shadowAccount' => '',
+                          'sambaSamAccount' => ''
+                          ),
+                      'onFailureDisablePlugin' => array(get_class())
+                      ),
+
+
+                  "plProperties" =>
+                  array(
+                      array(
+                          "name"          => "sambaMachineAccountRDN",
+                          "type"          => "rdn",
+                          "default"       => "ou=winstations,ou=systems,",
+                          "description"   => _("RDN for samba machine account storage."),
+                          "check"         => "gosaProperty::isRdn",
+                          "migrate"       => "migrate_sambaMachineAccountRDN",
+                          "group"         => "plugin",
+                          "mandatory"     => FALSE
+                          )
+                      ),
+
+          "plProvidedAcls"=> array(
+            "cn"                  => _("Name"),
+            "base"                => _("Base"),
+            "description"         => _("Description"))
+          ));
+  }
+
+
+}
+
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:
+?>

=== added directory 'admin/systems/samba/migration'
=== added file 'admin/systems/samba/migration/class_migrate_sambaMachineAccountRDN.inc'
--- admin/systems/samba/migration/class_migrate_sambaMachineAccountRDN.inc	1970-01-01 00:00:00 +0000
+++ admin/systems/samba/migration/class_migrate_sambaMachineAccountRDN.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,6 @@
+<?php 
+class migrate_sambaMachineAccountRDN extends migrateRDN implements propertyMigration
+{
+	protected $filter = '(&(objectClass=sambaSamAccount)(uid=*$)%s)';
+}
+?>

=== added file 'admin/systems/samba/tabs_winstation.inc'
--- admin/systems/samba/tabs_winstation.inc	1970-01-01 00:00:00 +0000
+++ admin/systems/samba/tabs_winstation.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,45 @@
+<?php
+
+class wintabs extends tabs
+{
+
+  function wintabs($config, $data, $dn,$category,$hide_refs = FALSE, $hide_acls = FALSE)
+  {
+    tabs::tabs($config, $data, $dn,$category,$hide_refs , $hide_acls);
+
+    /* Add references/acls/snapshots */
+    $this->addSpecialTabs();
+  }
+
+  function save_object($save_current= FALSE)
+  {
+    tabs::save_object($save_current);
+  }
+
+
+  function save($ignore_account= FALSE)
+  {
+    /* Check for new 'dn', in order to propagate the
+       'dn' to all plugins */
+
+    /* add $ to end of name if mising */
+    $baseobject= $this->by_object['wingeneric'];
+    if(!preg_match("/\\\$\$/",$baseobject->cn)){
+      $baseobject->cn .= "$";
+    }
+
+    /* Save this system with uid and NOT cn */
+    $this->dn= "uid=$baseobject->uid,".get_winstations_ou().$baseobject->base;
+    $baseobject->dn= $this->dn;
+
+    foreach ($this->by_object as $key => $obj){
+      $this->by_object[$key]->dn= $this->dn;
+    }
+
+    tabs::save();
+  }
+
+}
+
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:
+?>

=== added file 'admin/systems/samba/wingeneric.tpl'
--- admin/systems/samba/wingeneric.tpl	1970-01-01 00:00:00 +0000
+++ admin/systems/samba/wingeneric.tpl	2010-10-04 10:45:44 +0000
@@ -0,0 +1,46 @@
+<table summary="{t}Windows workstation{/t}" width="100%">
+ <tr>
+  <td style='width:50%;'>
+
+	<table summary="{t}Generic settings{/t}">
+	 <tr>
+	  <td><LABEL for="cn">{t}Machine name{/t}</LABEL>{$must}</td>
+	  <td>
+{render acl=$cnACL}
+			<input type='text' id="cn" name="cn" size=20 maxlength=60 value="{$cn}">
+{/render}
+	  </td>
+	 </tr>
+	 <tr>
+          <td colspan=2>&nbsp;</td>
+	 </tr>
+ 	 <tr>
+	  <td><LABEL for="base">{t}Base{/t}</LABEL>{$must}</td>
+	  <td>
+{render acl=$baseACL}
+{$base}
+{/render}
+	   </td>
+	  </tr>
+	</table>
+  </td>
+  <td>
+
+	  <LABEL for="description">{t}Description{/t}</LABEL>
+{render acl=$descriptionACL}
+		<input type='text' id="description" name="description" size=25 maxlength=80 value="{$description}">
+{/render}
+  </td>
+ </tr>
+</table>
+
+<hr>
+
+{$netconfig}
+
+<!-- Place cursor -->
+<script language="JavaScript" type="text/javascript">
+  <!-- // First input field on page
+	focus_field('cn');
+  -->
+</script>

=== added directory 'contrib'
=== added file 'contrib/fix_munged'
--- contrib/fix_munged	1970-01-01 00:00:00 +0000
+++ contrib/fix_munged	2010-10-04 10:45:44 +0000
@@ -0,0 +1,95 @@
+#!/usr/bin/php
+<?php
+require_once('../include/class_sambaMungedDial.inc');
+
+/*
+	* GOsa: fix_munged.php - Modify existings sambaMungedDial-Entries to work with latest Win2003SP1 
+	*
+	* Authors: Jan Wenzel    <jan.wenzel@GONICUS.de>
+	*
+	* Copyright (C) 2006 GONICUS GmbH
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+	* USA
+	*
+	* Contact information: GONICUS GmbH
+	* Moehnestrasse 11-17
+	* D-59755 Arnsberg
+	* Germany
+	* tel: ++49 2932 916 0
+	* fax: ++49 2932 916 230
+	* email: info@GONICUS.de
+	* http://www.GONICUS.de
+	* */
+
+/* Modify these settings to your needs */
+$ldap_host= "localhost";
+$ldap_port= "389";
+$ldap_base= "dc=gonicus,dc=de";
+$ldap_admin= "cn=ldapadmin,".$ldap_base;
+$ldap_password= "tester";
+
+/* Internal Settings */
+$ldap_protocol= "3";
+$filter= "(&(objectClass=sambaSamAccount)(sambaMungedDial=*))";
+$attributes= array("dn","sambaMungedDial");
+
+print("This script will try to convert all ldap entries that have the sambaMungedDial-Attribute set, into the new \n".
+	    "format that win2003sp1 and later requires. If an entry is already in the new format, it is not touched. \n".
+			"BEWARE: This script is not widely tested yet, so use it at your own risk! Be sure to backup your complete LDAP \n".
+			"before running.\n".
+			"Do you want to continue (y/n)?\n");
+
+$handle= fopen("php://stdin","r");
+$input=(fgets($handle,16));
+fclose($handle);
+if(substr(strtolower($input),0,1)!="y") {
+	exit(1);
+}
+/* Connect to server */
+$connection= ldap_connect($ldap_host,$ldap_port) 
+	or die ('Could not connect to server '.$ldap_host."\n!");
+ldap_set_option($connection, LDAP_OPT_PROTOCOL_VERSION, $ldap_protocol);
+ldap_bind($connection,$ldap_admin,$ldap_password)
+	or die ('Could not bind to server '.$ldap_host."!\n");
+
+$results= ldap_get_entries($connection, ldap_search($connection, $ldap_base, $filter, $attributes));
+
+$count= 0;
+
+if(array_key_exists('count', $results)) {
+	$count= $results['count'];
+}
+
+if($count > 0) {
+	print('We found '.$count.' matching '.(($count==1)?'entry':'entries').".\n");
+}
+
+for($i=0; $i<$count; $i++) {
+	$entry= $results[$i];
+	print('Converting '.$entry['dn'].'...'); 
+	$mungedDial = new sambaMungedDial();
+	$mungedDial->load($entry['sambamungeddial'][0]);
+	$modify['sambaMungedDial'][0]= $mungedDial->getMunged();
+	if(ldap_modify($connection,$entry['dn'],$modify)) {
+		print("done.\n");
+	} else {
+		print("failed.\n");
+	}
+}
+
+ldap_close($connection);
+?>
+

=== added file 'contrib/goSamba.pl'
--- contrib/goSamba.pl	1970-01-01 00:00:00 +0000
+++ contrib/goSamba.pl	2010-10-04 10:45:44 +0000
@@ -0,0 +1,163 @@
+#!/usr/bin/perl
+
+
+# Copyright (C) 2005 Guillaume Delecourt <guillaume.delecourt@opensides.be>
+# Copyright (c) 2009 Benoit Mortier <benoit.mortier@opensides.be>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+#
+
+use Net::LDAP;
+use Getopt::Std;
+use Net::LDAP::Schema;
+use Net::LDAP::LDIF;
+
+# Variables a config
+$admin="cn=ldapadmin,dc=example,dc=be";
+$password="";
+$peopleou="ou=people,dc=example,dc=be";
+$base="dc=example,dc=be";
+$scope="one"; # par defaut
+$dump_file="samba-before-gosa.ldif";
+$server="localhost";
+
+
+my %Options;
+
+my $ok = getopts('?', \%Options);
+
+#Verifying if help is needed
+if ( (!$ok) || (@ARGV < 1) || ($Options{'?'}) ) {
+	&help();
+}
+
+print "We backup the whole tree before every operation\n";
+&dump();
+
+$comm=$ARGV[0];
+
+if($comm eq "del" && @ARGV >1 )
+{	
+	print "You asked to delete attributes : ";
+	$i=1;
+	while($ARGV[$i] ne "")
+	{	
+			print $ARGV[$i]." ";
+			$i++;
+	}
+	print "\n";
+	$ldap = Net::LDAP->new($server);
+	$ldap->bind($admin,password=>$password);
+
+
+	print "ldap connection " .$ldap;
+
+	$mesg = $ldap->search(filter=>"(objectClass=*)",base=>$peopleou,scope=>$scope);
+	@entries = $mesg->entries;
+
+	foreach $entry (@entries) {
+		$i=1;
+		print $entry->dn()."\n";
+		while($ARGV[$i] ne "")
+		{	
+			if($ARGV[$i] eq "obj"){$obj=1;$i++;next}
+			if($obj==1)
+			{
+				$mesg = $ldap->modify($entry->dn(), delete => {"ObjectClass"=>"$ARGV[$i]"});
+				print "\t objectClass: ".$ARGV[$i];
+			}
+			else
+			{
+				$mesg = $ldap->modify($entry->dn(), delete => [$ARGV[$i]]);
+				print "\t attribut: ".$ARGV[$i];
+			}
+			$obj=0;
+			$i++;
+		}
+		
+		print "\n";
+	}
+	$ldap->unbind;
+	exit(0);
+}
+elsif($comm eq "gosa" && @ARGV ==1)
+{
+	print "Add GOsa attribute for the following users\n";
+	print "---------------------------------------------\n";
+	$ldap = Net::LDAP->new($server);
+	$ldap->bind($admin,password=>$password);
+	$mesg = $ldap->search(filter=>"&(!(objectClass~=gosaAccount))", base=>$peopleou,scope=>$scope);
+	@entries = $mesg->entries;
+
+	foreach $entry (@entries) {
+		$mesg = $ldap->modify($entry->dn(), add => { "ObjectClass" => "gosaAccount"});
+		$mesg = $ldap->modify($entry->dn(), add => { "ObjectClass" => "organizationalPerson"});
+		$mesg = $ldap->modify($entry->dn(), add => { "ObjectClass" => "Person"});
+		print $entry->dn();
+		print "\n";
+	}
+	$ldap->unbind;
+	exit(0);
+}
+elsif($comm eq "modif" && @ARGV >1)
+{
+	print "Modifications asked\n";
+	print "------------------------\n";
+	$ldap = Net::LDAP->new($server);
+	$ldap->bind($admin,password=>$password);
+
+	$mesg = $ldap->search(filter=>"(objectClass=*)",base=>$peopleou,scope=>$scope);
+	@entries = $mesg->entries;
+	foreach $entry (@entries) {
+	$mesg = $ldap->modify($entry->dn(), replace => { "$ARGV[1]" => "$ARGV[2]" } );
+	print $entry->dn()."\n\tattribut $ARGV[1] modified with the value $ARGV[2]\n";
+	}
+	$ldap->unbind;
+	exit(0);
+}
+elsif($comm eq "dump" && @ARGV ==1)
+{
+	&dump();
+}
+else
+{
+	&help();
+}
+
+sub help()
+{
+    print_banner;
+    print "Usage: $0 [-?] command\n";
+    print "\t-?	show this help message\n";
+    print "\tgosa -> add GOsa attributes to the people branch !\n";
+    print "\tdel <attribute>  -> Remove an attribute from the people branch !\n";
+    print "\tmodif <attribute> <attribute value> -> to modify the attribute\n";
+    print "\tdump -> dump the whole ldap tree\n";
+    exit (1);
+}
+
+sub dump()
+{
+    $ldap = Net::LDAP->new($server) or die "$@";
+    $ldap->bind($admin,password=>$password);
+    my $ldif = Net::LDAP::LDIF->new($dump_file,'w') ;
+    $mesg = $ldap->search ( 
+				base   => "$base",
+				filter => "(objectclass=*)"
+			);
+    $ldif->write_entry($mesg->entries) ;
+    $ldap->unbind;
+}

=== added directory 'html'
=== added directory 'html/images'
=== added file 'html/images/plugin.png'
Binary files html/images/plugin.png and html/images/plugin.png differ
=== added file 'html/images/terminal_server.png'
Binary files html/images/terminal_server.png and html/images/terminal_server.png differ
=== added directory 'locale'
=== added directory 'locale/de'
=== added directory 'locale/de/LC_MESSAGES'
=== added file 'locale/de/LC_MESSAGES/messages.po'
--- locale/de/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/de/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,633 @@
+# translation of messages.po to deutsch
+# GOsa2 Translations
+# Copyright (C) 2003 GONICUS GmbH, Germany
+# This file is distributed under the same license as the GOsa2 package.
+#
+#
+# Alfred Schroeder <schroeder@GONICUS.de>, 2004.
+# Cajus Pollmeier <pollmeier@gonicus.de>, 2004, 2005, 2006, 2008.
+# Jan Wenzel <jan.wenzel@gonicus.de>, 2004,2005, 2008.
+# Stefan Koehler <stefan.koehler@GONICUS.de>, 2005.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2010-09-17 10:54+0100\n"
+"Last-Translator: Fabian Hickert <Fabian.Hickert@GONICUS.DE>\n"
+"Language-Team: deutsch <de@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+msgid "Windows workstation"
+msgstr "Windows Arbeitsstationen"
+
+#: admin/systems/samba/wingeneric.tpl:5
+msgid "Generic settings"
+msgstr "Allgemeine Benutzereinstellungen"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Name des Systems"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Basis"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Beschreibung"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr "Netzwerk"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr "LDAP-Fehler"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "Fehler"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Name"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr "Windows (Allgemein)"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr "Windows-Arbeitsstation (Allgemein)"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr "Windows Arbeitsstation"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr "RDN zur Ablage von Samba-Maschinen-Konten."
+
+#: personal/samba/samba3.tpl:1
+msgid "Samba configuration"
+msgstr "Sabma-Konfiguration"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Allgemein"
+
+#: personal/samba/samba3.tpl:14
+msgid "Path configuration"
+msgstr "Pfad-Konfiguration"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Basisverzeichnis"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Domäne"
+
+#: personal/samba/samba3.tpl:38
+msgid "Show information"
+msgstr "Zeige Information"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr "Profil- und Skript-Pfad Einstellungen"
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Anmeldeskript"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Profil-Pfad"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Terminal-Server"
+
+#: personal/samba/samba3.tpl:77
+msgid "Terminal server settings"
+msgstr "Terminal-Server Einstellungen"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Anmeldung am Terminalserver zulassen"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr "Terminal-Server Verbindungseinstellungen"
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+msgid "Inherit client configuration"
+msgstr "Client-Konfiguration übernehmen"
+
+#: personal/samba/samba3.tpl:153
+msgid "Client configuration"
+msgstr "Klient-Konfiguration"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Startprogramm"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Arbeitsverzeichnis"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+msgid "Connection timeout settings"
+msgstr "Verbindungs-Timeout Einstellungen"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Zeitlimit (in Minuten)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Verbinden"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Trennen"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "Leerlauf"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Client-Geräte"
+
+#: personal/samba/samba3.tpl:251
+msgid "Connect client drives at log on"
+msgstr "Client-Laufwerke beim Anmelden verbinden"
+
+#: personal/samba/samba3.tpl:259
+msgid "Connect client printers at log on"
+msgstr "Client-Drucker beim Anmelden verbinden"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Standard-Drucker vom Client wählen"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Verschiedenes"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Spiegeln"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Bei Trennung oder abgelaufenem Zeitlimit"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Wiederherstellen falls unterbrochen"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Zugriffsoptionen"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+msgid "Enforce password change"
+msgstr "Erzwinge Änderung des Passwortes"
+
+#: personal/samba/samba3.tpl:350
+msgid "The password never expires"
+msgstr "Passwort läuft nie ab"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "Die Anmeldung vom Windows-Client erfordert kein Passwort"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Samba-Konto sperren"
+
+#: personal/samba/samba3.tpl:383
+msgid "Cannot change password"
+msgstr "Kann Passwort nicht ändern"
+
+#: personal/samba/samba3.tpl:402
+msgid "Samba log on times"
+msgstr "Samba Anmeldezeiten"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "Einstellungen bearbeiten..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Erlaube Verbindungen nur von diesen Arbeitsstationen"
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr "Verwendet von allen Benutzern"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr "Verwendet von einigen Benutzern"
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Wählen Sie die Stunden, in denen der Benutzer angemeldet sein darf"
+
+#: personal/samba/sambaLogonHours.tpl:24
+msgid "Samba logon hours"
+msgstr "Samba Anmeldezeiten"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "Stunde"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+msgid "Manage personal Samba settings"
+msgstr "Persönliche Samba-Einstellungen verwalten"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "POSIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "deaktiviert"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "Eingabe EIN, Benachrichtigen EIN"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "Eingabe EIN, Benachrichtigen AUS"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "Eingabe AUS, Benachrichtigen EIN"
+
+#: personal/samba/class_sambaAccount.inc:410
+msgid "input off, notify off"
+msgstr "Eingabe AUS, Benachrichtigen AUS"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "trennen"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "zurücksetzen"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "von jedem Client"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "nur von vorherigem Client"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "Das Passwort ist aufgrund der Domänen-Richtline seit %s abgelaufen."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, php-format
+msgid "The password is valid till %s."
+msgstr "Das Passwort ist bis %s gültig."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "default"
+msgstr "Standard"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr "Aus"
+
+#: personal/samba/class_sambaAccount.inc:645
+msgid "On"
+msgstr "An"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr "Sekunden"
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+msgid "minutes"
+msgstr "Minuten"
+
+#: personal/samba/class_sambaAccount.inc:669
+msgid "forever"
+msgstr "dauerhaft"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr "aus"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+msgid "on"
+msgstr "an"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+msgid "unset"
+msgstr "nicht gesetzt"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr "sofort"
+
+#: personal/samba/class_sambaAccount.inc:761
+msgid "days"
+msgstr "Tage"
+
+#: personal/samba/class_sambaAccount.inc:762
+msgid "hours"
+msgstr "Stunden"
+
+#: personal/samba/class_sambaAccount.inc:769
+msgid "Domain attributes"
+msgstr "Eigenschaften der Domäne"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+msgid "Min password length"
+msgstr "Minimale Passwort-Länge"
+
+#: personal/samba/class_sambaAccount.inc:772
+msgid "Password history"
+msgstr "Passwort-Historie"
+
+#: personal/samba/class_sambaAccount.inc:773
+msgid "Force password change"
+msgstr "Erzwinge Änderung des Passwortes"
+
+#: personal/samba/class_sambaAccount.inc:774
+msgid "Maximum password age"
+msgstr "Maximales Passwort-Alter"
+
+#: personal/samba/class_sambaAccount.inc:775
+msgid "Minimum password age"
+msgstr "Minimales Passwort-Alter"
+
+#: personal/samba/class_sambaAccount.inc:776
+msgid "Lockout duration"
+msgstr "Dauer der Sperre"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr "Aussperren nach Anzahl fehlgeschlagener Anmeldungen"
+
+#: personal/samba/class_sambaAccount.inc:778
+msgid "Disconnect time"
+msgstr "Zeit bis automatische Trennung"
+
+#: personal/samba/class_sambaAccount.inc:779
+msgid "Refuse machine password change"
+msgstr "Verweigere Änderung der Passwörter für Computerkonten"
+
+#: personal/samba/class_sambaAccount.inc:781
+msgid "User attributes"
+msgstr "Eigenschaften des Benutzers"
+
+#: personal/samba/class_sambaAccount.inc:782
+msgid "SID"
+msgstr "SID"
+
+#: personal/samba/class_sambaAccount.inc:783
+msgid "Last failed login"
+msgstr "Letzter Fehlschlag der Anmeldung"
+
+#: personal/samba/class_sambaAccount.inc:784
+msgid "Log on attempts"
+msgstr "Anmeldeversuche"
+
+#: personal/samba/class_sambaAccount.inc:785
+msgid "Last password update"
+msgstr "Letzte Passwortänderung"
+
+#: personal/samba/class_sambaAccount.inc:786
+msgid "Last log on"
+msgstr "Letztes Login"
+
+#: personal/samba/class_sambaAccount.inc:787
+msgid "Last log off"
+msgstr "Letzte Abmeldung"
+
+#: personal/samba/class_sambaAccount.inc:788
+msgid "Automatic log off"
+msgstr "Automatische Abmeldung"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "Passwort läuft ab"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "nein"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr ""
+"Das Passwort läuft am %s ab, aber ablaufende Passwörter sind deaktiviert."
+
+#: personal/samba/class_sambaAccount.inc:799
+msgid "Password change available"
+msgstr "Passwort-Änderung möglich"
+
+#: personal/samba/class_sambaAccount.inc:857
+msgid "Home drive"
+msgstr "Basis-Laufwerk"
+
+#: personal/samba/class_sambaAccount.inc:860
+msgid "Home path"
+msgstr "Basis-Pfad"
+
+#: personal/samba/class_sambaAccount.inc:883
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr "Die Benutzerverwaltung von Windows erlaubt höchstens acht Clients!"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Information"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Warnung"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+"Undefinierte Samba SID festgestellt. Bitte beheben Sie dieses Problem "
+"manuell!"
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+"Kann primäre Gruppe nicht in Samba-Gruppe überführen: die Gruppe kann nicht "
+"identifiziert werden!"
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Samba-Einstellungen"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Mein Konto"
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Allgemeines Basisverzeichnis"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Allgemeines Samba Basis-Laufwerk"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Allgemeiner Skript-Pfad"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Allgemeiner Profil-Pfad"
+
+#: personal/samba/class_sambaAccount.inc:1174
+msgid "Disallow password change"
+msgstr "Verbiete Passwort Änderungen"
+
+#: personal/samba/class_sambaAccount.inc:1176
+msgid "Password never expires"
+msgstr "Passwort läuft nie ab"
+
+#: personal/samba/class_sambaAccount.inc:1179
+msgid "Log on hours"
+msgstr "Anmeldezeiten"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Erlaube Verbindung von"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"Die Benutzerverwaltung von Windows erlaubt höchstens acht Clients. Sie haben "
+"mehr als acht angegeben."
+
+#~ msgid "This does something"
+#~ msgstr "Dies tut etwas"
+
+#~ msgid ""
+#~ "The 'sambaMachineAccountRDN' statement defines the location where new "
+#~ "windows workstations will be created. The default is 'ou=winstation,'."
+#~ msgstr ""
+#~ "Die Option 'sambaMachineAccountRDN' definiert den Ablageort für neue "
+#~ "Windows Arbeitsstationen. Der Standard ist 'ou=winstation,'."
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Wählen Sie den Teilbaum, in den die Gruppe eingepflegt werden soll"
+
+#~ msgid "Select a base"
+#~ msgstr "Wählen Sie eine Basis"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Der Benutzer darf das Passwort vom Client aus ändern"
+
+#~ msgid "Password expires on"
+#~ msgstr "Passwort läuft ab am"
+
+#~ msgid "Account expires after"
+#~ msgstr "Konto läuft ab am"
+
+#~ msgid "The password is valid till %s, by domain policy."
+#~ msgstr "Das Passwort ist aufgrund der Domänen-Richtline bis %s gültig."
+
+#~ msgid "Allow user to change password"
+#~ msgstr "Benutzer darf sein Passwort ändern"
+
+#~ msgid "Account expires"
+#~ msgstr "Konto läuft ab"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Limitiere Logon Zeit"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Limitiere Logoff Zeit"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Wählen Sie die hinzuzufügenden Arbeitsstationen"
+
+#~ msgid "Filters"
+#~ msgstr "Filter"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Zeige die Arbeitsstationen der Abteilung"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Wählen Sie die Abteilung, auf die die Suchfunktion angewandt wird"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Regulärer Ausdruck zum Erkennen von Mail-Adressen"
+
+#~ msgid "Please select an entry!"
+#~ msgstr "Bitte wählen Sie einen Eintrag!"

=== added directory 'locale/en'
=== added directory 'locale/en/LC_MESSAGES'
=== added directory 'locale/es'
=== added directory 'locale/es/LC_MESSAGES'
=== added file 'locale/es/LC_MESSAGES/messages.po'
--- locale/es/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/es/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,662 @@
+# translation of messages.po to spanish
+# translation of admin.po to
+# translation of systems.po to
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+#
+# Alejandro Escanero Blanco <aescanero@gmail.com>, 2008, 2010.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2010-01-28 23:56+0100\n"
+"Last-Translator: \n"
+"Language-Team: Spanish <>\n"
+"Language: es\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "grupos de estaciones de trabajo windows"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Parámetros genéricos del usuario"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Nombre de maquina"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Base"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Descripción"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr "red"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr "Error LDAP"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "Error"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Nombre"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr "Sistema Windows genérico"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr "Estación de trabajo Windows genérica"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr "Estación de trabajo Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "Configuración PHP"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Genérico"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "Configuración PHP"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Directorio de usuario"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Dominio"
+
+#: personal/samba/samba3.tpl:38
+msgid "Show information"
+msgstr "Mostrar información"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Ruta del Script"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Ruta del Perfil"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Servidor de terminal"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Servidor de terminal"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Permitir inicio de sesión en el servidor de terminal"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Configuración predeterminada de cliente"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "Configuración"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Programa inicial"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Directorio de trabajo"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Información de conexión"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Tiempo de desconexión (en minutos)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Conexión"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Desconexión"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "IDLE"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Dispositivos clientes"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Conectar las unidades clientes al iniciar sesión"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Conectar las impresoras clientes al iniciar sesión"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Impresora principal predeterminada del cliente"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Varios"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Ocultamiento"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Desconexión o tiempo excedido"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Conectar si se desconecta"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Opciones de acceso"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Forzar el cambio de contraseña"
+
+#: personal/samba/samba3.tpl:350
+msgid "The password never expires"
+msgstr "La contraseña nunca expira"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "El inicio de sesión en windows no necesita contraseña"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Bloquear cuenta samba"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "Cambiar contraseña"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Intentos de inicio de sesión de Samba"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "Editar configuración..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Permitir la conexión solo desde estas estaciones de trabajo"
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr "Usado por todos los usuarios"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr "Usado por algunos usuarios"
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr ""
+"Introducir las horas en que este usuario tendrá permiso de inicio de sesión"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Intentos de inicio de sesión de Samba"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "Hora"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Editar parametros de usuarios POSIX"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "POSIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "desactivado"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "entrada activada, notificación activada"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "entrada activada, notificación desactivada"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "entrada desactivada, notificación activada"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "entrada desactivada, notificación desactivada"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "desconectar"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "Borrar"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "desde cualquier cliente"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "solo desde el cliente anterior"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "La nueva contraseña está caducada desde %s, por política de dominio."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "La contraseña es válida hasta %s, por política de usuario."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "default"
+msgstr "predeterminado"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr "Off"
+
+#: personal/samba/class_sambaAccount.inc:645
+msgid "On"
+msgstr "On"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr "segundos"
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+msgid "minutes"
+msgstr "minutos"
+
+#: personal/samba/class_sambaAccount.inc:669
+msgid "forever"
+msgstr "sin limite"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr "inactivo"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+msgid "on"
+msgstr "activo"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+msgid "unset"
+msgstr "quitar"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr "inmediatamente"
+
+#: personal/samba/class_sambaAccount.inc:761
+msgid "days"
+msgstr "días"
+
+#: personal/samba/class_sambaAccount.inc:762
+msgid "hours"
+msgstr "horas"
+
+#: personal/samba/class_sambaAccount.inc:769
+msgid "Domain attributes"
+msgstr "Características del dominio"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+msgid "Min password length"
+msgstr "Longitud mínima de la contraseña"
+
+#: personal/samba/class_sambaAccount.inc:772
+msgid "Password history"
+msgstr "Histórico de contraseñas"
+
+#: personal/samba/class_sambaAccount.inc:773
+msgid "Force password change"
+msgstr "Forzar el cambio de contraseña"
+
+#: personal/samba/class_sambaAccount.inc:774
+msgid "Maximum password age"
+msgstr "Fecha máxima de contraseña"
+
+#: personal/samba/class_sambaAccount.inc:775
+msgid "Minimum password age"
+msgstr "Fecha mínima de contraseña"
+
+#: personal/samba/class_sambaAccount.inc:776
+msgid "Lockout duration"
+msgstr "Duración del bloqueo"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr "Bloqueo por Intentos erróneos"
+
+#: personal/samba/class_sambaAccount.inc:778
+msgid "Disconnect time"
+msgstr "Tiempo de desconexión"
+
+#: personal/samba/class_sambaAccount.inc:779
+msgid "Refuse machine password change"
+msgstr "No se permite modificar la contraseña de máquina"
+
+#: personal/samba/class_sambaAccount.inc:781
+msgid "User attributes"
+msgstr "Atributo de usuario"
+
+#: personal/samba/class_sambaAccount.inc:782
+msgid "SID"
+msgstr "SID"
+
+#: personal/samba/class_sambaAccount.inc:783
+msgid "Last failed login"
+msgstr "Último inicio de sesión fallido"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Intentos de inicio de sesión"
+
+#: personal/samba/class_sambaAccount.inc:785
+msgid "Last password update"
+msgstr "Actualizar última contraseña"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Último inicio de sesión"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Último cierre de sesión"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "Cierre de sesión automático"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "La contraseña expira en"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "No"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr ""
+"La contraseña debió caducar en %s, pero caducidad de contraseña esta "
+"desactivada."
+
+#: personal/samba/class_sambaAccount.inc:799
+msgid "Password change available"
+msgstr "Cambio de contraseña permitido"
+
+#: personal/samba/class_sambaAccount.inc:857
+msgid "Home drive"
+msgstr "Unidad inicial"
+
+#: personal/samba/class_sambaAccount.inc:860
+msgid "Home path"
+msgstr "Ruta inicial"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+"¡El administrador de usuarios de windows solo permite ocho clientes como "
+"máximo!"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Información"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Aviso"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+"Se ha detectado un SID Samba sin definir. ¡Por favor solucione este problema "
+"manualmente!"
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+"No se puede convertir un grupo primario a grupo samba: ¡El grupo no puede "
+"ser identificado!"
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Parametros de samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Mi cuenta"
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Directorio predeterminado de usuario"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Unidad predeterminada de usuario samba"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Ruta predeterminada del Script"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Ruta predeterminada del Perfil"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Forzar el cambio de contraseña"
+
+#: personal/samba/class_sambaAccount.inc:1176
+msgid "Password never expires"
+msgstr "La contraseña nunca expira"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "Horario de inicio de sesión"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Permitir la conexión desde"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"El administrador de usuarios de windows solo permite ocho clientes. Ha "
+"especificado mas de ocho."
+
+#~ msgid "This does something"
+#~ msgstr "Esto hace algo"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Elija lugar del árbol para colocar el grupo"
+
+#~ msgid "Select a base"
+#~ msgstr "Seleccione una base"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Permitir al usuario cambiar contraseñas desde el cliente"
+
+#~ msgid "Password expires on"
+#~ msgstr "La contraseña caduca en"
+
+#~ msgid "Account expires after"
+#~ msgstr "La cuenta caducará después de"
+
+#~ msgid "The password is valid till %s, by domain policy."
+#~ msgstr "La contraseña es válida hasta %s, por política de dominio."
+
+#~ msgid "Allow user to change password"
+#~ msgstr "Permitir al usuario cambiar su contraseña"
+
+#~ msgid "Account expires"
+#~ msgstr "La cuenta expirará después de"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Tiempo máximo de inicio de sesión"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Tiempo máximo de cierre de sesión"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Selecciones estaciones de trabajo para añadir"
+
+#~ msgid "Filters"
+#~ msgstr "Filtros"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Mostrar estaciones de trabajo del departamento"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Escoja el departamento base de la búsqueda"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Expresión regular para buscar direcciones"
+
+#~ msgid "Please select an entry!"
+#~ msgstr "¡Por favor seleccione una entrada!"
+
+#~ msgid "Samba home"
+#~ msgstr "Directorio Samba"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "Desactivar temporalmente la cuenta samba"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "Mostrar %s"

=== added directory 'locale/fr'
=== added directory 'locale/fr/LC_MESSAGES'
=== added file 'locale/fr/LC_MESSAGES/messages.po'
--- locale/fr/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/fr/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,575 @@
+# translation of messages.po to
+# Benoit Mortier <benoit.mortier@opensides.be>, 2005, 2006, 2007, 2008, 2009, 2010.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2010-11-25 23:39+0100\n"
+"Last-Translator: Benoit Mortier <benoit.mortier@opensides.be>\n"
+"Language-Team:  <fr@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
+"Plural-Forms:  nplurals=2; plural=(n > 1);\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+msgid "Windows workstation"
+msgstr "Station windows"
+
+#: admin/systems/samba/wingeneric.tpl:5
+msgid "Generic settings"
+msgstr "Paramètres par défaut"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Nom de la machine"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr ""
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr "réseau"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr "Erreur LDAP"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "Erreur"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Nom"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr "Informations Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr "Station de travail Windows générique"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr "Station de travail Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+msgid "Samba configuration"
+msgstr "Configuration de Samba"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Informations"
+
+#: personal/samba/samba3.tpl:14
+msgid "Path configuration"
+msgstr "Configuration du répertoire"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Répertoire Home"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Domaine"
+
+#: personal/samba/samba3.tpl:38
+msgid "Show information"
+msgstr "Montrer les informations"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Chemin du Script"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Chemin du Profile"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Serveur de terminaux"
+
+#: personal/samba/samba3.tpl:77
+msgid "Terminal server settings"
+msgstr "Paramètres terminal serveur"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Permet la connexion sur un serveur de terminaux"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr "Paramètres de connexion terminal serveur"
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+msgid "Inherit client configuration"
+msgstr "Hérite de la configuration du client"
+
+#: personal/samba/samba3.tpl:153
+msgid "Client configuration"
+msgstr "Configuration du client"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Programme initial"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Répertoire de travail"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+msgid "Connection timeout settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Configuration du temps d'attente (en minutes)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Connexion"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Déconnexion"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "En attente"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Périphériques clients"
+
+#: personal/samba/samba3.tpl:251
+msgid "Connect client drives at log on"
+msgstr "Connecter les lecteurs clients à l'identification"
+
+#: personal/samba/samba3.tpl:259
+msgid "Connect client printers at log on"
+msgstr "Connecter les imprimantes clients à l'identification"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Imprimante par défaut"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Divers"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Masquer"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Sur interrompu ou temps d'attente dépassé"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Reconnexion si déconnecté"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Options d'accès"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+msgid "Enforce password change"
+msgstr "Forcer le changement de mot de passe"
+
+#: personal/samba/samba3.tpl:350
+msgid "The password never expires"
+msgstr "Le mot de passe n'expire jamais"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr ""
+"L'identification sur une station windows ne nécessite pas de mot de passe"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Verrouiller le compte Samba"
+
+#: personal/samba/samba3.tpl:383
+msgid "Cannot change password"
+msgstr "Impossible de modifier le mot de passe"
+
+#: personal/samba/samba3.tpl:402
+msgid "Samba log on times"
+msgstr "Heures d'accès à Samba"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "Editer les paramètres..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Permet la connections depuis ces stations seulement"
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr "Utilisé par tout les utilisateurs"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr "Utilisé par certains utilisateurs"
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Indiquez les heures auquel l'utilisateur est autorisé à se connecter"
+
+#: personal/samba/sambaLogonHours.tpl:24
+msgid "Samba logon hours"
+msgstr "Heures d'accès à Samba"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "Heure"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Editer les paramètres Unix"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "UNIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "désactivé"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "entrée activée, notification activée"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "entrée activée, notification désactivée"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "entrée désactivée, notification activée"
+
+#: personal/samba/class_sambaAccount.inc:410
+msgid "input off, notify off"
+msgstr "entrée désactivée, notification désactivée"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "déconnecté"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "remise à zéro"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "de n'importe quel client"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "du client précédent seulement"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr ""
+"Le mot de passe est trop vieux depuis %s selon à la politique du domaine."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, php-format
+msgid "The password is valid till %s."
+msgstr "Le mot de passe est valide jusqu'au %s."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "default"
+msgstr "défaut"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr "Eteint"
+
+#: personal/samba/class_sambaAccount.inc:645
+msgid "On"
+msgstr "Ouvert"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr "secondes"
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+msgid "minutes"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:669
+msgid "forever"
+msgstr "indéfiniment"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr "Éteint"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+msgid "on"
+msgstr "Allumé"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+msgid "unset"
+msgstr "non configuré"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr "immédiatement"
+
+#: personal/samba/class_sambaAccount.inc:761
+msgid "days"
+msgstr "jours"
+
+#: personal/samba/class_sambaAccount.inc:762
+msgid "hours"
+msgstr "heures"
+
+#: personal/samba/class_sambaAccount.inc:769
+msgid "Domain attributes"
+msgstr "Attributs domaines"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+msgid "Min password length"
+msgstr "Taille minimale du mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:772
+msgid "Password history"
+msgstr "Historique des mots de passe"
+
+#: personal/samba/class_sambaAccount.inc:773
+msgid "Force password change"
+msgstr "Forcer le changement de mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:774
+msgid "Maximum password age"
+msgstr "Durée de vie maximale du mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:775
+msgid "Minimum password age"
+msgstr "Durée de vie minimale du mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:776
+msgid "Lockout duration"
+msgstr "La durée de blocage"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr "Nombre de tentatives avant blocage"
+
+#: personal/samba/class_sambaAccount.inc:778
+msgid "Disconnect time"
+msgstr "Forcer la déconnexion"
+
+#: personal/samba/class_sambaAccount.inc:779
+msgid "Refuse machine password change"
+msgstr "Refuser le changement de mot de passe de la machine"
+
+#: personal/samba/class_sambaAccount.inc:781
+msgid "User attributes"
+msgstr "Attributs de l'utilisateur"
+
+#: personal/samba/class_sambaAccount.inc:782
+msgid "SID"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:783
+msgid "Last failed login"
+msgstr "Dernière connexion ayant échouée"
+
+#: personal/samba/class_sambaAccount.inc:784
+msgid "Log on attempts"
+msgstr "Nombre de tentatives de connexion"
+
+#: personal/samba/class_sambaAccount.inc:785
+msgid "Last password update"
+msgstr "Dernière mise à jour du mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:786
+msgid "Last log on"
+msgstr "Dernière connexion le"
+
+#: personal/samba/class_sambaAccount.inc:787
+msgid "Last log off"
+msgstr "Dernière déconnexion le"
+
+#: personal/samba/class_sambaAccount.inc:788
+msgid "Automatic log off"
+msgstr "Déconnexion Automatique"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "Le mot de passe expirera le"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "Non"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr ""
+"Le mot de passe devrait expirer le %s, mais l'expiration est désactivée."
+
+#: personal/samba/class_sambaAccount.inc:799
+msgid "Password change available"
+msgstr "Le changement du mot est disponible"
+
+#: personal/samba/class_sambaAccount.inc:857
+msgid "Home drive"
+msgstr "Répertoire Home"
+
+#: personal/samba/class_sambaAccount.inc:860
+msgid "Home path"
+msgstr "Chemin du répertoire personnel"
+
+#: personal/samba/class_sambaAccount.inc:883
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+"Le gestionnaire d'utilisateurs windows accepte seulement huit clients !"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Information"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Avertissement"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+"Détection d'un SID Samba non défini. Veuillez fixer ceci manuellement !"
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+"Impossible de convertir le groupe primaire en un groupe primaire samba : le "
+"groupe ne peut être identifié !"
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Configuration Samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Mon Compte"
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Répertoire Home de base"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Lecteur réseau par défaut"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Chemin du script par défaut"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Chemin par défaut du profil"
+
+#: personal/samba/class_sambaAccount.inc:1174
+msgid "Disallow password change"
+msgstr "Interdire le changement de mot de passe"
+
+#: personal/samba/class_sambaAccount.inc:1176
+msgid "Password never expires"
+msgstr "Le mot de passe n'expire jamais"
+
+#: personal/samba/class_sambaAccount.inc:1179
+msgid "Log on hours"
+msgstr "Heure de connexions"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Permettre la connexion depuis"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"Le gestionnaire d'utilisateurs windows accepte seulement huit clients. Vous "
+"en avez spécifiés plus de huit."
+
+#~ msgid "This does something"
+#~ msgstr "Ceci fait quelque chose"

=== added directory 'locale/it'
=== added directory 'locale/it/LC_MESSAGES'
=== added file 'locale/it/LC_MESSAGES/messages.po'
--- locale/it/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/it/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,804 @@
+# translation of messages.po to Italian
+# Copyright (c) 2005 B-Open Solutions srl - http://www.bopen.it/
+# Copyright (c) 2005 Alessandro Amici <a.amici@bopen.it>
+# Alessandro Amici <a.amici@bopen.it>, 2005.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2005-11-18 15:26+0100\n"
+"Last-Translator: Alessandro Amici <a.amici@bopen.it>\n"
+"Language-Team: Italian\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.9.1\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "Mostra workstation"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Impostazioni generali delle code"
+
+#: admin/systems/samba/wingeneric.tpl:7
+#, fuzzy
+msgid "Machine name"
+msgstr "Nome locazione"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Base"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Descrizione"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+#, fuzzy
+msgid "network"
+msgstr "Aggiungi contatto"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+#, fuzzy
+msgid "LDAP error"
+msgstr "Errore LDAP"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Cognome"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+#, fuzzy
+msgid "Win generic"
+msgstr "Stampante"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+#, fuzzy
+msgid "Windows workstation generic"
+msgstr "Mostra workstation"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+#, fuzzy
+msgid "Win workstation"
+msgstr "Amministrazione"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "Scarica il file di  configurazione"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Generale"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "Scarica il file di  configurazione"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Home directory"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Dominio"
+
+#: personal/samba/samba3.tpl:38
+#, fuzzy
+msgid "Show information"
+msgstr "Informazioni personali"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Script path"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Path del profilo"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Permetti la connessione al Terminal Server"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Eredita la configurazione del client"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "File di configurazione"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Programma iniziale"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Cartella di lavoro"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Informazioni personali"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Timeout (in minuti)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Connessione"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Disconnessione "
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr ""
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Dispositivi del client"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Connetti i drive del client alla connessione"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Connetti le stampanti del client alla connessione"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr ""
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Misc"
+
+#: personal/samba/samba3.tpl:283
+#, fuzzy
+msgid "Shadowing"
+msgstr "Mostra terminali"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr ""
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr ""
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Opzioni di accesso"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Cambia la password"
+
+#: personal/samba/samba3.tpl:350
+#, fuzzy
+msgid "The password never expires"
+msgstr "La password spira il"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "L'accesso ai client Windows non richiede password"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Blocca l'account samba"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "Cambia la password"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Gruppo Samba"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Edit settings..."
+msgstr "Opzioni di posta dell'identità"
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Permetti la connessione solo da queste workstation"
+
+#: personal/samba/samba3.tpl:424
+#, fuzzy
+msgid "Used by all users"
+msgstr "Utenti di Dominio"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:22
+#, fuzzy
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Specifica il server di posta per l'utente"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Gruppo Samba"
+
+#: personal/samba/sambaLogonHours.tpl:28
+#, fuzzy
+msgid "Hour"
+msgstr "ora"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Impostazioni Unix"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "disabilitato"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "input on, notifica on"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "input on, notifica off"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "input off, notifica on"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "input off, notifica off"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "disconnetti"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "reset"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "da qualsiasi client "
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "solo dal client precedente"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, fuzzy, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "La 'Nuova password' immessa è troppo corta."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "La 'Nuova password' immessa è troppo corta."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "default"
+msgstr "elimina"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:645
+#, fuzzy
+msgid "On"
+msgstr "Opzioni"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+#, fuzzy
+msgid "minutes"
+msgstr "Stampante"
+
+#: personal/samba/class_sambaAccount.inc:669
+#, fuzzy
+msgid "forever"
+msgstr "Server"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+#, fuzzy
+msgid "on"
+msgstr "Dominio"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+#, fuzzy
+msgid "unset"
+msgstr "Giugno"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+#, fuzzy
+msgid "days"
+msgstr "giorno"
+
+#: personal/samba/class_sambaAccount.inc:762
+#, fuzzy
+msgid "hours"
+msgstr "ora"
+
+#: personal/samba/class_sambaAccount.inc:769
+#, fuzzy
+msgid "Domain attributes"
+msgstr "Attributo DN delle persone"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+#, fuzzy
+msgid "Min password length"
+msgstr "Algorimo password"
+
+#: personal/samba/class_sambaAccount.inc:772
+#, fuzzy
+msgid "Password history"
+msgstr "Algorimo password"
+
+#: personal/samba/class_sambaAccount.inc:773
+#, fuzzy
+msgid "Force password change"
+msgstr "Cambia la password"
+
+#: personal/samba/class_sambaAccount.inc:774
+#, fuzzy
+msgid "Maximum password age"
+msgstr "Cambia la password"
+
+#: personal/samba/class_sambaAccount.inc:775
+#, fuzzy
+msgid "Minimum password age"
+msgstr "Password dell'amministratore"
+
+#: personal/samba/class_sambaAccount.inc:776
+#, fuzzy
+msgid "Lockout duration"
+msgstr "Località"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+#, fuzzy
+msgid "Disconnect time"
+msgstr "Disconnessione "
+
+#: personal/samba/class_sambaAccount.inc:779
+#, fuzzy
+msgid "Refuse machine password change"
+msgstr "Cambia la password"
+
+#: personal/samba/class_sambaAccount.inc:781
+#, fuzzy
+msgid "User attributes"
+msgstr "Attributo DN delle persone"
+
+#: personal/samba/class_sambaAccount.inc:782
+#, fuzzy
+msgid "SID"
+msgstr "GID"
+
+#: personal/samba/class_sambaAccount.inc:783
+#, fuzzy
+msgid "Last failed login"
+msgstr "Scegli il tuo numero di telefono personale"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Attributo DN delle persone"
+
+#: personal/samba/class_sambaAccount.inc:785
+#, fuzzy
+msgid "Last password update"
+msgstr "Nuova password"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Scegli il tuo numero di telefono personale"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Scegli il tuo numero di telefono personale"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "automatico"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+#, fuzzy
+msgid "Password expires"
+msgstr "La password spira il"
+
+#: personal/samba/class_sambaAccount.inc:791
+#, fuzzy
+msgid "No"
+msgstr "nessuno"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, fuzzy, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "La password immessa come 'Nuova password' è vuota"
+
+#: personal/samba/class_sambaAccount.inc:799
+#, fuzzy
+msgid "Password change available"
+msgstr "Cambia la password"
+
+#: personal/samba/class_sambaAccount.inc:857
+#, fuzzy
+msgid "Home drive"
+msgstr "Home directory"
+
+#: personal/samba/class_sambaAccount.inc:860
+#, fuzzy
+msgid "Home path"
+msgstr "Telefono privato"
+
+#: personal/samba/class_sambaAccount.inc:883
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Informazioni"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Attenzione"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Impostazioni Samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Identità"
+
+#: personal/samba/class_sambaAccount.inc:1165
+#, fuzzy
+msgid "Generic home directory"
+msgstr "Home directory"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1168
+#, fuzzy
+msgid "Generic script path"
+msgstr "Script path"
+
+#: personal/samba/class_sambaAccount.inc:1169
+#, fuzzy
+msgid "Generic profile path"
+msgstr "Path del profilo"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Cambia la password"
+
+#: personal/samba/class_sambaAccount.inc:1176
+#, fuzzy
+msgid "Password never expires"
+msgstr "La password spira il"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "ora"
+
+#: personal/samba/class_sambaAccount.inc:1180
+#, fuzzy
+msgid "Allow connection from"
+msgstr "Permetti la connessione solo da queste workstation"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+
+#~ msgid "This does something"
+#~ msgstr "Questo fa qualcosa"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Scegli il subtree dove mettere il gruppo"
+
+#, fuzzy
+#~ msgid "Select a base"
+#~ msgstr "Rimuovi"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Permetti all'utente di cambiare la propria password da un client"
+
+#~ msgid "Password expires on"
+#~ msgstr "La password spira il"
+
+#~ msgid "Account expires after"
+#~ msgstr "L'account spira dopo"
+
+#, fuzzy
+#~ msgid "Allow user to change password"
+#~ msgstr "Permetti all'utente di cambiare la propria password da un client"
+
+#, fuzzy
+#~ msgid "Account expires"
+#~ msgstr "L'account spira dopo"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Limita il tempo per la connessione"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Limita il tempo per la disconnessione"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Selezione le workstation da aggiungere"
+
+#~ msgid "Filters"
+#~ msgstr "Filtri"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Mostra le workstation del dipartimento"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Scegli il dipartimento di base per la ricerca"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Espressione regolare per selezionare l'indirizzo"
+
+#, fuzzy
+#~ msgid "Please select an entry!"
+#~ msgstr "Prego inserire un numero di telefono valido!"
+
+#~ msgid "Samba home"
+#~ msgstr "Home di Samba"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "Disabilita temporaneamente l'account Samba"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "Mostra gruppi"
+
+#~ msgid "Choose subtree to place terminal in"
+#~ msgstr "Scegli il subtree dove mettere i terminali"
+
+#~ msgid "Add"
+#~ msgstr "Aggiungi"
+
+#~ msgid "Delete"
+#~ msgstr "Rimuovi"
+
+#~ msgid "Cancel"
+#~ msgstr "Annulla"
+
+#~ msgid "Apply"
+#~ msgstr "Applica"
+
+#, fuzzy
+#~ msgid "Monday"
+#~ msgstr "giorno"
+
+#, fuzzy
+#~ msgid "Tuesday"
+#~ msgstr "giorno"
+
+#, fuzzy
+#~ msgid "Thursday"
+#~ msgstr "ora"
+
+#, fuzzy
+#~ msgid "Friday"
+#~ msgstr "giorno"
+
+#, fuzzy
+#~ msgid "Saturday"
+#~ msgstr "Stato"
+
+#~ msgid "This account has no samba extensions."
+#~ msgstr "Questa identità non possiede estensioni Samba."
+
+#~ msgid "Remove samba account"
+#~ msgstr "Elimina estensioni Samba"
+
+#~ msgid ""
+#~ "This account has samba features enabled. You can disable them by clicking "
+#~ "below."
+#~ msgstr "Questa identià possiede estensioni Samba."
+
+#~ msgid "Create samba account"
+#~ msgstr "Crea estensioni Samba"
+
+#~ msgid ""
+#~ "This account has samba features disabled. You can enable them by clicking "
+#~ "below."
+#~ msgstr "Questa identità non possiede estensioni Samba."
+
+#~ msgid ""
+#~ "This account has samba features disabled. Posix features are needed for "
+#~ "samba accounts, enable them first."
+#~ msgstr ""
+#~ "Questa identità non possiede estensioni Samba. Per poterle creare occorre "
+#~ "creare prima le estensioni Unix."
+
+#~ msgid "January"
+#~ msgstr "Gennaio"
+
+#~ msgid "February"
+#~ msgstr "Febbraio"
+
+#~ msgid "March"
+#~ msgstr "Marzo"
+
+#~ msgid "April"
+#~ msgstr "Aprile"
+
+#~ msgid "May"
+#~ msgstr "Maggio"
+
+#~ msgid "July"
+#~ msgstr "Luglio"
+
+#~ msgid "August"
+#~ msgstr "Agosto"
+
+#~ msgid "September"
+#~ msgstr "Settembre"
+
+#~ msgid "October"
+#~ msgstr "Ottobre"
+
+#~ msgid "November"
+#~ msgstr "Novembre"
+
+#~ msgid "December"
+#~ msgstr "Dicembre"
+
+#, fuzzy
+#~ msgid "Removing of user/samba account with dn '%s' failed."
+#~ msgstr "Elimina estensioni Samba"
+
+#~ msgid "The value specified as '%s' contains invalid characters!"
+#~ msgstr "Il valore specificato come '%s' contiene dei caratteri invalidi!"
+
+#, fuzzy
+#~ msgid "Saving of user/samba account with dn '%s' failed."
+#~ msgstr "Account Kolab"
+
+#~ msgid "Click the 'Edit' button below to change informations in this dialog"
+#~ msgstr ""
+#~ "Click sul bottone 'Modifica' qui sotto per cambiare le informazioni in "
+#~ "questo dialogo"
+
+#~ msgid "Edit"
+#~ msgstr "Modifica"

=== added file 'locale/messages.po'
--- locale/messages.po	1970-01-01 00:00:00 +0000
+++ locale/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,564 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+msgid "Windows workstation"
+msgstr ""
+
+#: admin/systems/samba/wingeneric.tpl:5
+msgid "Generic settings"
+msgstr ""
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr ""
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr ""
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+msgid "Samba configuration"
+msgstr ""
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr ""
+
+#: personal/samba/samba3.tpl:14
+msgid "Path configuration"
+msgstr ""
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr ""
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr ""
+
+#: personal/samba/samba3.tpl:38
+msgid "Show information"
+msgstr ""
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr ""
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr ""
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr ""
+
+#: personal/samba/samba3.tpl:77
+msgid "Terminal server settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr ""
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+msgid "Inherit client configuration"
+msgstr ""
+
+#: personal/samba/samba3.tpl:153
+msgid "Client configuration"
+msgstr ""
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr ""
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr ""
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+msgid "Connection timeout settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr ""
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr ""
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr ""
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr ""
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr ""
+
+#: personal/samba/samba3.tpl:251
+msgid "Connect client drives at log on"
+msgstr ""
+
+#: personal/samba/samba3.tpl:259
+msgid "Connect client printers at log on"
+msgstr ""
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr ""
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr ""
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr ""
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr ""
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr ""
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr ""
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+msgid "Enforce password change"
+msgstr ""
+
+#: personal/samba/samba3.tpl:350
+msgid "The password never expires"
+msgstr ""
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr ""
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr ""
+
+#: personal/samba/samba3.tpl:383
+msgid "Cannot change password"
+msgstr ""
+
+#: personal/samba/samba3.tpl:402
+msgid "Samba log on times"
+msgstr ""
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr ""
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr ""
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr ""
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:24
+msgid "Samba logon hours"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:25
+msgid "Manage personal Samba settings"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:410
+msgid "input off, notify off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:515
+#, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:518
+#, php-format
+msgid "The password is valid till %s."
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "default"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:645
+msgid "On"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+msgid "minutes"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:669
+msgid "forever"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+msgid "on"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+msgid "unset"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+msgid "days"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:762
+msgid "hours"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:769
+msgid "Domain attributes"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+msgid "Min password length"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:772
+msgid "Password history"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:773
+msgid "Force password change"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:774
+msgid "Maximum password age"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:775
+msgid "Minimum password age"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:776
+msgid "Lockout duration"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+msgid "Disconnect time"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:779
+msgid "Refuse machine password change"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:781
+msgid "User attributes"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:782
+msgid "SID"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:783
+msgid "Last failed login"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:784
+msgid "Log on attempts"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:785
+msgid "Last password update"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:786
+msgid "Last log on"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:787
+msgid "Last log off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:788
+msgid "Automatic log off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:793
+#, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:799
+msgid "Password change available"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:857
+msgid "Home drive"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:860
+msgid "Home path"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:883
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1174
+msgid "Disallow password change"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1176
+msgid "Password never expires"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1179
+msgid "Log on hours"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""

=== added directory 'locale/nl'
=== added directory 'locale/nl/LC_MESSAGES'
=== added file 'locale/nl/LC_MESSAGES/messages.po'
--- locale/nl/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/nl/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,689 @@
+# translation of messages.po to Dutch
+# GOsa2 Translations
+# Copyright (C) 2003 GONICUS GmbH, Germany
+# This file is distributed under the same license as the GOsa2 package.
+# Alfred Schroeder <schroeder@GONICUS.de>, 2004.
+# Cajus Pollmeier <pollmeier@gonicus.de>, 2004.
+#
+# Translator:
+# Niels Klomp (CareWorks ICT Services) <nk@careworks.nl>, 2005,2006,2007,2008.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2008-06-09 17:22+0100\n"
+"Last-Translator: Niels Klomp (CareWorks ICT Services) <nk@careworks.nl>\n"
+"Language-Team: CareWorks ICT Services <info@careworks.nl>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "Toon werkstations"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Algemene wachtrij instellingen"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Machinenaam"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Basis"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Omschrijving"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr "netwerk"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr "LDAP fout"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "FOUT"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Naam"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr "Windows algemeen"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr "Windows werkstation algemeen"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr "Windows werkstation"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "FAX database"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Algemeen"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "FAX database"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Persoonlijke map"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Domein"
+
+#: personal/samba/samba3.tpl:38
+#, fuzzy
+msgid "Show information"
+msgstr "Persoonlijke informatie"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Inlogscript"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Profielpad"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Sta inloggen op de Terminal Server toe"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Client configuratie voor initieel programma overnemen"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "Configuratie bestand"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Initiëel programma"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Werkmap"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Persoonlijke informatie"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Terminal Service timeouts (in minuten)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Max. verbindingsduur"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Max. verbrekingsduur"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "Max. inactiviteitsduur"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Terminal Service client apparaten"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Verbindt client schijven bij inloggen"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Verbindt client printers bij inloggen"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Standaard printer als client printer"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Terminal Service diverse"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Schaduwen van andere sessie"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Bij verbroken verbinding of timeout"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Herstel sessie indien verbroken"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Toegangsopties"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/samba3.tpl:350
+#, fuzzy
+msgid "The password never expires"
+msgstr "Algemeen profielpad"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "Inloggen op Windows werkstation zonder wachtwoord toestaan"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Blokkeer Samba/Windows account"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "Verander wachtwoord"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Samba inlog tijdstippen"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "Instellingen bewerken..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Sta alleen verbindingen vanaf deze werkstations toe"
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr "Gebruikt door alle gebruikers"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr "Gebruikt door sommige gebruikers"
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Specificeer de uren waarop de gebruiker in mag loggen"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Samba inlog tijdstippen"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "Uur"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Posix instellingen"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "POSIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "gedeactiveerd"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "invoer met notificatie"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "invoer zonder notificatie"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "geen invoer met notificatie"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "geen invoer zonder notificatie"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "verbreken"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "herstellen"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "vanaf elke client"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "alleen vanaf vorige client"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, fuzzy, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "Het nieuw opgegeven wachtwoord is te kort."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "De sieve poort dient nummeriek te zijn."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "default"
+msgstr "Verwijder"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#, fuzzy
+msgid "Off"
+msgstr "Offline"
+
+#: personal/samba/class_sambaAccount.inc:645
+#, fuzzy
+msgid "On"
+msgstr "Open"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+#, fuzzy
+msgid "minutes"
+msgstr "Printer"
+
+#: personal/samba/class_sambaAccount.inc:669
+#, fuzzy
+msgid "forever"
+msgstr "Server"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "off"
+msgstr "Offline"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+#, fuzzy
+msgid "on"
+msgstr "Omlaag"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+#, fuzzy
+msgid "unset"
+msgstr "herstellen"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+#, fuzzy
+msgid "days"
+msgstr "Achternaam"
+
+#: personal/samba/class_sambaAccount.inc:762
+#, fuzzy
+msgid "hours"
+msgstr "Uur"
+
+#: personal/samba/class_sambaAccount.inc:769
+#, fuzzy
+msgid "Domain attributes"
+msgstr "Telefoon attributen "
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+#, fuzzy
+msgid "Min password length"
+msgstr "Wachtwoord encryptie"
+
+#: personal/samba/class_sambaAccount.inc:772
+#, fuzzy
+msgid "Password history"
+msgstr "Wachtwoord encryptie"
+
+#: personal/samba/class_sambaAccount.inc:773
+#, fuzzy
+msgid "Force password change"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/class_sambaAccount.inc:774
+#, fuzzy
+msgid "Maximum password age"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/class_sambaAccount.inc:775
+#, fuzzy
+msgid "Minimum password age"
+msgstr "Beheerders wachtwoord"
+
+#: personal/samba/class_sambaAccount.inc:776
+#, fuzzy
+msgid "Lockout duration"
+msgstr "Plaats"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+#, fuzzy
+msgid "Disconnect time"
+msgstr "Max. verbrekingsduur"
+
+#: personal/samba/class_sambaAccount.inc:779
+#, fuzzy
+msgid "Refuse machine password change"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/class_sambaAccount.inc:781
+#, fuzzy
+msgid "User attributes"
+msgstr "Telefoon attributen "
+
+#: personal/samba/class_sambaAccount.inc:782
+#, fuzzy
+msgid "SID"
+msgstr "GID"
+
+#: personal/samba/class_sambaAccount.inc:783
+#, fuzzy
+msgid "Last failed login"
+msgstr "Achternaam"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Telefoon attributen "
+
+#: personal/samba/class_sambaAccount.inc:785
+#, fuzzy
+msgid "Last password update"
+msgstr "Nieuw wachtwoord"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Achternaam"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Achternaam"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "automatisch"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "Algemeen profielpad"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "Nee"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, fuzzy, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "Het nieuw ingevoerde wachtwoord is leeg."
+
+#: personal/samba/class_sambaAccount.inc:799
+#, fuzzy
+msgid "Password change available"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/class_sambaAccount.inc:857
+#, fuzzy
+msgid "Home drive"
+msgstr "Persoonlijke map"
+
+#: personal/samba/class_sambaAccount.inc:860
+#, fuzzy
+msgid "Home path"
+msgstr "Telefoon Privé"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr "Het Windows gebruikersbeheer programma staat slechts acht clients toe!"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Informatie"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Waarschuwing"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+"Er is een ongedefinieerd SambaSID geselecteerd. Repareer dit probleem a.u.b. "
+"handmatig!"
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+"Kan primaire groep niet in een samba groep omzetten: group kan niet "
+"geidentificeerd worden"
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Samba Instellingen"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Mijn account"
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Algemene persoonlijke map"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Algemeen persoonlijk schijfstation"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Algemeen scriptpad"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Windows werkstation"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Het veranderen van het wachtwoord is niet toegestaan"
+
+#: personal/samba/class_sambaAccount.inc:1176
+#, fuzzy
+msgid "Password never expires"
+msgstr "Algemeen profielpad"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "Inlog tijden"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Sta verbinding toe vanaf"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"Het Windows gebruikersbeheer programma staat slechts acht clients toe. U "
+"heeft er meer dan acht opgegeven."
+
+#~ msgid "This does something"
+#~ msgstr "Dit doet iets"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Selecteer de subtree waaronder deze groep geplaatst wordt"
+
+#~ msgid "Select a base"
+#~ msgstr "Selecteer een basis"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Gebruiker mag zijn wachtwoord vanaf een werkstation wijzigen"
+
+#~ msgid "Password expires on"
+#~ msgstr "Wachtwoord verloopt op"
+
+#~ msgid "Account expires after"
+#~ msgstr "Het account verloopt op"
+
+#~ msgid "Allow user to change password"
+#~ msgstr "Gebruiker mag het wachtwoord wijzigen"
+
+#~ msgid "Account expires"
+#~ msgstr "Account verloopt op"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Stel laatste inlogtijd in op"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Stel laatste uitlogtijd in op"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Selecteer toe te voegen werkstations"
+
+#~ msgid "Filters"
+#~ msgstr "Filters"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Toon werkstations van afdeling"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Selecteer de afdeling waarbinnen gezocht zal worden"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Reguliere expresie voor overeenkomende adressen"
+
+#~ msgid "Please select an entry!"
+#~ msgstr "Selecteer a.u.b. een regel!"
+
+#~ msgid "Samba home"
+#~ msgstr "Samba home"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "Schakel het Samba/Windows account tijdelijk uit"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "Toon groepen"
+
+#~ msgid "Choose subtree to place terminal in"
+#~ msgstr "Selecteer de subtree waar de terminal onder geplaatst zal worden"
+
+#~ msgid "Workstation name"
+#~ msgstr "Werkstation naam"

=== added directory 'locale/pl'
=== added directory 'locale/pl/LC_MESSAGES'
=== added file 'locale/pl/LC_MESSAGES/messages.po'
--- locale/pl/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/pl/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,822 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: polski\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2007-07-14 21:45+0100\n"
+"Last-Translator: Piotr Rybicki <meritus@innervision.pl>\n"
+"Language-Team: Piotr Rybicki <meritus@innervision.pl>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Language: Polish\n"
+"X-Poedit-Country: POLAND\n"
+"X-Poedit-SourceCharset: iso-8859-2\n"
+"X-Poedit-Basepath: tedst\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "Pokaż stacje robocze"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Ogólne ustawienia użytkownika"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Nazwa maszyny"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Kontener"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Opis"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+#, fuzzy
+msgid "network"
+msgstr "Dodaj inwentarz"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+#, fuzzy
+msgid "LDAP error"
+msgstr "błąd LDAP:"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "Błąd"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Imię"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+#, fuzzy
+msgid "Win generic"
+msgstr "Usługa drukowania"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+#, fuzzy
+msgid "Windows workstation generic"
+msgstr "Nazwa stacji roboczej"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+#, fuzzy
+msgid "Win workstation"
+msgstr "Stacja robocza Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "Konfiguracja PHP"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Ogólne"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "Konfiguracja PHP"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Katalog domowy"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Domena"
+
+#: personal/samba/samba3.tpl:38
+#, fuzzy
+msgid "Show information"
+msgstr "Informacje osobiste"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Ścieżka do skryptu"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Ścieżka do profilu"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Terminal Server"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Zezwól na logowanie do serwera terminali"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Odziedzicz konfigurację klienta"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "Konfiguracja"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Program pierwotny"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Katalog roboczy"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Informacje o połączeniu"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Ustawienia Timeoutu (w minutach)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Połączenie"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Rozłączenie"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "BEZCZYNNY"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Urządzenia klienta"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Podłącz dyski klienta przy logowaniu"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Podłącz drukarki klienta przy logowaniu"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Ustaw główną drukarkę klienta jako domyślną"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Różne"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Shadowing"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Przy rozłączeniu lub timeoucie"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Połącz jeśli rozłączono"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Opcje dostępu"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Wymuś zmianę hasła podczas logowania"
+
+#: personal/samba/samba3.tpl:350
+#, fuzzy
+msgid "The password never expires"
+msgstr "Hasło wygasa"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "Logowanie z klienta windows nie wymaga hasła"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Zablokuj konto samba"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "Zmień hasło"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Typ grupy Samba"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Edit settings..."
+msgstr "Ustawienia pocztowe"
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Zezwól na połączenia tylko z tych stacji"
+
+#: personal/samba/samba3.tpl:424
+#, fuzzy
+msgid "Used by all users"
+msgstr "ACL jest prawidłowy dla wszystkich użytkowników"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:22
+#, fuzzy
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Wybierz serwer poczty który będzie przechowywał skrzynkę użytkownika"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Typ grupy Samba"
+
+#: personal/samba/sambaLogonHours.tpl:28
+#, fuzzy
+msgid "Hour"
+msgstr "godzina"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Ustawienia Posix"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "POSIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "wyłączone"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "input tak, notify tak"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "input tak, notify nie"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "input nie, notify tak"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "input nie, notify nie"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "rozłącz"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "resetuj"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "z każdego klienta"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "tylko z poprzedniego klienta"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, fuzzy, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "Hasło podane jako nowe jest za krótkie."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "Port sieve musi być liczbą."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "default"
+msgstr "Usuń"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#, fuzzy
+msgid "Off"
+msgstr "Offline"
+
+#: personal/samba/class_sambaAccount.inc:645
+#, fuzzy
+msgid "On"
+msgstr "Otwórz"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+#, fuzzy
+msgid "minutes"
+msgstr "Drukarka"
+
+#: personal/samba/class_sambaAccount.inc:669
+#, fuzzy
+msgid "forever"
+msgstr "Serwer"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "off"
+msgstr "Offline"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+#, fuzzy
+msgid "on"
+msgstr "W dół"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+#, fuzzy
+msgid "unset"
+msgstr "Czerwiec"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+#, fuzzy
+msgid "days"
+msgstr "dzień"
+
+#: personal/samba/class_sambaAccount.inc:762
+#, fuzzy
+msgid "hours"
+msgstr "godzina"
+
+#: personal/samba/class_sambaAccount.inc:769
+#, fuzzy
+msgid "Domain attributes"
+msgstr "Atrybuty telefonu"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+#, fuzzy
+msgid "Min password length"
+msgstr "Przechowywanie hasła"
+
+#: personal/samba/class_sambaAccount.inc:772
+#, fuzzy
+msgid "Password history"
+msgstr "Przechowywanie hasła"
+
+#: personal/samba/class_sambaAccount.inc:773
+#, fuzzy
+msgid "Force password change"
+msgstr "Wymuś zmianę hasła podczas logowania"
+
+#: personal/samba/class_sambaAccount.inc:774
+#, fuzzy
+msgid "Maximum password age"
+msgstr "Brak uprawnień do zmiay hasła"
+
+#: personal/samba/class_sambaAccount.inc:775
+#, fuzzy
+msgid "Minimum password age"
+msgstr "Hasło Administratora"
+
+#: personal/samba/class_sambaAccount.inc:776
+#, fuzzy
+msgid "Lockout duration"
+msgstr "Lokalizacja"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+#, fuzzy
+msgid "Disconnect time"
+msgstr "Rozłączenie"
+
+#: personal/samba/class_sambaAccount.inc:779
+#, fuzzy
+msgid "Refuse machine password change"
+msgstr "Brak uprawnień do zmiay hasła"
+
+#: personal/samba/class_sambaAccount.inc:781
+#, fuzzy
+msgid "User attributes"
+msgstr "Atrybuty telefonu"
+
+#: personal/samba/class_sambaAccount.inc:782
+#, fuzzy
+msgid "SID"
+msgstr "GID"
+
+#: personal/samba/class_sambaAccount.inc:783
+#, fuzzy
+msgid "Last failed login"
+msgstr "Nazwisko"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Atrybuty telefonu"
+
+#: personal/samba/class_sambaAccount.inc:785
+#, fuzzy
+msgid "Last password update"
+msgstr "Nowe hasło"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Nazwisko"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Nazwisko"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "automatyczne"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "Hasło wygasa"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "Nie"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, fuzzy, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "Hasło które podano jako 'Nowe hasło' jest puste."
+
+#: personal/samba/class_sambaAccount.inc:799
+#, fuzzy
+msgid "Password change available"
+msgstr "Brak uprawnień do zmiay hasła"
+
+#: personal/samba/class_sambaAccount.inc:857
+#, fuzzy
+msgid "Home drive"
+msgstr "Katalog domowy"
+
+#: personal/samba/class_sambaAccount.inc:860
+#, fuzzy
+msgid "Home path"
+msgstr "Telefon domowy"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+"User manager w windows zezwala tylko na 8 klientów. Podano więcej niż 8."
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Informacja"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Ostrzeżenie"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Ustawienia Samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Moje konto "
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Ogólny katalog domowy"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Podstawowy dysk domowy samba"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Ogólna ścieżka do skryptu"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Ogólna ścieżka do profilu"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Wymuś zmianę hasła podczas logowania"
+
+#: personal/samba/class_sambaAccount.inc:1176
+#, fuzzy
+msgid "Password never expires"
+msgstr "Hasło wygasa"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "jedna godzina"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Zezwól na połączenia z"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"User manager w windows zezwala tylko na 8 klientów. Podano więcej niż 8."
+
+#~ msgid "This does something"
+#~ msgstr "To robi coś"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Wybierz poddrzewo do umieszczenia grupy"
+
+#~ msgid "Select a base"
+#~ msgstr "Wybierz bazę"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Zezwól użytkownikowi na zmianę hasła z klienta"
+
+#~ msgid "Password expires on"
+#~ msgstr "Hasło wygasa"
+
+#~ msgid "Account expires after"
+#~ msgstr "Konto wygasa po"
+
+#~ msgid "Allow user to change password"
+#~ msgstr "Zezwól użytkownikowi na zmianę hasła"
+
+#~ msgid "Account expires"
+#~ msgstr "Konto wygasa"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Ogranicz czas logowania"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Ogranicz czas wylogowania"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Wybierz stacje robocze do dodania"
+
+#~ msgid "Filters"
+#~ msgstr "Filtry"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Wyświetl stacje robocze departamentu"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Wybierz departament na którym wyszukiwanie będzie bazować"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Wyrażenie regularne dla dopasowania adresów"
+
+#, fuzzy
+#~ msgid "Please select an entry!"
+#~ msgstr "Proszę wybrać prawidłowy plik"
+
+#~ msgid "Samba home"
+#~ msgstr "Katalog domowy Samba"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "Tymczasowo wyłącz konto samba"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "Pokaż grupy"
+
+#~ msgid "Choose subtree to place terminal in"
+#~ msgstr "Wybierz poddrzewo do umieszczenia terminala"
+
+#~ msgid "Workstation name"
+#~ msgstr "Nazwa stacji roboczej"
+
+#~ msgid "Add"
+#~ msgstr "Dodaj"
+
+#~ msgid "Delete"
+#~ msgstr "Usuń"
+
+#~ msgid "Cancel"
+#~ msgstr "Anuluj"
+
+#~ msgid "Apply"
+#~ msgstr "Zastosuj"
+
+#~ msgid "This 'dn' has no network features."
+#~ msgstr "Ten 'dn' nie posiada cech sieciowych."
+
+#~ msgid "You have no permissions to create a component on this 'Base'."
+#~ msgstr "Brak uprawnień do tworzenia komponentów w tym elemencie."
+
+#~ msgid "There is already an entry '%s' in the base choosen by you"
+#~ msgstr "Już istnieje wpis '%s' w wybranym elemencie"
+
+#, fuzzy
+#~ msgid "Monday"
+#~ msgstr "dzień"
+
+#, fuzzy
+#~ msgid "Tuesday"
+#~ msgstr "dzień"
+
+#~ msgid "Wednesday"
+#~ msgstr "Środa"
+
+#, fuzzy
+#~ msgid "Thursday"
+#~ msgstr "godzin"
+
+#, fuzzy
+#~ msgid "Friday"
+#~ msgstr "dzień"
+
+#, fuzzy
+#~ msgid "Saturday"
+#~ msgstr "Strategia"
+
+#~ msgid "This account has no samba extensions."
+#~ msgstr "To konto nie posiada rozszerzeń samba"
+
+#~ msgid "Remove samba account"
+#~ msgstr "Usuń konto samba"
+
+#~ msgid ""
+#~ "This account has samba features enabled. You can disable them by clicking "
+#~ "below."
+#~ msgstr ""
+#~ "To konto posiada rozszerzenia samba. Można je wyłączyć klikając poniżej."
+
+#~ msgid "Create samba account"
+#~ msgstr "Stwórz konto samba"
+
+#~ msgid ""
+#~ "This account has samba features disabled. You can enable them by clicking "
+#~ "below."
+#~ msgstr ""
+#~ "To konto nie posiada rozszerzenia samba. Można he włączyć klikając "
+#~ "poniżej."
+
+#~ msgid ""
+#~ "This account has samba features disabled. Posix features are needed for "
+#~ "samba accounts, enable them first."
+#~ msgstr ""
+#~ "To konto nie posiada rozszerzenia samba. Wymagane są rozszerzenia posix, "
+#~ "które należy włączyć wcześniej."
+
+#~ msgid "January"
+#~ msgstr "Styczeń"
+
+#~ msgid "February"
+#~ msgstr "Luty"
+
+#~ msgid "March"
+#~ msgstr "Marzec"
+
+#~ msgid "April"
+#~ msgstr "Kwiecień"
+
+#~ msgid "May"
+#~ msgstr "Maj"
+
+#~ msgid "July"
+#~ msgstr "Lipiec"
+
+#~ msgid "August"
+#~ msgstr "Sierpień"
+
+#~ msgid "September"
+#~ msgstr "Wrzesień"
+
+#~ msgid "October"
+#~ msgstr "Październik"
+
+#~ msgid "November"
+#~ msgstr "Listopad"
+
+#~ msgid "December"
+#~ msgstr "Grudzień"
+
+#~ msgid "Removing of user/samba account with dn '%s' failed."
+#~ msgstr "Usuwanie konta Samba z dn '%s' nieudane."
+
+#~ msgid "The value specified as '%s' contains invalid characters!"
+#~ msgstr "Wartość podana jako '%s' zawiera niedozwolone znaki!"
+
+#~ msgid ""
+#~ "The timeout property '%s' is checked and contains invalid or no "
+#~ "characters!"
+#~ msgstr ""
+#~ "Właściwości timeoutu '%s' są włączone i zawierają nieprawidłowe znaki, "
+#~ "lub są puste!"
+
+#~ msgid "Saving of user/samba account with dn '%s' failed."
+#~ msgstr "Zapisywanie konta Samba z dn '%s' nieudane."
+
+#~ msgid "Ok"
+#~ msgstr "Ok"
+
+#~ msgid "Click the 'Edit' button below to change informations in this dialog"
+#~ msgstr ""
+#~ "Kliknij przycisk 'Edytuj' poniżej, aby zmienić informacje w tym oknie"
+
+#~ msgid "Edit"
+#~ msgstr "Edytuj"

=== added directory 'locale/pt_BR'
=== added directory 'locale/pt_BR/LC_MESSAGES'
=== added file 'locale/pt_BR/LC_MESSAGES/messages.po'
--- locale/pt_BR/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/pt_BR/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,642 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: GOsa plugins - samba\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2010-03-12 17:38-0300\n"
+"Last-Translator: Marcos Amorim <marcosmamorim@gmail.com>\n"
+"Language-Team: Marcos Amorim <marcosmamorim@gmail.com> Clever de Oliveira "
+"<clever@dri.cefetmg.br>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Language: Portuguese\n"
+"X-Poedit-Country: BRAZIL\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "grupo de estações windows"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Configurações gerais do usuário"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "Nome da máquina"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Base"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Descrição"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+msgid "network"
+msgstr "rede"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+msgid "LDAP error"
+msgstr "Erro LDAP"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "Erro"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Nome"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+msgid "Win generic"
+msgstr "Win"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+msgid "Windows workstation generic"
+msgstr "Estação Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+msgid "Win workstation"
+msgstr "Estação Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "Configuração do PHP"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Geral"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "Configuração do PHP"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Diretório pessoal"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Domínio"
+
+#: personal/samba/samba3.tpl:38
+msgid "Show information"
+msgstr "Exibir informações"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Script de logon"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Perfil"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Serviço de terminal"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Serviço de terminal"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Permitir acesso ao serviço de terminal"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Herdar configurações do cliente"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "Configuração"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Programa inicial"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Diretório inicial"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Informação de conexão"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Configurações de limite de tempo (em minutos)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Conexão"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Desconexão"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "Inativo"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Dispositivos cliente"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Conectar drivers no logon"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Conectar impressoras no logon"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Impressora padrão do cliente como padrão"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Diversos"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Sombreamento"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "Com problema ou tempo esgotado"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "Reconectar se desconectado"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Opções de acesso"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Forçar alterar senha"
+
+#: personal/samba/samba3.tpl:350
+msgid "The password never expires"
+msgstr "A senha expira em"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "Acesso por cliente Windows não requer senha"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "Conta samba bloqueada"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "alterar senha"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Tempo limite para logon"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "Editar configurações..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Permitir somente conexões destas estações de trabalho"
+
+#: personal/samba/samba3.tpl:424
+msgid "Used by all users"
+msgstr "Usado por todos os usuários"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr "Usado por alguns usuários"
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Especifique o horário que os usuários poderão entrar"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Tempo limite para logon"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "Hora"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Editar configurações POSIX dos usuários"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr "POSIX"
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "desabilitado"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "entrada ligada, notificação ligada"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "entrada ligada, notificação desligada"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "entrada desligada, notificação ligada"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "entrada desligada, notificação desligada"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "desconectar"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "reiniciar"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "de qualquer cliente"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "somente do cliente anterior"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "A senha está desatualizada desde %s, por uma política de domínio."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "A senha é válida até %s, pela política de usuário."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "default"
+msgstr "padrão"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr "Desligado"
+
+#: personal/samba/class_sambaAccount.inc:645
+msgid "On"
+msgstr "Ligado"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr "segundos"
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+msgid "minutes"
+msgstr "minutos"
+
+#: personal/samba/class_sambaAccount.inc:669
+msgid "forever"
+msgstr "sempre"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr "Desligado"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+msgid "on"
+msgstr "Ligado"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+msgid "unset"
+msgstr "remover"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr "imediatamente"
+
+#: personal/samba/class_sambaAccount.inc:761
+msgid "days"
+msgstr "dias"
+
+#: personal/samba/class_sambaAccount.inc:762
+msgid "hours"
+msgstr "horas"
+
+#: personal/samba/class_sambaAccount.inc:769
+msgid "Domain attributes"
+msgstr "Atributo domínio"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+msgid "Min password length"
+msgstr "Tamanho minimo da senha"
+
+#: personal/samba/class_sambaAccount.inc:772
+msgid "Password history"
+msgstr "Histórico de senha"
+
+#: personal/samba/class_sambaAccount.inc:773
+msgid "Force password change"
+msgstr "Forçar alterar senha"
+
+#: personal/samba/class_sambaAccount.inc:774
+msgid "Maximum password age"
+msgstr "Tempo máximo de vida da senha"
+
+#: personal/samba/class_sambaAccount.inc:775
+msgid "Minimum password age"
+msgstr "Tempo mínimo de vida da senha"
+
+#: personal/samba/class_sambaAccount.inc:776
+msgid "Lockout duration"
+msgstr "Tempo de bloqueio"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr "Tentativas para bloqueio"
+
+#: personal/samba/class_sambaAccount.inc:778
+msgid "Disconnect time"
+msgstr "Hora desconectada"
+
+#: personal/samba/class_sambaAccount.inc:779
+msgid "Refuse machine password change"
+msgstr "Recusar alteração de senha por máquina"
+
+#: personal/samba/class_sambaAccount.inc:781
+msgid "User attributes"
+msgstr "Atributos do usuário"
+
+#: personal/samba/class_sambaAccount.inc:782
+msgid "SID"
+msgstr "SID"
+
+#: personal/samba/class_sambaAccount.inc:783
+msgid "Last failed login"
+msgstr "Última falha no logon"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Tentativas de logon"
+
+#: personal/samba/class_sambaAccount.inc:785
+msgid "Last password update"
+msgstr "Última atualização de senha"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Último logon"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Último logoff"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "Logoff automáticos"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+msgid "Password expires"
+msgstr "A senha expira em"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "Não"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "A senha iria expirar em %s, mas a expiração de senha está desativada."
+
+#: personal/samba/class_sambaAccount.inc:799
+msgid "Password change available"
+msgstr "Alteração de senha disponível"
+
+#: personal/samba/class_sambaAccount.inc:857
+msgid "Home drive"
+msgstr "Diretório pessoal"
+
+#: personal/samba/class_sambaAccount.inc:860
+msgid "Home path"
+msgstr "Diretório pessoal"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+"O gerenciamento de usuários Windows permite até oito clientes no máximo!"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Informação"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Aviso"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr "Samba SID não informado. Por favor corrija esse problema manualmente!"
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+"Não é possível converter o grupo principal para grupo samba: o grupo não "
+"pode ser identificado!"
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Configurações do Samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Minha conta"
+
+#: personal/samba/class_sambaAccount.inc:1165
+msgid "Generic home directory"
+msgstr "Diretório pessoal geral"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr "Driver de diretório pessoal do Samba"
+
+#: personal/samba/class_sambaAccount.inc:1168
+msgid "Generic script path"
+msgstr "Caminho do script geral"
+
+#: personal/samba/class_sambaAccount.inc:1169
+msgid "Generic profile path"
+msgstr "Caminho do perfil geral"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Forçar alterar senha"
+
+#: personal/samba/class_sambaAccount.inc:1176
+msgid "Password never expires"
+msgstr "A senha nunca expira"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "Hora de logon"
+
+#: personal/samba/class_sambaAccount.inc:1180
+msgid "Allow connection from"
+msgstr "Permitir conexões de"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"O gerenciador de usuários windows só permite oito clientes. Você especificou "
+"mais do que isso."
+
+#~ msgid "This does something"
+#~ msgstr "Isto faz algo"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Escolha a subárvore para adicionar o usuário"
+
+#~ msgid "Select a base"
+#~ msgstr "Selecione a base"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Permitir ao usuário trocar sua senha pelo cliente"
+
+#~ msgid "Password expires on"
+#~ msgstr "A senha expira em"
+
+#~ msgid "Account expires after"
+#~ msgstr "Conta expira após"
+
+#~ msgid "The password is valid till %s, by domain policy."
+#~ msgstr "A senha é válida até %s, por uma política de domínio."
+
+#~ msgid "Allow user to change password"
+#~ msgstr "Permitir ao usuário trocar senha"
+
+#~ msgid "Account expires"
+#~ msgstr "A conta expira"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "Tempo limite para logon"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "Tempo limite para logoff"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Selecione estações de trabalho para adicionar"
+
+#~ msgid "Filters"
+#~ msgstr "Filtros"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Exibir estações de trabalho do departamento"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Escolha o departamento na qual a pesquisa sera baseada"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Expressão regular para conferência de endereços"

=== added directory 'locale/ru'
=== added directory 'locale/ru/LC_MESSAGES'
=== added file 'locale/ru/LC_MESSAGES/messages.po'
--- locale/ru/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/ru/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,826 @@
+# Translation of messages.po to Russian
+# Valia V. Vaneeva <fattie@altlinux.ru>, 2004.
+# $Id: messages.po,v 1.61 2005/04/18 10:37:13 migor-guest Exp $
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2005-04-18 14:35+0300\n"
+"Last-Translator: Igor Muratov <migor@altlinux.org>\n"
+"Language-Team: ALT Linux Team\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: poEdit 1.3.1\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "Показать рабочие станции"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "Общая информация о пользователе"
+
+#: admin/systems/samba/wingeneric.tpl:7
+#, fuzzy
+msgid "Machine name"
+msgstr "Название"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "Ветка"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "Описание"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+#, fuzzy
+msgid "network"
+msgstr "Добавить объект"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+#, fuzzy
+msgid "LDAP error"
+msgstr "Ошибка LDAP:"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr ""
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "Фамилия"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+#, fuzzy
+msgid "Win generic"
+msgstr "Служба печати"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+#, fuzzy
+msgid "Windows workstation generic"
+msgstr "Имя рабочий станции"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+#, fuzzy
+msgid "Win workstation"
+msgstr "Рабочая станция Windows"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "Базы данных"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "Общее"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "Базы данных"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "Домашний каталог"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "Домен"
+
+#: personal/samba/samba3.tpl:38
+#, fuzzy
+msgid "Show information"
+msgstr "Личная информация"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "Путь к сценариям"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Путь к профилю"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "Терминальный сервер"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "Терминальный сервер"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "Разрешить вход на терминальный сервер"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "Унаследовать конфигурацию клиента"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "Настроить"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "Начальная программа"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "Рабочий каталог"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "Личная информация"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "Настройки таймаута (в минутах)"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "Подключение"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "Отключение"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "Простой"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "Клиентские устройства"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "Подключить клиентские устройства при входе"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "Подключить клиентские принтеры при входе"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "Указать принтер по умолчанию"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "Разное"
+
+#: personal/samba/samba3.tpl:283
+msgid "Shadowing"
+msgstr "Затенение"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "При обрыве или таймауте"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "В"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "Параметры доступа"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "Сменить пароль"
+
+#: personal/samba/samba3.tpl:350
+#, fuzzy
+msgid "The password never expires"
+msgstr "Срок действия пароля истекает"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "Не спрашивать пароль при входе в систему из Windows"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+#, fuzzy
+msgid "Lock samba account"
+msgstr "Удалить учетную запись Samba"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "Сменить пароль"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Группа Samba"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Edit settings..."
+msgstr "Почтовые настройки пользователя"
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "Разрешить подключения только от этой рабочей станции"
+
+#: personal/samba/samba3.tpl:424
+#, fuzzy
+msgid "Used by all users"
+msgstr "Пользователи домена"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:22
+#, fuzzy
+msgid "Specify the hours this user is allowed to log in"
+msgstr "Выберите почтовый сервер для учетной записи пользователя"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Группа Samba"
+
+#: personal/samba/sambaLogonHours.tpl:28
+#, fuzzy
+msgid "Hour"
+msgstr "час"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Атрибуты UNIX"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "отключен"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "входящие вкл, оповещение вкл"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "входящие вкл, оповещение выкл"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "входящие выкл, оповещение вкл"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "входящие выкл, оповещение выкл"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "отключиться"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "сброс"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "от любого клиента"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "только от предыдущего клиента"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, fuzzy, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "Новый пароль слишком короткий."
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "Значение поля \"Квота\" некорректно."
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "default"
+msgstr "Удалить"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#, fuzzy
+msgid "Off"
+msgstr "не в сети"
+
+#: personal/samba/class_sambaAccount.inc:645
+#, fuzzy
+msgid "On"
+msgstr "Параметры"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+#, fuzzy
+msgid "minutes"
+msgstr "Принтер"
+
+#: personal/samba/class_sambaAccount.inc:669
+#, fuzzy
+msgid "forever"
+msgstr "Сервер"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "off"
+msgstr "не в сети"
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+#, fuzzy
+msgid "on"
+msgstr "Домен"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+#, fuzzy
+msgid "unset"
+msgstr "Июнь"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+#, fuzzy
+msgid "days"
+msgstr "день"
+
+#: personal/samba/class_sambaAccount.inc:762
+#, fuzzy
+msgid "hours"
+msgstr "час"
+
+#: personal/samba/class_sambaAccount.inc:769
+#, fuzzy
+msgid "Domain attributes"
+msgstr "Атрибут DN пользователей"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+#, fuzzy
+msgid "Min password length"
+msgstr "Хэширование паролей"
+
+#: personal/samba/class_sambaAccount.inc:772
+#, fuzzy
+msgid "Password history"
+msgstr "Хэширование паролей"
+
+#: personal/samba/class_sambaAccount.inc:773
+#, fuzzy
+msgid "Force password change"
+msgstr "Сменить пароль"
+
+#: personal/samba/class_sambaAccount.inc:774
+#, fuzzy
+msgid "Maximum password age"
+msgstr "Сменить пароль"
+
+#: personal/samba/class_sambaAccount.inc:775
+#, fuzzy
+msgid "Minimum password age"
+msgstr "Пароль администратора"
+
+#: personal/samba/class_sambaAccount.inc:776
+#, fuzzy
+msgid "Lockout duration"
+msgstr "Местоположение"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+#, fuzzy
+msgid "Disconnect time"
+msgstr "Отключение"
+
+#: personal/samba/class_sambaAccount.inc:779
+#, fuzzy
+msgid "Refuse machine password change"
+msgstr "Сменить пароль"
+
+#: personal/samba/class_sambaAccount.inc:781
+#, fuzzy
+msgid "User attributes"
+msgstr "Атрибут DN пользователей"
+
+#: personal/samba/class_sambaAccount.inc:782
+#, fuzzy
+msgid "SID"
+msgstr "GID"
+
+#: personal/samba/class_sambaAccount.inc:783
+#, fuzzy
+msgid "Last failed login"
+msgstr "Список"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "Атрибут DN пользователей"
+
+#: personal/samba/class_sambaAccount.inc:785
+#, fuzzy
+msgid "Last password update"
+msgstr "Новый пароль"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "Список"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "Список"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "автоматически"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+#, fuzzy
+msgid "Password expires"
+msgstr "Срок действия пароля истекает"
+
+#: personal/samba/class_sambaAccount.inc:791
+#, fuzzy
+msgid "No"
+msgstr "нет"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, fuzzy, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "Вы не указали новый пароль."
+
+#: personal/samba/class_sambaAccount.inc:799
+#, fuzzy
+msgid "Password change available"
+msgstr "Сменить пароль"
+
+#: personal/samba/class_sambaAccount.inc:857
+#, fuzzy
+msgid "Home drive"
+msgstr "Домашний каталог"
+
+#: personal/samba/class_sambaAccount.inc:860
+#, fuzzy
+msgid "Home path"
+msgstr "Домашний телефон"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr ""
+"Менеджер пользователей Windows допускает подключение только восми клиентов. "
+"Вы указали больше чем восем."
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "Информация"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "Предупреждение"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Настройки Samba"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "Моя учетная запись"
+
+#: personal/samba/class_sambaAccount.inc:1165
+#, fuzzy
+msgid "Generic home directory"
+msgstr "Домашний каталог"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1168
+#, fuzzy
+msgid "Generic script path"
+msgstr "Путь к сценариям"
+
+#: personal/samba/class_sambaAccount.inc:1169
+#, fuzzy
+msgid "Generic profile path"
+msgstr "Путь к профилю"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "Сменить пароль"
+
+#: personal/samba/class_sambaAccount.inc:1176
+#, fuzzy
+msgid "Password never expires"
+msgstr "Срок действия пароля истекает"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "один час"
+
+#: personal/samba/class_sambaAccount.inc:1180
+#, fuzzy
+msgid "Allow connection from"
+msgstr "Разрешить подключения только от этой рабочей станции"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr ""
+"Менеджер пользователей Windows допускает подключение только восми клиентов. "
+"Вы указали больше чем восем."
+
+#~ msgid "This does something"
+#~ msgstr "Что-то будет"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "Выберите ветку для группы"
+
+#, fuzzy
+#~ msgid "Select a base"
+#~ msgstr "Выберите, чтобы просмотреть серверы"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "Разрешить пользователям менять пароль с клиента"
+
+#~ msgid "Password expires on"
+#~ msgstr "Срок действия пароля истекает"
+
+#, fuzzy
+#~ msgid "Account expires after"
+#~ msgstr "Учетная запись"
+
+#, fuzzy
+#~ msgid "Allow user to change password"
+#~ msgstr "Разрешить пользователям менять пароль с клиента"
+
+#, fuzzy
+#~ msgid "Account expires"
+#~ msgstr "Учетная запись"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "Выберите рабочие станции для добавления"
+
+#~ msgid "Filters"
+#~ msgstr "Фильтры"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "Показать рабочие станции подразделения"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "Выбрать раздел, для которого будет осуществлен поиск"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "Регулярное выражение для поиска адреса"
+
+#, fuzzy
+#~ msgid "Please select an entry!"
+#~ msgstr "Введите корректный серийный номер"
+
+#~ msgid "Samba home"
+#~ msgstr "Домашний каталог Samba"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "Временно отключить учетную запись Samba"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "Показать группы"
+
+#~ msgid "Choose subtree to place terminal in"
+#~ msgstr "Выберите ветку терминала"
+
+#~ msgid "Workstation name"
+#~ msgstr "Имя рабочий станции"
+
+#~ msgid "Add"
+#~ msgstr "Добавить"
+
+#~ msgid "Delete"
+#~ msgstr "Удалить"
+
+#~ msgid "Cancel"
+#~ msgstr "Отмена"
+
+#~ msgid "Apply"
+#~ msgstr "Применить"
+
+#, fuzzy
+#~ msgid "This 'dn' has no network features."
+#~ msgstr "Этот DN не имеет свойств принтера."
+
+#, fuzzy
+#~ msgid "You have no permissions to create a component on this 'Base'."
+#~ msgstr "У вас недостаточно прав для создания телефонов в этой ветке."
+
+#~ msgid "There is already an entry '%s' in the base choosen by you"
+#~ msgstr "В выбранной вами ветке уже есть запись \"%s\""
+
+#, fuzzy
+#~ msgid "Monday"
+#~ msgstr "день"
+
+#, fuzzy
+#~ msgid "Tuesday"
+#~ msgstr "день"
+
+#, fuzzy
+#~ msgid "Thursday"
+#~ msgstr "час"
+
+#, fuzzy
+#~ msgid "Friday"
+#~ msgstr "день"
+
+#, fuzzy
+#~ msgid "Saturday"
+#~ msgstr "Адм. единица"
+
+#~ msgid "This account has no samba extensions."
+#~ msgstr "В этой учетной записи нет расширений Samba."
+
+#~ msgid "Remove samba account"
+#~ msgstr "Удалить учетную запись Samba"
+
+#~ msgid ""
+#~ "This account has samba features enabled. You can disable them by clicking "
+#~ "below."
+#~ msgstr ""
+#~ "В этой учетной записи есть настройки Samba. Вы можете отключить их, "
+#~ "щелкнув ниже."
+
+#~ msgid "Create samba account"
+#~ msgstr "Создать учетную запись Samba"
+
+#~ msgid ""
+#~ "This account has samba features disabled. You can enable them by clicking "
+#~ "below."
+#~ msgstr ""
+#~ "В этой учетной записи нет настроек Samba. Вы можете включить их, щелкнув "
+#~ "ниже."
+
+#~ msgid ""
+#~ "This account has samba features disabled. Posix features are needed for "
+#~ "samba accounts, enable them first."
+#~ msgstr ""
+#~ "В этой учетной записи нет настроек Samba. Для учетных записей Samba нужны "
+#~ "атрибуты POSIX, включите сначала их использование."
+
+#~ msgid "January"
+#~ msgstr "Январь"
+
+#~ msgid "February"
+#~ msgstr "Февраль"
+
+#~ msgid "March"
+#~ msgstr "Март"
+
+#~ msgid "April"
+#~ msgstr "Апрель"
+
+#~ msgid "May"
+#~ msgstr "Май"
+
+#~ msgid "July"
+#~ msgstr "Июль"
+
+#~ msgid "August"
+#~ msgstr "Август"
+
+#~ msgid "September"
+#~ msgstr "Сентябрь"
+
+#~ msgid "October"
+#~ msgstr "Октябрь"
+
+#~ msgid "November"
+#~ msgstr "Ноябрь"
+
+#~ msgid "December"
+#~ msgstr "Декабрь"
+
+#, fuzzy
+#~ msgid "Removing of user/samba account with dn '%s' failed."
+#~ msgstr "Удалить учетную запись Samba"
+
+#~ msgid "The value specified as '%s' contains invalid characters!"
+#~ msgstr "Значение '%s' содержит недопустимые символы."
+
+#~ msgid ""
+#~ "The timeout property '%s' is checked and contains invalid or no "
+#~ "characters!"
+#~ msgstr "Значение таймаута '%s' пустое или содержит недопустимые символы."
+
+#, fuzzy
+#~ msgid "Saving of user/samba account with dn '%s' failed."
+#~ msgstr "Моя учетная запись"
+
+#~ msgid "Click the 'Edit' button below to change informations in this dialog"
+#~ msgstr "Нажмите 'Изменить' чтобы отредактировать данные в этой форме."
+
+#~ msgid "Edit"
+#~ msgstr "Изменить"

=== added directory 'locale/zh'
=== added directory 'locale/zh/LC_MESSAGES'
=== added file 'locale/zh/LC_MESSAGES/messages.po'
--- locale/zh/LC_MESSAGES/messages.po	1970-01-01 00:00:00 +0000
+++ locale/zh/LC_MESSAGES/messages.po	2010-10-04 10:45:44 +0000
@@ -0,0 +1,823 @@
+# translation of messages.po to Chinese Simplified
+# Copyright (C) 2003 GONICUS GmbH, Germany
+# This file is distributed under the same license as the GOsa2 package.
+#
+# Jiang Xin <worldhello.net@gmail.com>, 2007.
+msgid ""
+msgstr ""
+"Project-Id-Version: messages\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2010-11-04 15:24+0100\n"
+"PO-Revision-Date: 2007-06-03 12:27+0800\n"
+"Last-Translator: Jiang Xin <worldhello.net@gmail.com>\n"
+"Language-Team: Chinese Simplified <zh@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
+
+#: admin/systems/samba/wingeneric.tpl:1
+#, fuzzy
+msgid "Windows workstation"
+msgstr "显示工作站"
+
+#: admin/systems/samba/wingeneric.tpl:5
+#, fuzzy
+msgid "Generic settings"
+msgstr "通用队列设置"
+
+#: admin/systems/samba/wingeneric.tpl:7
+msgid "Machine name"
+msgstr "机器名称"
+
+#: admin/systems/samba/wingeneric.tpl:18
+#: admin/systems/samba/class_winGeneric.inc:358
+msgid "Base"
+msgstr "位置"
+
+#: admin/systems/samba/wingeneric.tpl:29
+#: admin/systems/samba/class_winGeneric.inc:359
+msgid "Description"
+msgstr "描述"
+
+#: admin/systems/samba/class_winGeneric.inc:112
+#, fuzzy
+msgid "network"
+msgstr "添加清单(inventory)"
+
+#: admin/systems/samba/class_winGeneric.inc:148
+#: admin/systems/samba/class_winGeneric.inc:297
+#: personal/samba/class_sambaAccount.inc:841
+#: personal/samba/class_sambaAccount.inc:1089
+#, fuzzy
+msgid "LDAP error"
+msgstr "LDAP 错误:"
+
+#: admin/systems/samba/class_winGeneric.inc:178
+msgid "Error"
+msgstr "错误"
+
+#: admin/systems/samba/class_winGeneric.inc:211
+#: admin/systems/samba/class_winGeneric.inc:357
+msgid "Name"
+msgstr "名称"
+
+#: admin/systems/samba/class_winGeneric.inc:319
+#, fuzzy
+msgid "Win generic"
+msgstr "通用配置"
+
+#: admin/systems/samba/class_winGeneric.inc:320
+#, fuzzy
+msgid "Windows workstation generic"
+msgstr "Windows 工作站"
+
+#: admin/systems/samba/class_winGeneric.inc:325
+#, fuzzy
+msgid "Win workstation"
+msgstr "Windows 工作站"
+
+#: admin/systems/samba/class_winGeneric.inc:348
+msgid "RDN for samba machine account storage."
+msgstr ""
+
+#: personal/samba/samba3.tpl:1
+#, fuzzy
+msgid "Samba configuration"
+msgstr "PHP 安装检查"
+
+#: personal/samba/samba3.tpl:8
+msgid "Generic"
+msgstr "通用配置"
+
+#: personal/samba/samba3.tpl:14
+#, fuzzy
+msgid "Path configuration"
+msgstr "PHP 安装检查"
+
+#: personal/samba/samba3.tpl:16 personal/samba/samba3.tpl:116
+#: personal/samba/class_sambaAccount.inc:864
+#: personal/samba/class_sambaAccount.inc:1217
+msgid "Home directory"
+msgstr "用户主目录"
+
+#: personal/samba/samba3.tpl:29 personal/samba/class_sambaAccount.inc:1167
+msgid "Domain"
+msgstr "域"
+
+#: personal/samba/samba3.tpl:38
+#, fuzzy
+msgid "Show information"
+msgstr "个人信息"
+
+#: personal/samba/samba3.tpl:51
+msgid "Profile and script path settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:53
+msgid "Script path"
+msgstr "脚本路径"
+
+#: personal/samba/samba3.tpl:61 personal/samba/samba3.tpl:129
+#: personal/samba/class_sambaAccount.inc:865
+#: personal/samba/class_sambaAccount.inc:1218
+msgid "Profile path"
+msgstr "Profile path"
+
+#: personal/samba/samba3.tpl:75
+msgid "Terminal Server"
+msgstr "终端服务器"
+
+#: personal/samba/samba3.tpl:77
+#, fuzzy
+msgid "Terminal server settings"
+msgstr "终端服务器"
+
+#: personal/samba/samba3.tpl:113 personal/samba/class_sambaAccount.inc:1170
+msgid "Allow login on terminal server"
+msgstr "允许登录到终端服务器"
+
+#: personal/samba/samba3.tpl:114
+msgid "Terminal server connection settings"
+msgstr ""
+
+#: personal/samba/samba3.tpl:152 personal/samba/class_sambaAccount.inc:1171
+#, fuzzy
+msgid "Inherit client configuration"
+msgstr "继承客户配置"
+
+#: personal/samba/samba3.tpl:153
+#, fuzzy
+msgid "Client configuration"
+msgstr "配置文件"
+
+#: personal/samba/samba3.tpl:155
+msgid "Initial program"
+msgstr "初始程序"
+
+#: personal/samba/samba3.tpl:163
+msgid "Working directory"
+msgstr "工作目录"
+
+#: personal/samba/samba3.tpl:177 personal/samba/samba3.tpl:183
+#, fuzzy
+msgid "Connection timeout settings"
+msgstr "个人信息"
+
+#: personal/samba/samba3.tpl:182
+msgid "Timeout settings (in minutes)"
+msgstr "超时设置（分钟）"
+
+#: personal/samba/samba3.tpl:198 personal/samba/class_sambaAccount.inc:872
+#: personal/samba/class_sambaAccount.inc:1225
+msgid "Connection"
+msgstr "连接"
+
+#: personal/samba/samba3.tpl:212 personal/samba/class_sambaAccount.inc:873
+#: personal/samba/class_sambaAccount.inc:1226
+msgid "Disconnection"
+msgstr "断开"
+
+#: personal/samba/samba3.tpl:226 personal/samba/class_sambaAccount.inc:874
+#: personal/samba/class_sambaAccount.inc:1227
+msgid "IDLE"
+msgstr "闲"
+
+#: personal/samba/samba3.tpl:244 personal/samba/samba3.tpl:245
+msgid "Client devices"
+msgstr "客户设备"
+
+#: personal/samba/samba3.tpl:251
+#, fuzzy
+msgid "Connect client drives at log on"
+msgstr "登录时连接客户驱动器"
+
+#: personal/samba/samba3.tpl:259
+#, fuzzy
+msgid "Connect client printers at log on"
+msgstr "登录时连接客户打印机"
+
+#: personal/samba/samba3.tpl:267
+msgid "Default to main client printer"
+msgstr "缺省用主要客户打印机"
+
+#: personal/samba/samba3.tpl:279 personal/samba/samba3.tpl:280
+msgid "Miscellaneous"
+msgstr "杂项"
+
+#: personal/samba/samba3.tpl:283
+#, fuzzy
+msgid "Shadowing"
+msgstr "显示终端"
+
+#: personal/samba/samba3.tpl:294
+msgid "On broken or timed out"
+msgstr "断开或超时"
+
+#: personal/samba/samba3.tpl:304
+msgid "Reconnect if disconnected"
+msgstr "断线重连"
+
+#: personal/samba/samba3.tpl:321 personal/samba/samba3.tpl:324
+msgid "Access options"
+msgstr "访问选项"
+
+#: personal/samba/samba3.tpl:339 personal/samba/class_sambaAccount.inc:1173
+#, fuzzy
+msgid "Enforce password change"
+msgstr "不允许修改口令"
+
+#: personal/samba/samba3.tpl:350
+#, fuzzy
+msgid "The password never expires"
+msgstr "口令过期截止日"
+
+#: personal/samba/samba3.tpl:361 personal/samba/class_sambaAccount.inc:1175
+msgid "Login from windows client requires no password"
+msgstr "从 Windows 客户端登录不需要口令"
+
+#: personal/samba/samba3.tpl:372 personal/samba/class_sambaAccount.inc:1177
+msgid "Lock samba account"
+msgstr "锁定 samba 账号"
+
+#: personal/samba/samba3.tpl:383
+#, fuzzy
+msgid "Cannot change password"
+msgstr "修改口令"
+
+#: personal/samba/samba3.tpl:402
+#, fuzzy
+msgid "Samba log on times"
+msgstr "Samba 登录次数"
+
+#: personal/samba/samba3.tpl:402
+msgid "Edit settings..."
+msgstr "编辑设置..."
+
+#: personal/samba/samba3.tpl:413
+msgid "Allow connection from these workstations only"
+msgstr "只允许从这些工作站建立连接"
+
+#: personal/samba/samba3.tpl:424
+#, fuzzy
+msgid "Used by all users"
+msgstr "域用户"
+
+#: personal/samba/samba3.tpl:427
+msgid "Used by some users"
+msgstr ""
+
+#: personal/samba/sambaLogonHours.tpl:22
+msgid "Specify the hours this user is allowed to log in"
+msgstr "指定用户允许登录几个小时"
+
+#: personal/samba/sambaLogonHours.tpl:24
+#, fuzzy
+msgid "Samba logon hours"
+msgstr "Samba 登录次数"
+
+#: personal/samba/sambaLogonHours.tpl:28
+msgid "Hour"
+msgstr "小时"
+
+#: personal/samba/class_sambaAccount.inc:24
+#: personal/samba/class_sambaAccount.inc:235
+#: personal/samba/class_sambaAccount.inc:247
+#: personal/samba/class_sambaAccount.inc:248
+#: personal/samba/class_sambaAccount.inc:255
+#: personal/samba/class_sambaAccount.inc:256
+#: personal/samba/class_sambaAccount.inc:258
+#: personal/samba/class_sambaAccount.inc:259
+#: personal/samba/class_sambaAccount.inc:1153
+msgid "Samba"
+msgstr "Samba"
+
+#: personal/samba/class_sambaAccount.inc:25
+#, fuzzy
+msgid "Manage personal Samba settings"
+msgstr "Posix 设置"
+
+#: personal/samba/class_sambaAccount.inc:259
+msgid "POSIX"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:406
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:677
+msgid "disabled"
+msgstr "禁用"
+
+#: personal/samba/class_sambaAccount.inc:407
+msgid "input on, notify on"
+msgstr "输入打开，通知打开"
+
+#: personal/samba/class_sambaAccount.inc:408
+msgid "input on, notify off"
+msgstr "输入打开，通知关闭"
+
+#: personal/samba/class_sambaAccount.inc:409
+msgid "input off, notify on"
+msgstr "输入关闭，通知打开"
+
+#: personal/samba/class_sambaAccount.inc:410
+#, fuzzy
+msgid "input off, notify off"
+msgstr "输入关闭，通知关闭"
+
+#: personal/samba/class_sambaAccount.inc:412
+msgid "disconnect"
+msgstr "断开"
+
+#: personal/samba/class_sambaAccount.inc:413
+msgid "reset"
+msgstr "重置"
+
+#: personal/samba/class_sambaAccount.inc:414
+msgid "from any client"
+msgstr "从任意客户"
+
+#: personal/samba/class_sambaAccount.inc:415
+msgid "from previous client only"
+msgstr "只从上一个客户"
+
+#: personal/samba/class_sambaAccount.inc:515
+#, fuzzy, php-format
+msgid "The password is outdated since %s, by domain policy."
+msgstr "输入的新口令太短了。"
+
+#: personal/samba/class_sambaAccount.inc:518
+#, fuzzy, php-format
+msgid "The password is valid till %s."
+msgstr "Sieve 端口应为数字。"
+
+#: personal/samba/class_sambaAccount.inc:631
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+#: personal/samba/class_sambaAccount.inc:651
+#: personal/samba/class_sambaAccount.inc:659
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:677
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+#, fuzzy
+msgid "default"
+msgstr "删除"
+
+#: personal/samba/class_sambaAccount.inc:637
+#: personal/samba/class_sambaAccount.inc:643
+msgid "Off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:645
+#, fuzzy
+msgid "On"
+msgstr "打开"
+
+#: personal/samba/class_sambaAccount.inc:653
+#: personal/samba/class_sambaAccount.inc:661
+msgid "seconds"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:667
+#: personal/samba/class_sambaAccount.inc:671
+#: personal/samba/class_sambaAccount.inc:763
+#, fuzzy
+msgid "minutes"
+msgstr "打印机"
+
+#: personal/samba/class_sambaAccount.inc:669
+#, fuzzy
+msgid "forever"
+msgstr "服务器"
+
+#: personal/samba/class_sambaAccount.inc:683
+#: personal/samba/class_sambaAccount.inc:691
+msgid "off"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:685
+#: personal/samba/class_sambaAccount.inc:693
+#, fuzzy
+msgid "on"
+msgstr "关闭"
+
+#: personal/samba/class_sambaAccount.inc:701
+#: personal/samba/class_sambaAccount.inc:709
+#: personal/samba/class_sambaAccount.inc:717
+#: personal/samba/class_sambaAccount.inc:725
+#: personal/samba/class_sambaAccount.inc:733
+#: personal/samba/class_sambaAccount.inc:741
+#: personal/samba/class_sambaAccount.inc:747
+#: personal/samba/class_sambaAccount.inc:753
+#, fuzzy
+msgid "unset"
+msgstr "六月"
+
+#: personal/samba/class_sambaAccount.inc:755
+msgid "immediately"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:761
+#, fuzzy
+msgid "days"
+msgstr "星期日"
+
+#: personal/samba/class_sambaAccount.inc:762
+#, fuzzy
+msgid "hours"
+msgstr "小时"
+
+#: personal/samba/class_sambaAccount.inc:769
+#, fuzzy
+msgid "Domain attributes"
+msgstr "电话属性"
+
+#: personal/samba/class_sambaAccount.inc:770
+#: personal/samba/class_sambaAccount.inc:771
+#, fuzzy
+msgid "Min password length"
+msgstr "口令存储"
+
+#: personal/samba/class_sambaAccount.inc:772
+#, fuzzy
+msgid "Password history"
+msgstr "口令存储"
+
+#: personal/samba/class_sambaAccount.inc:773
+#, fuzzy
+msgid "Force password change"
+msgstr "不允许修改口令"
+
+#: personal/samba/class_sambaAccount.inc:774
+#, fuzzy
+msgid "Maximum password age"
+msgstr "不允许修改口令"
+
+#: personal/samba/class_sambaAccount.inc:775
+#, fuzzy
+msgid "Minimum password age"
+msgstr "管理员口令"
+
+#: personal/samba/class_sambaAccount.inc:776
+#, fuzzy
+msgid "Lockout duration"
+msgstr "位置"
+
+#: personal/samba/class_sambaAccount.inc:777
+msgid "Bad lockout attempt"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:778
+#, fuzzy
+msgid "Disconnect time"
+msgstr "断开"
+
+#: personal/samba/class_sambaAccount.inc:779
+#, fuzzy
+msgid "Refuse machine password change"
+msgstr "不允许修改口令"
+
+#: personal/samba/class_sambaAccount.inc:781
+#, fuzzy
+msgid "User attributes"
+msgstr "电话属性"
+
+#: personal/samba/class_sambaAccount.inc:782
+#, fuzzy
+msgid "SID"
+msgstr "GID"
+
+#: personal/samba/class_sambaAccount.inc:783
+#, fuzzy
+msgid "Last failed login"
+msgstr "姓"
+
+#: personal/samba/class_sambaAccount.inc:784
+#, fuzzy
+msgid "Log on attempts"
+msgstr "电话属性"
+
+#: personal/samba/class_sambaAccount.inc:785
+#, fuzzy
+msgid "Last password update"
+msgstr "新口令"
+
+#: personal/samba/class_sambaAccount.inc:786
+#, fuzzy
+msgid "Last log on"
+msgstr "姓"
+
+#: personal/samba/class_sambaAccount.inc:787
+#, fuzzy
+msgid "Last log off"
+msgstr "姓"
+
+#: personal/samba/class_sambaAccount.inc:788
+#, fuzzy
+msgid "Automatic log off"
+msgstr "自动"
+
+#: personal/samba/class_sambaAccount.inc:791
+#: personal/samba/class_sambaAccount.inc:796
+#, fuzzy
+msgid "Password expires"
+msgstr "口令过期截止日"
+
+#: personal/samba/class_sambaAccount.inc:791
+msgid "No"
+msgstr "否"
+
+#: personal/samba/class_sambaAccount.inc:793
+#, fuzzy, php-format
+msgid "The password would expire on %s, but the password expiry is disabled."
+msgstr "输入的“新口令”为空。"
+
+#: personal/samba/class_sambaAccount.inc:799
+#, fuzzy
+msgid "Password change available"
+msgstr "不允许修改口令"
+
+#: personal/samba/class_sambaAccount.inc:857
+#, fuzzy
+msgid "Home drive"
+msgstr "用户主目录"
+
+#: personal/samba/class_sambaAccount.inc:860
+#, fuzzy
+msgid "Home path"
+msgstr "住宅电话"
+
+#: personal/samba/class_sambaAccount.inc:883
+#, fuzzy
+msgid "The windows user manager allows eight clients at maximum!"
+msgstr "Windows 用户管理员只允许八个客户。您指定的超过八个。"
+
+#: personal/samba/class_sambaAccount.inc:902
+msgid "Information"
+msgstr "提示信息"
+
+#: personal/samba/class_sambaAccount.inc:1030
+#: personal/samba/class_sambaAccount.inc:1054
+msgid "Warning"
+msgstr "警告"
+
+#: personal/samba/class_sambaAccount.inc:1030
+msgid "Undefined Samba SID detected. Please fix this problem manually!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1055
+msgid ""
+"Cannot convert primary group to samba group: group cannot be identified!"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1154
+msgid "Samba settings"
+msgstr "Samba 设置"
+
+#: personal/samba/class_sambaAccount.inc:1158
+msgid "My account"
+msgstr "我的账号"
+
+#: personal/samba/class_sambaAccount.inc:1165
+#, fuzzy
+msgid "Generic home directory"
+msgstr "用户主目录"
+
+#: personal/samba/class_sambaAccount.inc:1166
+msgid "Generic samba home drive"
+msgstr ""
+
+#: personal/samba/class_sambaAccount.inc:1168
+#, fuzzy
+msgid "Generic script path"
+msgstr "脚本路径"
+
+#: personal/samba/class_sambaAccount.inc:1169
+#, fuzzy
+msgid "Generic profile path"
+msgstr "Profile path"
+
+#: personal/samba/class_sambaAccount.inc:1174
+#, fuzzy
+msgid "Disallow password change"
+msgstr "不允许修改口令"
+
+#: personal/samba/class_sambaAccount.inc:1176
+#, fuzzy
+msgid "Password never expires"
+msgstr "口令过期截止日"
+
+#: personal/samba/class_sambaAccount.inc:1179
+#, fuzzy
+msgid "Log on hours"
+msgstr "1 小时"
+
+#: personal/samba/class_sambaAccount.inc:1180
+#, fuzzy
+msgid "Allow connection from"
+msgstr "只允许从这些工作站建立连接"
+
+#: personal/samba/class_sambaAccount.inc:1237
+msgid ""
+"The windows user manager only allows eight clients. You've specified more "
+"than eight."
+msgstr "Windows 用户管理员只允许八个客户。您指定的超过八个。"
+
+#, fuzzy
+#~ msgid "This does something"
+#~ msgstr "******"
+
+#~ msgid "Choose subtree to place group in"
+#~ msgstr "选择来放置组的子树"
+
+#~ msgid "Select a base"
+#~ msgstr "选择一个位置"
+
+#~ msgid "Allow user to change password from client"
+#~ msgstr "允许用户从客户端修改口令"
+
+#~ msgid "Password expires on"
+#~ msgstr "口令过期截止日"
+
+#~ msgid "Account expires after"
+#~ msgstr "账号过期于"
+
+#, fuzzy
+#~ msgid "Allow user to change password"
+#~ msgstr "允许用户从客户端修改口令"
+
+#, fuzzy
+#~ msgid "Account expires"
+#~ msgstr "账号过期于"
+
+#~ msgid "Limit Logon Time"
+#~ msgstr "限制登录时间"
+
+#~ msgid "Limit Logoff Time"
+#~ msgstr "限制退出时间"
+
+#~ msgid "Select workstations to add"
+#~ msgstr "选择要添加的工作站"
+
+#~ msgid "Filters"
+#~ msgstr "过滤器"
+
+#~ msgid "Display workstations of department"
+#~ msgstr "显示部门的工作站"
+
+#~ msgid "Choose the department the search will be based on"
+#~ msgstr "选择一个部门来做查询"
+
+#~ msgid "Regular expression for matching addresses"
+#~ msgstr "匹配地址的正则表达式"
+
+#, fuzzy
+#~ msgid "Please select an entry!"
+#~ msgstr "请选择一个有效文件。"
+
+#~ msgid "Samba home"
+#~ msgstr "Samba 主目录"
+
+#~ msgid "Temporary disable samba account"
+#~ msgstr "临时禁用 samba 账号"
+
+#, fuzzy
+#~ msgid "Show"
+#~ msgstr "显示组"
+
+#~ msgid "Choose subtree to place terminal in"
+#~ msgstr "选择放置终端的子树"
+
+#~ msgid "Workstation name"
+#~ msgstr "工作站名称"
+
+#~ msgid "Add"
+#~ msgstr "添加"
+
+#~ msgid "Delete"
+#~ msgstr "删除"
+
+#~ msgid "Cancel"
+#~ msgstr "取消"
+
+#~ msgid "Apply"
+#~ msgstr "应用"
+
+#~ msgid "This 'dn' has no network features."
+#~ msgstr "这个 'dn' 没有网络功能。"
+
+#~ msgid "You have no permissions to create a component on this 'Base'."
+#~ msgstr "您无权在这个 'Base' 下创建一个组件。"
+
+#~ msgid "There is already an entry '%s' in the base choosen by you"
+#~ msgstr "在您选择的部门中已经存在条目 '%s'"
+
+#~ msgid "Monday"
+#~ msgstr "星期一"
+
+#~ msgid "Tuesday"
+#~ msgstr "星期二"
+
+#~ msgid "Wednesday"
+#~ msgstr "星期三"
+
+#~ msgid "Thursday"
+#~ msgstr "星期四"
+
+#~ msgid "Friday"
+#~ msgstr "星期五"
+
+#~ msgid "Saturday"
+#~ msgstr "星期六"
+
+#~ msgid "This account has no samba extensions."
+#~ msgstr "这个账号没有 samba 扩展。"
+
+#~ msgid "Remove samba account"
+#~ msgstr "删除 samba 账号"
+
+#~ msgid ""
+#~ "This account has samba features enabled. You can disable them by clicking "
+#~ "below."
+#~ msgstr "这个账户 samba 功能已启用。您可以点击下面的按钮禁用。"
+
+#~ msgid "Create samba account"
+#~ msgstr "创建 samba 账号"
+
+#~ msgid ""
+#~ "This account has samba features disabled. You can enable them by clicking "
+#~ "below."
+#~ msgstr "这个账户 samba 功能已禁用。您可以点击下面的按钮来启用。"
+
+#~ msgid ""
+#~ "This account has samba features disabled. Posix features are needed for "
+#~ "samba accounts, enable them first."
+#~ msgstr "这个账户 samba 功能已禁用。该 samba 账户需要 Posix 功能，请先启用。"
+
+#~ msgid "January"
+#~ msgstr "一月"
+
+#~ msgid "February"
+#~ msgstr "二月"
+
+#~ msgid "March"
+#~ msgstr "三月"
+
+#~ msgid "April"
+#~ msgstr "四月"
+
+#~ msgid "May"
+#~ msgstr "五月"
+
+#~ msgid "July"
+#~ msgstr "七月"
+
+#~ msgid "August"
+#~ msgstr "八月"
+
+#~ msgid "September"
+#~ msgstr "九月"
+
+#~ msgid "October"
+#~ msgstr "十月"
+
+#~ msgid "November"
+#~ msgstr "十一月"
+
+#~ msgid "December"
+#~ msgstr "十二月"
+
+#, fuzzy
+#~ msgid "Removing of user/samba account with dn '%s' failed."
+#~ msgstr "删除 dn 为 '%s' 的 user/kolab 账号失败。"
+
+#~ msgid "The value specified as '%s' contains invalid characters!"
+#~ msgstr "给出的数据 '%s' 包含无效字符！"
+
+#~ msgid ""
+#~ "The timeout property '%s' is checked and contains invalid or no "
+#~ "characters!"
+#~ msgstr "超时属性 '%s' 检查发现包含无效字符或者为空！"
+
+#, fuzzy
+#~ msgid "Saving of user/samba account with dn '%s' failed."
+#~ msgstr "保存 dn 为 '%s' 的 user/kolab 账号为空。"
+
+#~ msgid "Ok"
+#~ msgstr "好"
+
+#~ msgid "Click the 'Edit' button below to change informations in this dialog"
+#~ msgstr "点击下面的“编辑”按钮修改该对话框内的信息"
+
+#~ msgid "Edit"
+#~ msgstr "编辑"
+
+#, fuzzy
+#~ msgid "Removing of system wingeneric/generic with dn '%s' failed."
+#~ msgstr "删除 dn 为 '%s' 服务器服务/反病毒失败。"
+
+#, fuzzy
+#~ msgid "Saving of system wingeneric/generic with dn '%s' failed."
+#~ msgstr "保存 dn 为 '%s' 服务器服务/反病毒失败。"

=== added directory 'personal'
=== added directory 'personal/samba'
=== added file 'personal/samba/class_sambaAccount.inc'
--- personal/samba/class_sambaAccount.inc	1970-01-01 00:00:00 +0000
+++ personal/samba/class_sambaAccount.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,1504 @@
+<?php
+/*
+   This code is part of GOsa (https://gosa.gonicus.de)
+   Copyright (C) 2004-2005 Cajus Pollmeier
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+class sambaAccount extends plugin
+{
+    /* Definitions */
+    var $plHeadline= "Samba";
+    var $plDescription= "Manage personal Samba settings";
+    var $view_logged = FALSE;
+
+    // Domaind information, gid, sid, rid
+    var $uid= "";
+    var $uidNumber= 65535;
+    var $gidNumber= 65535;
+    var $SID= "";
+    var $ridBase= 0;
+    var $sambaSID= "";
+    var $orig_sambaDomainName= "";
+    var $sambaDomainName= "";
+
+    // Some of these attributes are just used to 
+    //  display the domain information dialog, and 
+    //  thus not writte back to the ldap. 
+    var $sambaBadPasswordCount= "";
+    var $sambaBadPasswordTime= "";
+    var $sambaPasswordHistory= "";
+    var $sambaLogonHours= "";
+    var $sambaPwdLastSet= "0";
+    var $sambaLogonTime= "0";
+    var $sambaLogoffTime= "2147483647";
+    var $sambaKickoffTime= "";
+    var $sambaPwdCanChange= "0";
+    var $sambaPwdMustChange= "0";
+
+    // Flags (checkboxes) to restrict account settings.
+    var $sambaAcctFlags= "[UX        ]";
+    var $flag_enforcePasswordChange = FALSE;
+    var $flag_passwordNeverExpires  = FALSE;
+    var $flag_noPasswordRequired    = FALSE;
+    var $flag_temporaryDisabled     = FALSE;
+    var $flag_cannotChangePassword  = FALSE;
+    var $flag_sambaKickoffTime      = FALSE;
+
+    // String values 
+    var $sambaHomePath= "";
+    var $sambaHomeDrive= "";
+    var $sambaLogonScript= "";
+    var $sambaProfilePath= "";
+    var $sambaPrimaryGroupSID= "";
+    var $sambaUserWorkstations= "";
+
+    // Munged object.
+    var $sambaMungedDial= "";
+    var $mungedObject;
+
+    /* Helper */
+    var $cache = array();
+    var $trustSelect= FALSE;
+
+    /* attribute list for save action */
+    var $ctxattributes= array();
+    var $attributes= array("sambaSID", "sambaPwdLastSet", "sambaLogonTime",
+            "sambaLogoffTime", "sambaKickoffTime", "sambaPwdCanChange",
+            "sambaPwdMustChange", "sambaAcctFlags", "uid", "sambaMungedDial",
+            "sambaHomePath", "sambaHomeDrive", "sambaLogonScript",
+            "sambaProfilePath", "sambaPrimaryGroupSID", "sambaDomainName",
+            "sambaUserWorkstations", "sambaPasswordHistory",
+            "sambaLogonHours", "sambaBadPasswordTime",
+            "sambaBadPasswordCount");
+    var $objectclasses= array('sambaSamAccount');
+
+    var $CopyPasteVars = array("mungedObject","orig_sambaDomainName");
+
+    var $multiple_support = TRUE;
+    var $multiple_sambaUserWorkstations = array();
+
+
+    function sambaAccount (&$config, $dn= NULL)
+    {
+
+        plugin::plugin ($config, $dn);
+
+        // Set current uid if possible.
+        if(isset($this->attrs['uid'][0])){
+            $this->uid = $this->attrs['uid'][0];
+        }
+
+        // Get samba domain and its sid/rid base
+        if ($this->sambaSID != ""){
+            $this->SID= preg_replace ("/-[^-]+$/", "", $this->sambaSID);
+            $ldap= $this->config->get_ldap_link();
+            $ldap->cd($this->config->current['BASE']);
+            $ldap->search ("(&(objectClass=sambaDomain)(sambaSID=$this->SID))",array("sambaAlgorithmicRidBase","sambaDomainName"));
+            if ($ldap->count() != 0){
+                $attrs= $ldap->fetch();
+                if(isset($attrs['sambaAlgorithmicRidBase'])){
+                    $this->ridBase= $attrs['sambaAlgorithmicRidBase'][0];
+                } else {
+                    $this->ridBase= $this->config->get_cfg_value("core","sambaRidBase");
+                }
+                if ($this->sambaDomainName == ""){
+                    $this->sambaDomainName= $attrs['sambaDomainName'][0];
+                }
+            } else {
+
+                // Fall back to a 'DEFAULT' domain, if none was found in LDAP.
+                if ($this->sambaDomainName == "")  $this->sambaDomainName= "DEFAULT";
+
+                // Nothing in ldap, use configured sid and rid values.
+                $this->ridBase= $this->config->get_cfg_value("core","sambaRidBase");
+                $this->SID= $this->config->get_cfg_value("core","sambaSid");
+            }
+        }
+
+        // Keep original domain name and plugin status, to be able to detect modifications.
+        $this->orig_sambaDomainName= $this->sambaDomainName;
+        $this->initially_was_account= $this->is_account;
+
+        // Instantiate munged object and load info.
+        $this->mungedObject= new sambaMungedDial;
+        $this->ctxattributes= $this->mungedObject->ctxattributes;
+        if (isset($this->attrs['sambaMungedDial'])){
+            $this->mungedObject->load($this->sambaMungedDial);
+        }
+
+        // Load flags
+        $this->loadFlagsFromSource($this->attrs);
+
+        // Set kickOffTime to date
+        if(isset($this->attrs['sambaKickoffTime'][0])){
+            $this->sambaKickoffTime = date("d.m.Y", $this->sambaKickoffTime);
+            $this->flag_sambaKickoffTime = TRUE;
+        }
+    }
+
+
+    function loadFlagsFromSource($attrs)
+    {
+
+        // Samba flag description 
+        // ----------------------
+        //  The Official Samba 3.2.x HOWTO and Reference Guide
+        //  Jelmer R. Vernooij, John H. Terpstra, and Gerald (Jerry) Carter
+        //  May 27, 2009
+        // ----------------------
+        //  D - Account is disabled.
+        //  H - A home directory is required.
+        //  I - An inter-domain trust account.
+        //  L - Account has been auto-locked.
+        //  M - An MNS (Microsoft network service) logon account.
+        //  N - Password not required.
+        //  S - A server trust account.
+        //  T - Temporary duplicate account entry.
+        //  U - A normal user account.
+        //  W - A workstation trust account.
+        //  X - Password does not expire.
+
+        // sambaPwdCanChange
+        // _______________
+        // Specifies the time (UNIX time format) after which the user is allowed to change his password.
+        // If this attribute is not set, the user will be free to change his password whenever he wants.
+
+        // sambaPwdLastSet
+        // _______________
+        // The integer time in seconds since 1970 when the sambaLMPassword and sambaNTPassword attributes were last set.
+
+        // sambaPwdMustChange
+        // _______________
+        // Specifies the time (UNIX time format) when the user is forced to change his password. If this
+        // value is set to 0, the user will have to change his password at first login. If this attribute is not
+        // set, then the password will never expire.
+
+
+        // A password change is enforced by using a timestamp in sambaPwdMustChange.
+        //  We simple set it to '0' to enforce a change.
+        // --------------------------------
+        // Normally it contains a timestamp, which specifies and expiration date. 
+        $this->flag_enforcePasswordChange =  (isset($attrs['sambaPwdMustChange']) && $attrs['sambaPwdMustChange'][0] == '0');
+
+        // A user cannot change his password until the given timestamp has reached.
+        //  We simply set it to max int to disallow a password change till the timestamp reaches 4294967295, 
+        //  this is definitly far in the future and thus disallows a password change at all.
+        // --------------------------------
+        // The user is not able to change his password while sambaPwdCanChange is 4294967295 (Integer 32 Bit max)
+        $this->flag_cannotChangePassword = (isset($attrs['sambaPwdCanChange']) && $attrs['sambaPwdCanChange'][0] == '4294967295');
+
+        // Load samba account flags
+        if(isset($attrs['sambaAcctFlags'][0])){
+            $this->sambaAcctFlags = $attrs['sambaAcctFlags'][0];
+
+            // A password never expires if 'sambaAcctFlags' contains 'X'. 
+            // (See flags above for details)
+            $this->flag_passwordNeverExpires  = preg_match("/X/i", $this->sambaAcctFlags);
+
+            // A password is NOT required if 'sambaAcctFlags' contains 'N'. 
+            // (See flags above for details)
+            $this->flag_noPasswordRequired    = preg_match("/N/i", $this->sambaAcctFlags);
+
+            // A account is locked if if 'sambaAcctFlags' contains 'L' or 'D'.
+            // (See flags above for details)
+            $this->flag_temporaryDisabled = preg_match("/L/i", $this->sambaAcctFlags) ||
+                preg_match("/D/i", $this->sambaAcctFlags);
+
+        }
+    }
+
+    function execute()
+    {
+        /* Call parent execute */
+        plugin::execute();
+
+        /* Log view */
+        if($this->is_account && !$this->view_logged){
+            $this->view_logged = TRUE;
+            new log("view","users/".get_class($this),$this->dn);
+        }
+
+        /* Do we need to flip is_account state? */
+        if (isset($_POST['modify_state'])){
+            $this->is_account= !$this->is_account;
+        }
+        /* Do we represent a valid account? */
+        if (!$this->is_account && $this->parent === NULL){
+            $display= "<img alt=\"\"src=\"images/small-error.png\" align=\"middle\">&nbsp;<b>".
+                msgPool::noValidExtension(_("Samba"))."</b>";
+            $display.= back_to_main();
+            return ($display);
+        }
+
+        $display ="";
+        if(!$this->multiple_support_active){
+
+            // Show tab heades to activate and deactivate the samba extension.
+            $display= "";
+            if ($this->parent !== NULL){
+                if ($this->is_account){
+                    $display= $this->show_disable_header(msgPool::removeFeaturesButton(_("Samba")),
+                            msgPool::featuresEnabled(_("Samba")));
+                } else {
+
+                    // Samba3 dependency on posix accounts are enabled in the moment, because I need to rely on unique
+                    // uidNumbers. There'll be a better solution later on. 
+                    $obj= $this->parent->by_object['posixAccount'];
+                    if ($obj->is_account){
+                        $display= $this->show_enable_header(msgPool::addFeaturesButton(_("Samba")),
+                                msgPool::featuresDisabled(_("Samba")));
+                    } else {
+                        $display= $this->show_enable_header(msgPool::addFeaturesButton(_("Samba")),
+                                msgPool::featuresDisabled(_("Samba"), _("POSIX")), TRUE);
+                    }
+                    return ($display);
+                }
+            }
+        }
+
+        // Editing from the MyAccount/Personal section may be disabled until we've pressed the 'edit' button.
+        $SkipWrite = (!isset($this->parent) || !$this->parent) && !session::is_set('edit');
+
+
+        // Handle the samba logon hours dialog here, instantiate it on request.
+        if(isset($_POST['SetSambaLogonHours']) && $this->acl_is_readable("sambaLogonHours")){
+            $this->dialog = new sambaLogonHours($this->config,$this->dn,$this->sambaLogonHours, $this->getacl('sambaLogonHours'));
+        }
+        if(isset($_POST['cancel_logonHours'])){
+            $this->dialog = FALSE;
+        }
+        if(isset($_POST['save_logonHours'])){
+            $this->dialog->save_object();
+            if($this->acl_is_writeable("sambaLogonHours")){
+                $this->sambaLogonHours = $this->dialog->save();
+            }
+            $this->dialog = FALSE;
+        }
+        if((isset($this->dialog)) && (is_object($this->dialog))){
+            $this->dialog->save_object();
+            return($this->dialog->execute());
+        }
+
+
+        // Get smarty
+        $smarty= get_smarty();
+        $smarty->assign("usePrototype", "true");
+
+        // Assign GOsa ACLs 
+        $tmp = $this->plInfo();
+        foreach($tmp['plProvidedAcls'] as $var => $rest){
+            $smarty->assign($var."ACL",$this->getacl($var,$SkipWrite));
+        }
+
+        if(!session::is_set('edit') && !isset($this->parent)){
+            $smarty->assign("sambaLogonHoursACL","");
+        }
+
+
+        // Handle workstation list - Remove entries.
+        if (isset($_POST["delete_ws"]) && isset($_POST['workstation_list'])){
+            if($this->acl_is_writeable("sambaUserWorkstations",$SkipWrite)){
+                if($this->multiple_support_active){
+                    foreach($_POST['workstation_list'] as $name){
+                        if(isset($this->multiple_sambaUserWorkstations[trim($name)])){
+                            unset($this->multiple_sambaUserWorkstations[trim($name)]);
+                        }
+                    } 
+                }else{
+                    $tmp= $this->sambaUserWorkstations;
+                    foreach($_POST['workstation_list'] as $name){
+                        $tmp= preg_replace("/$name/", '', $tmp);
+                        $this->is_modified= TRUE;
+                    }
+                    $tmp= preg_replace('/,+/', ',', $tmp);
+                    $this->sambaUserWorkstations= trim($tmp, ',');
+                }
+            }
+        }
+
+        // Handle trust maschines/accessTo list 
+        if (isset($_POST["add_ws"])){
+            if($this->acl_is_writeable("sambaUserWorkstations",$SkipWrite)){
+                $this->trustSelect= new trustSelect($this->config,get_userinfo());
+                $this->dialog= TRUE;
+            }
+        }
+
+        // Dialog canceled
+        if (isset($_POST["add_ws_cancel"])){
+            $this->trustSelect= FALSE;
+            $this->dialog= FALSE;
+        }
+
+        // Add selected machines to trusted ones.
+        if (isset($_POST["add_ws_finish"]) &&  $this->trustSelect){
+            $trusts = $this->trustSelect->detectPostActions();
+            if(isset($trusts['targets'])){
+                $headpage = $this->trustSelect->getHeadpage();
+                if($this->multiple_support_active){
+                    foreach($trusts['targets'] as $id){
+                        $attrs = $headpage->getEntry($id);
+                        $we =$attrs['cn'][0];
+                        $this->multiple_sambaUserWorkstations[trim($we)] = array("Name" => trim($ws), "UsedByAllUsers" => TRUE);
+                    }
+                }else{
+
+                    $tmp= $this->sambaUserWorkstations;
+                    foreach($trusts['targets'] as $id){
+                        $attrs = $headpage->getEntry($id);
+                        $we =$attrs['cn'][0];
+                        $tmp.= ",$we";
+                    }
+                    $tmp= preg_replace('/,+/', ',', $tmp);
+                    $this->sambaUserWorkstations= trim($tmp, ',');
+                }
+
+                $this->is_modified= TRUE;
+            }
+            $this->trustSelect= NULL;
+            $this->dialog= FALSE;
+        }
+
+        // Display trust dialog
+        if ($this->trustSelect){
+            session::set('filterBlacklist', array('cn' => preg_split('/,/',$this->sambaUserWorkstations)));
+            return($this->trustSelect->execute());
+        }
+
+
+        // Fill domain selection. 
+        $domains= array_keys($this->config->data['SERVERS']['SAMBA']);
+        $smarty->assign("domains", set_post($domains));
+
+        // Fill drive letters.
+        $letters= array("");
+        for ($i= 68; $i<91; $i++){
+            $letters[]= chr($i).":";
+        }
+        $smarty->assign("drives", $letters);
+
+
+        // Fill terminal server setttings
+        foreach ($this->ctxattributes as $attr){
+            if (isset($this->mungedObject->ctx[$attr])){
+                $smarty->assign("$attr", set_post($this->mungedObject->ctx[$attr]));
+
+                // Set field  to blank if value is 0
+                if(in_array($attr, array("CtxMaxConnectionTime", "CtxMaxDisconnectionTime", "CtxMaxIdleTime"))) {
+                    if($this->mungedObject->ctx[$attr] == 0) {
+                        $smarty->assign("$attr", "");
+                    }
+                }
+            } else {
+                $smarty->assign("$attr", "");
+            }
+        }
+
+        // Assign enum values for preset items. 
+        $shadowModeVals= array( 
+                "0" => _("disabled"),
+                "1" => _("input on, notify on"),
+                "2" => _("input on, notify off"),
+                "3" => _("input off, notify on"),
+                "4" => _("input off, notify off"));
+        $brokenConnModeVals= array( 	
+                "0" => _("disconnect"),
+                "1" => _("reset"));
+        $reConnModeVals= array( "0" => _("from any client"),
+                "1" => _("from previous client only"));
+        $smarty->assign("shadow",      set_post($shadowModeVals));
+        $smarty->assign("brokenconn",  set_post($brokenConnModeVals));
+        $smarty->assign("reconn",      set_post($reConnModeVals));
+
+        // Fill preset items with values 
+        $smarty->assign("shadowmode",      set_post($this->mungedObject->getShadow()));
+        $smarty->assign("brokenconnmode",  set_post($this->mungedObject->getBrokenConn()));
+        $smarty->assign("reconnmode",      set_post($this->mungedObject->getReConn()));
+
+
+        // Set form elements to disabled/enable state 
+        $smarty->assign("tsloginstate", $this->mungedObject->getTsLogin()?"":"disabled");
+        $smarty->assign("inheritstate", "");
+        if($this->acl_is_writeable("AllowLoginOnTerminalServer",$SkipWrite)){
+            $smarty->assign("inheritstate", $this->mungedObject->getInheritMode()?"disabled":"");
+        }
+
+        // Set checkboxes to checked or unchecked state 
+        $smarty->assign("tslogin", $this->mungedObject->getTsLogin()?"checked":"");
+        $smarty->assign("inherit", $this->mungedObject->getInheritMode()?"checked":"");
+        $smarty->assign("connectclientdrives",
+                $this->mungedObject->getConnectClientDrives()?"checked":"");
+        $smarty->assign("connectclientprinters",
+                $this->mungedObject->getConnectClientPrinters()?"checked":"");
+        $smarty->assign("defaultprinter",
+                $this->mungedObject->getDefaultPrinter()?"checked":"");
+        $smarty->assign("CtxMaxConnectionTimeF",
+                $this->mungedObject->getCtxMaxConnectionTimeF()?"checked":"");
+        $smarty->assign("CtxMaxDisconnectionTimeF",
+                $this->mungedObject->getCtxMaxDisconnectionTimeF()?"checked":"");
+        $smarty->assign("CtxMaxIdleTimeF",
+                $this->mungedObject->getCtxMaxIdleTimeF()?"checked":"");
+
+
+        // Fill sambaUserWorkstations 
+        $ws= explode(",", $this->sambaUserWorkstations);
+        sort($ws);
+
+        // Tidy checks for empty option, and smarty will produce one if array[0]=""
+        if(($ws[0]=="")&&(count($ws)==1)) $ws=array();
+        if($this->multiple_support_active){
+            $smarty->assign("multiple_workstations",$this->multiple_sambaUserWorkstations);
+        }  
+        $smarty->assign("workstations", set_post($ws));
+
+
+        // Assign plugin values
+        foreach($this->attributes as $val){
+            $smarty->assign("$val", set_post($this->$val));
+        }
+
+        // Assign munged attributes
+        foreach($this->mungedObject->getOnDemandFlags() as $key => $value) {
+            $smarty->assign("$key", set_post($value));
+        }
+
+        // Assign selected multi edit checkbox values.
+        foreach($this->attributes as $attr){
+            if(in_array($attr,$this->multi_boxes)){
+                $smarty->assign("use_".$attr,TRUE);
+            }else{
+                $smarty->assign("use_".$attr,FALSE);
+            }
+        }
+        foreach(array("tslogin","CtxWFHomeDir","CtxWFHomeDirDrive","CtxWFProfilePath",
+                    "inherit","CtxWorkDirectory","CtxInitialProgram","CtxMaxConnectionTimeF",
+                    "CtxMaxConnectionTime","CtxMaxDisconnectionTimeF",
+                    "CtxMaxDisconnectionTime","CtxMaxIdleTimeF","CtxMaxIdleTime","connectclientdrives",
+                    "onnectclientprinters","defaultprinter","shadow","brokenconn",
+                    "reconn","connectclientprinters","SetSambaLogonHours",
+                    "workstation_list","sambaKickoffTime",
+                    "enforcePasswordChange", "passwordNeverExpires", "noPasswordRequired",
+                    "temporaryDisabled","cannotChangePassword") as $attr){
+
+            if(in_array($attr,$this->multi_boxes)){
+                $smarty->assign("use_".$attr,TRUE);
+            }else{
+                $smarty->assign("use_".$attr,FALSE);
+            }
+        }
+
+        if($this->multiple_support_active){
+            $smarty->assign("tsloginstate","");
+        }
+
+        // Create additional info for sambaKickOffTime and sambaPwdMustChange. 
+        //  e.g. Display effective kickoff time. Domain policy + user settings. 
+        $additional_info_PwdMustChange = "";
+
+        // Calculate effective max Password Age 
+        //  This can only be calculated if sambaPwdLastSet ist set. 
+        if(isset($this->attrs['sambaPwdLastSet'][0])){
+            $last = $this->attrs['sambaPwdLastSet'][0];
+            $sid = $this->get_domain_info();
+            if(isset($sid['sambaMaxPwdAge'][0]) && $sid['sambaMaxPwdAge'][0] != -1){
+                $d = ($last + $sid['sambaMaxPwdAge'][0]) - time();
+
+                // A negative value means the password is outdated 
+                if($d < 0){
+                    $additional_info_PwdMustChange = sprintf(_("The password is outdated since %s, by domain policy."),
+                            date("d.m.Y H:i:s",$last + $sid['sambaMaxPwdAge'][0]));
+                }else{
+                    $additional_info_PwdMustChange = sprintf(_("The password is valid till %s."),
+                            date("d.m.Y H:i:s",  ($last + $sid['sambaMaxPwdAge'][0])));
+                }
+            }
+        }
+
+        // Assign flags
+        foreach(array("flag_enforcePasswordChange", "flag_passwordNeverExpires", "flag_noPasswordRequired", 
+                    "flag_temporaryDisabled","flag_cannotChangePassword","flag_sambaKickoffTime") as $attr){
+            $smarty->assign($attr, set_post($this->$attr));
+        }
+
+        $smarty->assign("additional_info_PwdMustChange",set_post($additional_info_PwdMustChange));
+        $smarty->assign("multiple_support",$this->multiple_support_active);
+        $display.= $smarty->fetch (get_template_path('samba3.tpl', TRUE, dirname(__FILE__)));
+        return ($display);
+    }
+
+
+    /*! \brief  Returns the samba Domain object, selected in the samba tab.   
+     */
+    function get_domain_info()
+    {
+        /* Only search once, return last result if available
+         */
+        if(!isset($this->cache['DOMAIN'][$this->sambaDomainName])){
+            $this->cache['DOMAIN'][$this->sambaDomainName] = array();
+            if(!empty($this->sambaDomainName) && isset($this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName])){
+                $cfg = $this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName];
+                $ldap = $this->config->get_ldap_link();
+                $ldap->cd($this->config->current['BASE']);
+                $ldap->search("(&(objectClass=sambaDomain)(sambaSID=".$cfg['SID']."))",array("*"));
+                if($ldap->count()){
+                    $this->cache['DOMAIN'][$this->sambaDomainName] = $ldap->fetch();
+                }
+            }
+        }
+        return($this->cache['DOMAIN'][$this->sambaDomainName]);
+    }
+
+
+
+    function get_samba_information()
+    {
+        $zone = timezone::get_default_timezone();
+
+        /* Defaults 
+         */
+        $sambaMinPwdLength = "unset";
+        $sambaPwdHistoryLength = "unset";
+        $sambaLogonToChgPwd = "unset";
+        $sambaMaxPwdAge = "unset";
+        $sambaMinPwdAge = "unset";
+        $sambaLockoutDuration = "unset";
+        $sambaLockoutThreshold = "unset";
+        $sambaForceLogoff = "unset";
+        $sambaRefuseMachinePwdChange = "unset";
+        $sambaPwdLastSet = "unset";
+        $sambaLogonTime = "unset";
+        $sambaLogoffTime = "unset";
+
+        $sambaKickoffTime = "unset"; 
+        $sambaPwdCanChange = "unset";
+        $sambaPwdMustChange = "unset";
+        $sambaBadPasswordCount = "unset";
+        $sambaBadPasswordTime = "unset";
+
+        /* Domain attributes 
+         */
+        $domain_attributes = array("sambaMinPwdLength","sambaPwdHistoryLength","sambaMaxPwdAge",
+                "sambaMinPwdAge","sambaLockoutDuration","sambaRefuseMachinePwdChange",
+                "sambaLogonToChgPwd","sambaLockoutThreshold","sambaForceLogoff");
+
+        /* User attributes 
+         */
+        $user_attributes = array("sambaBadPasswordTime","sambaPwdLastSet","sambaLogonTime","sambaLogoffTime",
+                "sambaKickoffTime","sambaPwdCanChange","sambaPwdMustChange","sambaBadPasswordCount", "sambaSID");
+
+        /* Get samba SID object and parse settings.
+         */  
+        $ldap = $this->config->get_ldap_link();
+        $ldap->cd($this->config->current['BASE']);
+        if(!empty($this->sambaDomainName) && isset($this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName])){
+            $attrs = $this->get_domain_info();
+            foreach($domain_attributes as $attr){
+                if(isset($attrs[$attr])){
+                    $$attr = $attrs[$attr][0];
+                }
+            }
+        }
+
+        /* Get user infos
+         */
+        foreach($user_attributes as $attr){
+            if(isset($this->attrs[$attr])){
+                $$attr = $this->attrs[$attr][0];
+            }
+        }
+        if (is_numeric($sambaPwdMustChange)) {
+            $sambaPwdMustChange= date('d.m.Y', $sambaPwdMustChange);
+        }
+        if (is_numeric($sambaKickoffTime)) {
+            $sambaKickoffTime= date('d.m.Y', $sambaKickoffTime);
+        }
+        $sambaPwdCanChange = $this->sambaPwdCanChange;
+
+
+        /* DOMAIN Attributes 
+         */
+
+        /* sambaMinPwdLength: Password length has a default of 5 
+         */
+        if($sambaMinPwdLength == "unset" || $sambaMinPwdLength == 5){
+            $sambaMinPwdLength  = "5 <i>("._("default").")</i>";
+        }
+
+        /* sambaPwdHistoryLength: Length of Password History Entries (default: 0 => off)
+         */
+        if($sambaPwdHistoryLength == "unset" || $sambaPwdHistoryLength == 0){
+            $sambaPwdHistoryLength = _("Off")." <i>("._("default").")</i>";
+        }
+
+        /* sambaLogonToChgPwd: Force Users to logon for password change (default: 0 => off, 2 => on) 
+         */
+        if($sambaLogonToChgPwd == "unset" || $sambaLogonToChgPwd == 0){
+            $sambaLogonToChgPwd = _("Off")." <i>("._("default").")</i>";
+        }else{
+            $sambaLogonToChgPwd = _("On");
+        }
+
+        /* sambaMaxPwdAge: Maximum password age, in seconds (default: -1 => never expire passwords)'
+         */
+        if($sambaMaxPwdAge == "unset" || $sambaMaxPwdAge == "-1"){
+            $sambaMaxPwdAge = _("disabled")." <i>("._("default").")</i>";
+        }else{
+            $sambaMaxPwdAge .= " "._("seconds"); 
+        }
+
+        /* sambaMinPwdAge: Minimum password age, in seconds (default: 0 => allow immediate password change
+         */
+        if($sambaMinPwdAge == "unset" || $sambaMinPwdAge == 0){
+            $sambaMinPwdAge = _("disabled")." <i>("._("default").")</i>";
+        }else{
+            $sambaMinPwdAge .= " "._("seconds"); 
+        }
+
+        /* sambaLockoutDuration: Lockout duration in minutes (default: 30, -1 => forever)
+         */
+        if($sambaLockoutDuration == "unset" || $sambaLockoutDuration == 30){
+            $sambaLockoutDuration = "30 "._("minutes")." <i>("._("default").")</i>";
+        }elseif($sambaLockoutDuration == -1){
+            $sambaLockoutDuration = _("forever");
+        }else{
+            $sambaLockoutDuration .= " "._("minutes");
+        }
+
+        /* sambaLockoutThreshold: Lockout users after bad logon attempts (default: 0 => off
+         */
+        if($sambaLockoutThreshold == "unset" || $sambaLockoutThreshold == 0){
+            $sambaLockoutThreshold = _("disabled")." <i>("._("default").")</i>";
+        }
+
+        /* sambaForceLogoff: Disconnect Users outside logon hours (default: -1 => off, 0 => on 
+         */
+        if($sambaForceLogoff == "unset" || $sambaForceLogoff == -1){
+            $sambaForceLogoff = _("off")." <i>("._("default").")</i>";
+        }else{
+            $sambaForceLogoff = _("on");
+        }
+
+        /* sambaRefuseMachinePwdChange: Allow Machine Password changes (default: 0 => off
+         */
+        if($sambaRefuseMachinePwdChange == "none" || $sambaRefuseMachinePwdChange == 0){
+            $sambaRefuseMachinePwdChange = _("off")." <i>("._("default").")</i>";
+        }else{
+            $sambaRefuseMachinePwdChange = _("on");
+        }
+
+        /* USER Attributes 
+         */
+        /* sambaBadPasswordTime: Time of the last bad password attempt
+         */
+        if($sambaBadPasswordTime == "unset" || empty($sambaBadPasswordTime)){
+            $sambaBadPasswordTime = "<i>("._("unset").")</i>";
+        }else{
+            $sambaBadPasswordTime = date("d.m.Y H:i:s",$sambaBadPasswordTime);
+        }
+
+        /* sambaBadPasswordCount: Bad password attempt count 
+         */
+        if($sambaBadPasswordCount == "unset" || empty($sambaBadPasswordCount)){
+            $sambaBadPasswordCount = "<i>("._("unset").")</i>";
+        }else{
+            $sambaBadPasswordCount = date("d.m.Y H:i:s",$sambaBadPasswordCount);
+        }
+
+        /* sambaPwdLastSet: Timestamp of the last password update
+         */
+        if($sambaPwdLastSet == "unset" || empty($sambaPwdLastSet)){
+            $sambaPwdLastSet = "<i>("._("unset").")</i>";
+        }else{
+            $sambaPwdLastSet = date("d.m.Y H:i:s",$sambaPwdLastSet);
+        }
+
+        /* sambaLogonTime: Timestamp of last logon
+         */
+        if($sambaLogonTime == "unset" || empty($sambaLogonTime)){
+            $sambaLogonTime = "<i>("._("unset").")</i>";
+        }else{
+            $sambaLogonTime = date("d.m.Y H:i:s",$sambaLogonTime);
+        }
+
+        /* sambaLogoffTime: Timestamp of last logoff
+         */
+        if($sambaLogoffTime == "unset" || empty($sambaLogoffTime)){
+            $sambaLogoffTime = "<i>("._("unset").")</i>";
+        }else{
+            $sambaLogoffTime = date("d.m.Y H:i:s",$sambaLogoffTime);
+        }
+
+        /* sambaKickoffTime: Timestamp of when the user will be logged off automatically
+         */
+        if($sambaKickoffTime == "unset" || empty($sambaKickoffTime)){
+            $sambaKickoffTime = "<i>("._("unset").")</i>";
+        }
+
+        /* sambaPwdMustChange: Timestamp of when the password will expire
+         */
+        if($sambaPwdMustChange == "unset" || empty($sambaPwdMustChange)){
+            $sambaPwdMustChange = "<i>("._("unset").")</i>";
+        }
+
+        /* sambaPwdCanChange: Timestamp of when the user is allowed to update the password
+         */
+        if($sambaPwdCanChange == "unset" || empty($sambaPwdCanChange)){
+            $sambaPwdCanChange = "<i>("._("unset").")</i>";
+        }elseif($sambaPwdCanChange != "unset" && time() > $sambaPwdCanChange){
+            $sambaPwdCanChange = _("immediately") ;
+        }else{
+            $days     = floor((($sambaPwdCanChange - time()) / 60 / 60 / 24)) ;
+            $hours    = floor((($sambaPwdCanChange - time()) / 60 / 60) % 24) ;
+            $minutes  = floor((($sambaPwdCanChange - time()) / 60 ) % 60) ;
+
+            $sambaPwdCanChange = " ".$days." "._("days");
+            $sambaPwdCanChange.= " ".$hours." "._("hours");
+            $sambaPwdCanChange.= " ".$minutes." "._("minutes");
+        }
+
+        $str =
+            "\n<div style='height:200px; overflow: auto;'>".
+            "\n<table style='width:100%;'>".
+            "\n<tr><td><b>"._("Domain attributes")."</b></td></tr>". 
+            "\n<tr><td>"._("Min password length").":           </td><td>".$sambaMinPwdLength."</td></tr>". 
+            "\n<tr><td>"._("Min password length").":           </td><td>".$sambaMinPwdLength."</td></tr>". 
+            "\n<tr><td>"._("Password history").":              </td><td>".$sambaPwdHistoryLength."</td></tr>".
+            "\n<tr><td>"._("Force password change").":         </td><td>".$sambaLogonToChgPwd."</td></tr>".
+            "\n<tr><td>"._("Maximum password age").":          </td><td>".$sambaMaxPwdAge."</td></tr>".
+            "\n<tr><td>"._("Minimum password age").":          </td><td>".$sambaMinPwdAge."</td></tr>".
+            "\n<tr><td>"._("Lockout duration").":              </td><td>".$sambaLockoutDuration."</td></tr>".
+            "\n<tr><td>"._("Bad lockout attempt").":           </td><td>".$sambaLockoutThreshold."</td></tr>".
+            "\n<tr><td>"._("Disconnect time").":               </td><td>".$sambaForceLogoff."</td></tr>".
+            "\n<tr><td>"._("Refuse machine password change").":</td><td>".$sambaRefuseMachinePwdChange."</td></tr>".
+            "\n<tr><td>&nbsp;</td></tr>". 
+            "\n<tr><td><b>"._("User attributes")."</b></td></tr>". 
+            "\n<tr><td>"._("SID").":                           </td><td>".$sambaSID."</td></tr>".
+            "\n<tr><td>"._("Last failed login").":             </td><td>".$sambaBadPasswordTime."</td></tr>".
+            "\n<tr><td>"._("Log on attempts").":                </td><td>".$sambaBadPasswordCount."</td></tr>".
+            "\n<tr><td>"._("Last password update").":          </td><td>".$sambaPwdLastSet."</td></tr>".
+            "\n<tr><td>"._("Last log on").":                    </td><td>".$sambaLogonTime."</td></tr>".
+            "\n<tr><td>"._("Last log off").":                   </td><td>".$sambaLogoffTime."</td></tr>".
+            "\n<tr><td>"._("Automatic log off").":              </td><td>".$sambaKickoffTime."</td></tr>";
+
+        if($this->flag_passwordNeverExpires){
+            $str .= "\n<tr><td>"._("Password expires").":              </td><td>"._("No")."</td></tr>";
+            $str .= "\n<tr><td colspan='2'><font color='gray'>".
+                sprintf(_("The password would expire on %s, but the password expiry is disabled."),$sambaPwdMustChange).
+                "</font></td></tr>";
+        }else{
+            $str .= "\n<tr><td>"._("Password expires").":              </td><td>".$sambaPwdMustChange."</td></tr>";
+        }
+
+        $str .= "\n<tr><td>"._("Password change available").":     </td><td>".$sambaPwdCanChange."</td></tr>".
+            "\n</table>";
+        "\n</div>";
+        return($str);
+    }
+
+
+    function remove_from_parent()
+    {
+        /* Cancel if there's nothing to do here */
+        if (!$this->initially_was_account){
+            return;
+        }
+
+        /* include global link_info */
+        $ldap= $this->config->get_ldap_link();
+
+        plugin::remove_from_parent();
+
+        /* Keep uid attribute for gosaAccount */
+        unset($this->attrs['uid']);
+        unset($this->attrs['uidNumber']);
+        unset($this->attrs['gidNumber']);
+
+        /* Remove objectClass for sambaIdmapEntry */
+        $tmp= array();
+        for ($i= 0; $i<count($this->attrs["objectClass"]); $i++){
+            if ($this->attrs['objectClass'][$i] != 'sambaIdmapEntry'){
+                $tmp[]= $this->attrs['objectClass'][$i];
+            }
+        }
+        $this->attrs['objectClass']= $tmp;
+
+        @DEBUG (DEBUG_LDAP, __LINE__, __FUNCTION__, __FILE__,
+                $this->attributes, "Save");
+        $ldap->cd($this->dn);
+        $this->cleanup();
+        $ldap->modify ($this->attrs); 
+
+        new log("remove","users/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+
+        if (!$ldap->success()){
+            msg_dialog::display(_("LDAP error"), msgPool::ldaperror($ldap->get_error(), $this->dn, LDAP_MOD, get_class()));
+        }
+
+        /* Optionally execute a command after we're done */
+        $this->handle_post_events("remove", array("uid" => $this->uid));
+    }
+
+
+    /* Check for input problems */
+    function check()
+    {
+        /* Call common method to give check the hook */
+        $message= plugin::check();
+
+        if($this->flag_sambaKickoffTime){
+            if(!preg_match("/^[0-3][0-9]\.[0-1][0-9]\.([0-9]){4}$/",$this->sambaKickoffTime)){
+                $message[] = msgPool::invalid(_("Account expires after"));
+            }elseif(!strtotime($this->sambaKickoffTime) || strtotime($this->sambaKickoffTime) >= 2147483647){
+                $message[] = msgPool::invalid(_("Account expires after"));
+            }
+        }
+
+        /* sambaHomePath requires sambaHomeDrive and vice versa */
+        if(!empty($this->sambaHomePath) && empty($this->sambaHomeDrive)){
+            $message[]= msgPool::required(_("Home drive"));
+        }
+        if(!empty($this->sambaHomeDrive) && empty($this->sambaHomePath)){
+            $message[]= msgPool::required(_("Home path"));
+        }
+
+        /* Strings */
+        foreach (array( "sambaHomePath" => _("Home directory"),
+                    "sambaProfilePath" => _("Profile path")) as $key => $val){
+            if (!$this->mungedObject->is_samba_path($this->$key)){
+                $message[]= msgPool::invalid($val);
+            }
+        }
+
+        /* Numeric values */
+        foreach (array(	"CtxMaxConnectionTime" => _("Connection"),
+                    "CtxMaxDisconnectionTime" => _("Disconnection"),
+                    "CtxMaxIdleTime" => _("IDLE")) as $key => $val){
+
+            if (isset($this->mungedObject->ctx[$key]) && !tests::is_id($this->mungedObject->ctx[$key]) && $val != 0){
+                $message[]= msgPool::invalid($val);
+            }
+        }
+
+        /* Too many workstations? Windows usrmgr only supports eight */
+        if (substr_count($this->sambaUserWorkstations, ",") >= 8){
+            $message[]= _("The windows user manager allows eight clients at maximum!");
+        }
+
+        return ($message);
+    }
+
+
+    /* Save data to object */
+    function save_object()
+    {
+
+        $SkipWrite = (!isset($this->parent) || !$this->parent) && !session::is_set('edit');
+
+        /* We only care if we are on the sambaTab... */
+        if (isset($_POST['sambaTab'])){
+            plugin::save_object();
+
+            // Display domain info dialog
+            if(isset($_POST['display_information'])){
+                msg_dialog::display(_("Information"), 
+                        $this->get_samba_information(),
+                        INFO_DIALOG);
+            }
+
+            // Get posted flags.
+            foreach(array("enforcePasswordChange", "passwordNeverExpires", "noPasswordRequired",
+                        "temporaryDisabled","cannotChangePassword","sambaKickoffTime") as $name){
+                $flag = "flag_{$name}";
+                if($this->acl_is_writeable($name)){
+                    $tmp = isset($_POST[$flag]);
+                    $this->is_modified |= ($tmp != $this->$flag);
+                    $this->$flag = isset($_POST[$flag]);
+                }
+            }
+
+
+            // get sambaDomain attribute
+            if ($this->acl_is_writeable("sambaDomainName",$SkipWrite) && isset ($_POST['sambaDomainName'],$SkipWrite)){
+                $this->sambaDomainName= get_post('sambaDomainName');
+            }
+
+            // Save CTX values 
+            $TsAcl = $this->acl_is_writeable("AllowLoginOnTerminalServer",$SkipWrite);
+            foreach($this->ctxattributes as $val){
+                if (isset($_POST[$val]) && $TsAcl){
+                    $this->mungedObject->ctx[$val]= get_post($val);
+                }
+            }
+
+            $this->mungedObject->setTsLogin(!isset($_POST['tslogin']) &&  $TsAcl);
+
+            // Need to do some index checking to avoid messages like "index ... not found"
+            if(isset($_POST['brokenconn'])) {
+                $this->mungedObject->setBrokenConn($_POST['brokenconn'] == '1' && $TsAcl);
+            }
+            if(isset($_POST['reconn'])) {
+                $this->mungedObject->setReConn($_POST['reconn'] == '1' && $TsAcl);
+            }
+            $this->mungedObject->setInheritMode(isset($_POST['inherit'])  && $TsAcl);
+            $this->mungedObject->setCtxMaxConnectionTimeF(!isset($_POST['CtxMaxConnectionTimeF']) && $TsAcl);
+            $this->mungedObject->setCtxMaxDisconnectionTimeF(!isset($_POST['CtxMaxDisconnectionTimeF']) && $TsAcl);
+            $this->mungedObject->setCtxMaxIdleTimeF(!isset($_POST['CtxMaxIdleTimeF']) && $TsAcl);
+            $this->mungedObject->setConnectClientDrives(isset($_POST['connectclientdrives']) && $TsAcl);
+            $this->mungedObject->setConnectClientPrinters(isset($_POST['connectclientprinters']) && $TsAcl);
+            $this->mungedObject->setDefaultPrinter(isset($_POST['defaultprinter']) && $TsAcl);
+
+            // Save combo boxes. Takes two values 
+            if(isset($_POST['reconn'])) {
+                $this->mungedObject->setShadow(isset($_POST['shadow']) && $TsAcl,get_post('shadow'));
+            }
+
+            // Check for changes
+            $this->is_modified |= ($this->sambaMungedDial != $this->mungedObject->getMunged()); 
+        }
+    }
+
+
+
+    function save()
+    {
+        /* Load uid and gid of this 'dn' */
+        $ldap= $this->config->get_ldap_link();
+        $ldap->cat($this->dn, array('uidNumber', 'gidNumber'));
+        $tmp= $ldap->fetch();
+        $this->uidNumber= $tmp['uidNumber'][0];
+        $this->gidNumber= $tmp['gidNumber'][0];
+
+        plugin::save();
+
+        /* Remove objectClass for sambaIdmapEntry */
+        $tmp= array();
+        for ($i= 0; $i<count($this->attrs["objectClass"]); $i++){
+            if ($this->attrs['objectClass'][$i] != 'sambaIdmapEntry'){
+                $tmp[]= $this->attrs['objectClass'][$i];
+            }
+        }
+        $this->attrs['objectClass']= $tmp;
+
+        // Handle "sambaKickoffTime" flag.
+        if($this->flag_sambaKickoffTime){
+            $this->attrs['sambaKickoffTime'] = strtotime($this->sambaKickoffTime);
+        }else{
+            $this->attrs['sambaKickoffTime']= array();
+        }
+
+        // Handle "enforce password change" flag.
+        if($this->flag_enforcePasswordChange){
+            $this->attrs['sambaPwdMustChange'] = 0;
+        }else{
+
+            // Keep old values if given.
+            if ($this->sambaPwdMustChange != "0"){
+                $this->attrs['sambaPwdMustChange']= $this->sambaPwdMustChange;
+            } else {
+                $this->attrs['sambaPwdMustChange']= array();
+            }
+        }
+
+        // Handle "Cannot change password" flag.
+        if($this->flag_cannotChangePassword){
+            $this->attrs['sambaPwdCanChange'] = 4294967295;
+        }else{
+
+            // Keep old values if given.
+            if ($this->sambaPwdCanChange != 4294967295 && !empty($this->sambaPwdCanChange)){
+                $this->attrs['sambaPwdCanChange']= $this->sambaPwdCanChange;
+            } else {
+                $this->attrs['sambaPwdCanChange']= array();
+            }
+        }
+
+        // Create sambaAcctFlags
+        $tmp = "U";
+        if($this->flag_passwordNeverExpires)  $tmp .="X";
+        if($this->flag_noPasswordRequired)    $tmp .="N";
+        if($this->flag_temporaryDisabled){
+            if(preg_match("/L/i", $this->sambaAcctFlags)){
+                $tmp .= "L";
+            }else{
+                $tmp .= "D";
+            }
+        }
+
+        // Fill flag list with whitespaces
+        $fill= "";
+        for ($i= strlen($tmp); $i<12; $i++){
+            $fill.= " ";
+        }
+        $this->attrs['sambaAcctFlags'] = "[{$tmp}{$fill}]";
+
+
+        // Generate rid / primaryGroupId 
+        if (!isset($this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName]['SID'])){
+            msg_dialog::display(_("Warning"), _("Undefined Samba SID detected. Please fix this problem manually!"), WARNING_DIALOG);
+        } else {
+            $this->SID= $this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName]['SID'];
+            $this->ridBase= $this->config->data['SERVERS']['SAMBA'][$this->sambaDomainName]['RIDBASE'];
+        }
+
+        // Need to generate a new uniqe uid/gid combination? 
+        if ($this->sambaSID == "" || $this->orig_sambaDomainName != $this->sambaDomainName){
+            $uidNumber= $this->uidNumber;
+            while(TRUE){
+                $sid= $this->SID."-".($uidNumber*2 + $this->ridBase);
+                $ldap->cd($this->config->current['BASE']);
+                $ldap->search("(sambaSID=$sid)", array("sambaSID"));
+                if ($ldap->count() == 0){
+                    break;
+                }
+                $uidNumber++;
+            }
+            $this->attrs['sambaSID']= $sid;
+
+            // Check for users primary group 
+            $ldap->cd($this->config->current['BASE']);
+            $ldap->search("(&(objectClass=posixGroup)(gidNumber=".$this->gidNumber."))", array("cn"));
+            if ($ldap->count() != 1){
+                msg_dialog::display(_("Warning"), 
+                        _("Cannot convert primary group to samba group: group cannot be identified!"), 
+                        WARNING_DIALOG);
+            } else {
+                $attrs= $ldap->fetch();
+                $g= new group($this->config, $ldap->getDN());
+                if ($g->sambaSID == ""){
+                    $g->sambaDomainName= $this->sambaDomainName;
+                    $g->smbgroup= TRUE;
+                    $g->save ();
+                }
+                $this->attrs['sambaPrimaryGroupSID']= $g->sambaSID;
+            }
+        }
+
+        // Set or reset homeDrive - Why is this done seperataly?
+        if ($this->sambaHomeDrive == ""){
+            $this->attrs["sambaHomeDrive"]= array();
+        }
+
+        // Generate munged dial value 
+        $this->attrs["sambaMungedDial"]= $this->mungedObject->getMunged();
+
+        // User wants me to fake the idMappings? This is useful for
+        //  making winbind resolve the user names in a reasonable amount
+        //  of time in combination with larger databases. 
+        if ($this->config->boolValueIsTrue("core","sambaidmapping")){
+            $this->attrs['objectClass'][]= "sambaIdmapEntry";
+        }
+
+        // Write back to ldap 
+        $ldap->cd($this->dn);
+        $this->cleanup();
+        $ldap->modify ($this->attrs); 
+        if (!$ldap->success()){
+            msg_dialog::display(_("LDAP error"), msgPool::ldaperror($ldap->get_error(), $this->dn, 0, get_class()));
+        }else{
+            if ($this->initially_was_account == $this->is_account){
+                if ($this->is_modified){
+                    $this->handle_post_events("modify", array("uid" => $this->uid));
+                    new log("modify","users/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+                }
+            } else {
+                $this->handle_post_events("add", array("uid" => $this->uid));
+                new log("create","users/".get_class($this),$this->dn,array_keys($this->attrs),$ldap->get_error());
+            }
+        }
+    }
+
+
+    /* Force password set, if this account doesn't have any samba passwords  */
+    function password_change_needed()
+    {
+        if(!$this->initially_was_account && $this->is_account){
+            $ldap = $this->config->get_ldap_link();
+            $ldap->cat($this->dn,array("sambaLMPassword","sambaNTPassword"));
+            $attrs = $ldap->fetch();
+            if(!isset($attrs['sambaLMPassword']) || !isset($attrs['sambaNTPassword'])){
+                return(TRUE);
+            }
+        }
+        return(FALSE);
+    }
+
+
+    function adapt_from_template($dn, $skip= array())
+    {
+        plugin::adapt_from_template($dn, $skip);
+
+
+        $this->sambaSID= "";
+        $this->sambaPrimaryGroupSID= "";
+
+        /* Fill mungedDial field */
+        if (isset($this->attrs['sambaMungedDial']) && !in_array('sambaMungedDial', $skip)){
+            $this->mungedObject->load($this->sambaMungedDial);
+        }
+
+        /* Adapt munged attributes */
+        foreach($this->ctxattributes as $attr){
+            if(isset($this->mungedObject->ctx[$attr]))
+                $val = $this->mungedObject->ctx[$attr];
+
+            foreach (array("sn", "givenName", "uid") as $repl){
+                if (preg_match("/%$repl/i", $val)){
+                    $val= preg_replace ("/%$repl/i", $this->parent->$repl, $val);
+                }
+            }
+            $this->mungedObject->ctx[$attr] = $val;
+        }
+
+        // Load flags from source.
+        $this->loadFlagsFromSource($this->attrs);
+    }
+
+
+    static function plInfo()
+    {
+        return (array(
+                    "plShortName"     => _("Samba"),
+                    "plDescription"   => _("Samba settings"),
+                    "plSelfModify"    => TRUE,
+                    "plDepends"       => array("user"),
+                    "plPriority"      => 5,
+                    "plSection"     => array("personal" => _("My account")),
+                    "plCategory"    => array("users"),
+                    "plOptions"       => array(),
+                    "plRequirements"=>array(
+                        'ldapSchema' => array('sambaSamAccount' =>''),
+                        'onFailureDisablePlugin' => array(get_class())),
+                    "plProvidedAcls"  => array(
+                        "sambaHomePath"               => _("Generic home directory") ,
+                        "sambaHomeDrive"              => _("Generic samba home drive") ,
+                        "sambaDomainName"             => _("Domain") ,
+                        "sambaLogonScript"            => _("Generic script path") ,
+                        "sambaProfilePath"            => _("Generic profile path") ,
+                        "AllowLoginOnTerminalServer"  => _("Allow login on terminal server"),
+                        "InheritClientConfig"         => _("Inherit client configuration"),
+                        "sambaKickoffTime"            => _("Account expires"), 
+                        "enforcePasswordChange"       => _("Enforce password change"),
+                        "cannotChangePassword"        => _("Disallow password change") ,
+                        "noPasswordRequired"          => _("Login from windows client requires no password"),
+                        "passwordNeverExpires"        => _("Password never expires"),
+                        "temporaryDisabled"           => _("Lock samba account"),
+
+                        "sambaLogonHours"             => _("Log on hours") ,
+                        "sambaUserWorkstations"       => _("Allow connection from"))
+                        ));
+    }    
+
+    function enable_multiple_support()
+    {
+        plugin::enable_multiple_support();
+        $this->multiple_support_active = TRUE;
+    } 
+
+    function multiple_save_object()
+    {
+        if (isset($_POST['sambaTab'])){
+            $this->save_object();
+            plugin::multiple_save_object();
+            foreach(array("allow_pwchange","tslogin","CtxWFHomeDir","CtxWFHomeDirDrive","CtxWFProfilePath",
+                        "inherit","CtxWorkDirectory","CtxInitialProgram","CtxMaxConnectionTimeF",
+                        "CtxMaxConnectionTime","CtxMaxDisconnectionTimeF",
+                        "CtxMaxDisconnectionTime","CtxMaxIdleTimeF","CtxMaxIdleTime","connectclientdrives",
+                        "onnectclientprinters","defaultprinter","shadow","brokenconn",
+                        "reconn","connectclientprinters","SetSambaLogonHours","workstation_list",
+                        "enforcePasswordChange", "passwordNeverExpires", "noPasswordRequired",
+                        "temporaryDisabled","cannotChangePassword","sambaKickoffTime"
+                        ) as $attr){
+                if(isset($_POST["use_".$attr]) || isset($_POST["use_flag_".$attr]) ){
+                    $this->multi_boxes[] = $attr;
+                }
+            }
+        }
+    }
+
+
+    function multiple_check()
+    {
+        $message = plugin::multiple_check();
+
+        /* Strings */
+        foreach (array( "sambaHomePath" => _("Home directory"),
+                    "sambaProfilePath" => _("Profile path")) as $key => $val){
+            if (in_array($key,$this->multi_boxes) && !$this->mungedObject->is_samba_path($this->$key)){
+                $message[]= msgPool::invalid($val);
+            }
+        }
+
+        /* Numeric values */
+        foreach (array( "CtxMaxConnectionTime"    => _("Connection"),
+                    "CtxMaxDisconnectionTime" => _("Disconnection"),
+                    "CtxMaxIdleTime"          => _("IDLE")) as $key => $val){
+            if (in_array($key,$this->multi_boxes) && 
+                    isset($this->mungedObject->ctx[$key]) && 
+                    !tests::is_id($this->mungedObject->ctx[$key]) && $val != 0){
+                $message[]=msgPool::invalid($val);
+            }
+        }
+
+        /* Too many workstations? Windows usrmgr only supports eight */
+        if (substr_count($this->sambaUserWorkstations, ",") >= 8){
+            $message[]= _("The windows user manager only allows eight clients. You've specified more than eight.");
+        }
+
+
+        if(in_array("sambaKickoffTime", $this->multi_boxes) && $this->flag_sambaKickoffTime){
+            if(!preg_match("/^[0-3][0-9]\.[0-1][0-9]\.([0-9]){4}$/",$this->sambaKickoffTime)){
+                $message[] = msgPool::invalid(_("Account expires after"));
+            }elseif(!strtotime($this->sambaKickoffTime) || strtotime($this->sambaKickoffTime) >= 2147483647){
+                $message[] = msgPool::invalid(_("Account expires after"));
+            }
+        }
+        return($message);
+    }
+
+
+    function get_multi_init_values()
+    {
+        $ret = plugin::get_multi_init_values();
+
+        /* Parse given sambaUserWorkstations into array
+         *  to allow "init_multiple_support()" to detect multiple used workstations.
+         *  Those workstations will be displayed in light grey.
+         */
+        $tmp2 = array("count" => 0);
+        $tmp = explode(",", $this->sambaUserWorkstations);
+        foreach($tmp as $station){
+            $station = trim($station);
+            if(!empty($station)){
+                $tmp2[] = $station;
+                $tmp2['count'] ++;
+            }
+        } 
+        $ret['sambaUserWorkstations'] = $tmp2;
+        return($ret);
+    }
+
+
+
+    function init_multiple_support($attrs,$all)
+    {
+        plugin::init_multiple_support($attrs,$all);
+
+        $this->multiple_sambaUserWorkstations = array();
+        if(isset($all['sambaUserWorkstations'])){
+            for($i = 0 ; $i < $all['sambaUserWorkstations']['count'] ; $i++){
+                $station = trim($all['sambaUserWorkstations'][$i]);
+                $this->multiple_sambaUserWorkstations[$station] = array("Name" => $station, "UsedByAllUsers" => FALSE);
+            }
+        }
+        if(isset($attrs['sambaUserWorkstations'])){
+            for($i = 0 ; $i < $attrs['sambaUserWorkstations']['count'] ; $i++){
+                $station = trim($attrs['sambaUserWorkstations'][$i]);
+                $this->multiple_sambaUserWorkstations[$station] = array("Name" => $station, "UsedByAllUsers" => TRUE);
+            }
+        }
+
+        // Set kickOffTime to date
+        if(isset($attrs['sambaKickoffTime'][0])){
+            $this->sambaKickoffTime = date("d.m.Y", $this->sambaKickoffTime);
+            $this->flag_sambaKickoffTime = TRUE;
+        }
+    }
+
+    function multiple_execute()
+    {
+        return($this->execute());
+    } 
+
+    function get_multi_edit_values()
+    {
+        $ret = plugin::get_multi_edit_values();
+
+        /* Terminal Server  */
+        if(in_array("tslogin",$this->multi_boxes)){
+            $ret['tslogin'] = $this->mungedObject->getTsLogin();
+        }
+        if(in_array("CtxWFHomeDirDrive",$this->multi_boxes)){
+            $ret['CtxWFHomeDirDrive'] = $this->mungedObject->ctx['CtxWFHomeDirDrive'];
+        }
+        if(in_array("CtxWFHomeDir",$this->multi_boxes)){
+            $ret['CtxWFHomeDir'] = $this->mungedObject->ctx['CtxWFHomeDir'];
+        }
+        if(in_array("CtxWFProfilePath",$this->multi_boxes)){
+            $ret['CtxWFProfilePath'] = $this->mungedObject->ctx['CtxWFProfilePath'];
+        }
+
+        if(in_array("inherit",$this->multi_boxes)){
+            $ret['inherit'] = $this->mungedObject->getInheritMode();
+        }       
+        if(in_array("CtxInitialProgram",$this->multi_boxes)){
+            $ret['CtxInitialProgram'] = $this->mungedObject->ctx['CtxInitialProgram'];
+        } 
+        if(in_array("CtxWorkDirectory",$this->multi_boxes)){
+            $ret['CtxWorkDirectory'] = $this->mungedObject->ctx['CtxWorkDirectory'];
+        } 
+
+        /* Time Limits. Be careful here, there are some negations  */
+        if(in_array("CtxMaxConnectionTimeF",$this->multi_boxes)){
+            $ret["CtxMaxConnectionTimeF"]   =  !$this->mungedObject->getCtxMaxConnectionTimeF();
+            if(!$ret["CtxMaxConnectionTimeF"]){
+                $ret["CtxMaxConnectionTime"]   =  $this->mungedObject->ctx['CtxMaxConnectionTime'];
+            }
+        }
+        if(in_array("CtxMaxDisconnectionTimeF",$this->multi_boxes)){
+            $ret["CtxMaxDisconnectionTimeF"]=  !$this->mungedObject->getCtxMaxDisconnectionTimeF();
+            if(!$ret["CtxMaxDisconnectionTimeF"]){
+                $ret["CtxMaxDisconnectionTime"]=  $this->mungedObject->ctx['CtxMaxDisconnectionTime'];
+            }
+        }
+        if(in_array("CtxMaxIdleTimeF",$this->multi_boxes)){
+            $ret["CtxMaxIdleTimeF"]         =  !$this->mungedObject->getCtxMaxIdleTimeF();
+            if(!$ret["CtxMaxIdleTimeF"]){
+                $ret["CtxMaxIdleTime"]         =  $this->mungedObject->ctx['CtxMaxIdleTime'];
+            }
+        }
+
+        /* Client Devices */
+        if(in_array("connectclientdrives",$this->multi_boxes)){
+            $ret["connectclientdrives"]     =  $this->mungedObject->getConnectClientDrives();
+        }
+        if(in_array("connectclientprinters",$this->multi_boxes)){
+            $ret["connectclientprinters"]   =  $this->mungedObject->getConnectClientPrinters();
+        }
+        if(in_array("defaultprinter",$this->multi_boxes)){
+            $ret["defaultprinter"]          =  $this->mungedObject->getDefaultPrinter();
+        }
+
+        /* Misc */
+        if(in_array("shadow",$this->multi_boxes)){
+            $ret["shadow"]    =$this->mungedObject->getShadow();
+        }
+        if(in_array("brokenconn",$this->multi_boxes)){
+            $ret["brokenconn"]=$this->mungedObject->getBrokenConn();
+        }
+        if(in_array("reconn",$this->multi_boxes)){
+            $ret["reconn"]    =$this->mungedObject->getReConn();
+        }
+
+        // Handle Flags.
+        foreach(array("flag_enforcePasswordChange", "flag_passwordNeverExpires", "flag_noPasswordRequired",
+                    "flag_temporaryDisabled","flag_cannotChangePassword","flag_sambaKickoffTime") as $attr){
+            $ret[$attr] = $this->$attr;
+        }
+
+        if(in_array("SetSambaLogonHours",$this->multi_boxes)){
+            $ret['sambaLogonHours'] = $this->sambaLogonHours;
+        }
+
+        if(in_array("workstation_list",$this->multi_boxes)){
+            $ret['multiple_sambaUserWorkstations'] = $this->multiple_sambaUserWorkstations;
+        }
+
+        return($ret);
+    }
+
+    function set_multi_edit_values($values)
+    {
+        plugin::set_multi_edit_values($values);
+
+        /* Prepare current workstation settings to be merged 
+         *  with multiple edit settings.
+         */
+        if(isset($values['multiple_sambaUserWorkstations'])){
+            $cur_ws = array();
+            $m_ws = $values['multiple_sambaUserWorkstations'];
+
+            /* Prepare current settings to be merged */
+            if(isset($this->sambaUserWorkstations)){
+                $ttmp = explode(",",$this->sambaUserWorkstations);
+                foreach($ttmp as $station){
+                    $station = trim($station);
+                    if(!empty($station)){
+                        $cur_ws[$station] = array("Name" => $station, "UsedByAllUsers" => TRUE);
+                    }
+                }
+            }
+
+            /* Unset removed workstations */
+            foreach($cur_ws as $cur_name => $cur_station){
+                if(!isset($m_ws[$cur_name])){
+                    unset($cur_ws[$cur_name]);
+                }
+            }
+
+            /* Add all added workstations */
+            foreach($m_ws as $name => $station){
+                if($station['UsedByAllUsers']){
+                    $cur_ws[$name] = $station;
+                }
+            }
+
+            $this->sambaUserWorkstations = "";
+            foreach($cur_ws as $name => $ws){
+                $this->sambaUserWorkstations .= $name.",";
+            }
+            $this->sambaUserWorkstations=preg_replace("/,$/","",$this->sambaUserWorkstations);
+        }
+
+        /* Enable disabled terminal login, this is inverted somehow */
+        if(isset($values['tslogin']))   $this->mungedObject->setTsLogin(!$values['tslogin']);
+
+        /* Imherit client configuration */
+        if(isset($values['inherit']))   $this->mungedObject->setInheritMode($values['inherit']);
+
+        /* Get all ctx values posted */
+        $ctx = array("CtxWFHomeDirDrive","CtxWFHomeDir","CtxWFProfilePath","CtxInitialProgram","CtxWorkDirectory",
+                "CtxMaxConnectionTime","CtxMaxDisconnectionTime","CtxMaxIdleTime");
+        foreach($ctx as $attr){
+            if(isset($values[$attr])){
+                $this->mungedObject->ctx[$attr] = $values[$attr] ;
+            }
+        }
+
+        if(isset($values['CtxMaxConnectionTimeF']))   $this->mungedObject->setCtxMaxConnectionTimeF($values['CtxMaxConnectionTimeF']);
+        if(isset($values['CtxMaxDisconnectionTimeF']))$this->mungedObject->setCtxMaxDisconnectionTimeF($values['CtxMaxDisconnectionTimeF']);
+        if(isset($values['CtxMaxIdleTimeF']))         $this->mungedObject->setCtxMaxIdleTimeF($values['CtxMaxIdleTimeF']);
+
+        if(isset($values['connectclientdrives']))   $this->mungedObject->setConnectClientDrives($values['connectclientdrives']);
+        if(isset($values['connectclientprinters'])) $this->mungedObject->setConnectClientPrinters($values['connectclientprinters']);
+        if(isset($values['defaultprinter']))        $this->mungedObject->setDefaultPrinter($values['defaultprinter']);
+
+        if(isset($values['shadow']))        $this->mungedObject->setShadow($values['shadow'],$values['shadow']);
+        if(isset($values['brokenconn']))    $this->mungedObject->setBrokenConn($values['brokenconn'],$values['brokenconn']);
+        if(isset($values['reconn']))        $this->mungedObject->setReConn($values['reconn'],$values['reconn']);
+    }
+
+
+    function PrepareForCopyPaste($source)
+    {
+        plugin::PrepareForCopyPaste($source);
+
+        /* Set a new SID */
+        $this->sambaSID = "";
+
+        /* Fill mungedDial field */
+        if (isset($source['sambaMungedDial'])){
+            $this->mungedObject->load($source['sambaMungedDial'][0]);
+        }
+
+        // Load flags from source.
+        $this->loadFlagsFromSource($source);
+    }
+
+}
+
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:
+?>

=== added file 'personal/samba/class_sambaLogonHours.inc'
--- personal/samba/class_sambaLogonHours.inc	1970-01-01 00:00:00 +0000
+++ personal/samba/class_sambaLogonHours.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,146 @@
+<?php
+
+class sambaLogonHours extends plugin
+{
+  var $pathTitle = "Samba logon times";
+
+  var $sambaLogonHours = "";
+  var $Matrix          = array();
+  var $timezone        = 0; 
+  var $config;
+  var $acl;
+
+  function sambaLogonHours (&$config, $dn, $slh, $acl = 'rw')
+  {
+    plugin::plugin($config,$dn);
+    $this->sambaLogonHours = $slh;
+    $this->acl = $acl;
+
+    /* Get default timezone */
+    $zone = timezone::get_default_timezone();
+    $this->timezone = $zone['value'];
+
+    /* Convert to bin */
+    $tmp = '';
+    for($i = 0 ; $i < strlen($slh) ; $i ++){
+      $tmp .= str_pad(base_convert($slh[$i],16,2),4,'0',STR_PAD_LEFT);
+    }
+    $slh = $tmp;
+
+    /* Set to default if value is empty or seams to be broken */
+    if(strlen($slh) != 168){
+      $slh = str_pad('',168 , "1");
+    }
+
+    /* Rework string, because it was stored in little endian */
+    $new = '';
+    for($i = 0 ; $i < 21 ; $i ++ ){
+      $part         = strrev(substr($slh, $i * 8, 8));
+      $byte['hi']   = substr($part,0,4);
+      $byte['low']  = substr($part,4,4);
+      $new .= $byte['hi'].$byte['low'];
+    }
+
+    /* Shift string to match given timezone settings */
+    $shift_by = (168 + $this->timezone) % 168;
+    for($i = 0 ; $i < $shift_by; $i ++){
+      $new = $new[167].$new;
+      $new = substr($new,0,168);
+    }
+
+    /* Create matrix */ 
+    $this->Matrix = array();
+    for($day = 0 ; $day < 7 ; $day ++ ){
+      for($hour  = 0 ; $hour < 24 ; $hour ++){
+        $bitpos  = ($day * 24 + $hour) % 168;
+        $this->Matrix[$day][$hour] = $new[$bitpos]; 
+      }
+    }
+  }
+
+  function execute()
+  {
+    plugin::execute();
+
+    $week_days = msgPool::weekdays();
+
+    $ui =get_userinfo();
+    $smarty = get_smarty();
+    $smarty->assign("acl",preg_match("/w/i",$this->acl));
+
+    $hours = array();
+    for($i = 0 ; $i <24 ; $i++ ){
+      $hours[$i] = $i ;
+    }
+
+    $smarty->assign("Matrix",$this->Matrix);
+    $smarty->assign("Days"  ,$week_days);
+    $smarty->assign("Hours" ,$hours);
+    return($smarty->fetch(get_template_path("sambaLogonHours.tpl",TRUE,dirname(__FILE__))));
+  }
+
+  function save_object()
+  {
+    /* Get userinfo */
+    $ui = get_userinfo();
+  
+    /* Check if dialog was opened and if there were any changes */
+    if(isset($_POST['sambaLogonHoursPosted'])){
+      foreach($this->Matrix as $day_key => $days){
+        foreach($days as $hour_key => $hour){
+          if(isset($_POST['day_'.$day_key.'_'.$hour_key])){
+            $this->Matrix[$day_key][$hour_key] = 1;
+          }else{
+            $this->Matrix[$day_key][$hour_key] = 0;
+          }
+        }
+      }
+    }
+  }
+  
+  function save()
+  {
+
+    /* Convert Matrix to Hex */
+    $slh = "";
+    foreach($this->Matrix as $day_key => $days){
+      foreach($days as $hour_key => $hour){
+        $slh .= $hour;
+      }
+    }
+
+    /* Shift string to match given timezone settings */
+    $shift_by = (168 + ($this->timezone*(-1))) % 168;
+    for($i = 0 ; $i < $shift_by; $i ++){
+      $slh = $slh[167].$slh;
+      $slh = substr($slh,0,168);
+    }
+ 
+    /* Rework string, because it was stored in little endian */
+    $new = '';
+    for($i = 0 ; $i < 21 ; $i ++ ){
+      $part         = strrev(substr($slh, $i * 8, 8));
+      $byte['hi']   = substr($part,0,4);
+      $byte['low']  = substr($part,4,4);
+      $new .= $byte['hi'].$byte['low'];
+    }
+
+    /* Convert to bin */
+    $tmp = '';
+    for($i = 0 ; $i < 21 ; $i ++){
+      $tmp .= str_pad(base_convert(substr($new,$i*8,8),2,16),2,'0',STR_PAD_LEFT);
+    }
+
+    /* Create uppercase HEX chars */
+    $ret = strtoupper( $tmp);
+    
+    /* All hours and days selected */
+    if(substr_count($ret,'F') == 42){
+      $ret = "";
+    }
+
+    return($ret);
+  }
+}
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:
+?>

=== added file 'personal/samba/class_sambaMungedDial.inc'
--- personal/samba/class_sambaMungedDial.inc	1970-01-01 00:00:00 +0000
+++ personal/samba/class_sambaMungedDial.inc	2010-10-04 10:45:44 +0000
@@ -0,0 +1,609 @@
+<?php
+/*
+  This code is part of GOsa (https://gosa.gonicus.de)
+  Copyright (C) 2004  Cajus Pollmeier
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+
+
+/* File header is treated as constant. It cannot be defined inside the class if $PHP_VERSION < 5 */
+define ("FILEHEADER",
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+      	"5000");
+/* This is the old header, it is needed to automatically convert old mungedDials to new ones */
+define ("FILEHEADER_OLD",   
+        "6d000800200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200064000100".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "20002000200020002000200020002000".
+        "50001000");
+
+class sambaMungedDial
+{
+  /* Terminal server variables (samba3) */
+  var $ctx= array(
+  	'CtxCfgPresent' =>	        	'551e0bb0',
+	  'CtxCfgFlags1' =>	          	'00e00010',
+  	'CtxCallback' =>	          	'',
+  	'CtxShadow' =>	          		'01000000',
+  	'CtxMaxConnectionTime' =>   	'',
+  	'CtxMaxDisconnectionTime' =>	'',
+  	'CtxMaxIdleTime' => 	      	'',
+  	'CtxKeyboardLayout' =>	     	'',
+  	'CtxMinEncryptionLevel' =>  	'00',
+  	'CtxWorkDirectory' =>	      	'',
+  	'CtxNWLogonServer' =>	      	'',  
+  	'CtxWFHomeDir' =>	           	'',
+  	'CtxWFHomeDirDrive' =>	    	'',
+  	'CtxWFProfilePath' =>	      	'',
+  	'CtxInitialProgram' =>	     	'',
+  	'CtxCallbackNumber' =>	    	'');
+
+  /* attribute list for save action */
+  var $ctxattributes= array("CtxCfgPresent", "CtxCfgFlags1", "CtxCallback",
+        "CtxShadow", "CtxMaxConnectionTime", "CtxMaxDisconnectionTime",
+        "CtxMaxIdleTime", "CtxKeyboardLayout", "CtxMinEncryptionLevel",
+        "CtxWorkDirectory", "CtxNWLogonServer", "CtxWFHomeDir",
+        "CtxWFHomeDirDrive", "CtxWFProfilePath", "CtxInitialProgram",
+        "CtxCallbackNumber");	
+
+  /* These parameters are treated as strings and get a trailing zero */
+  var $stringParams= array( "CtxWorkDirectory", "CtxNWLogonServer", 
+			"CtxWFHomeDir", "CtxWFHomeDirDrive", 
+			"CtxWFProfilePath", "CtxInitialProgram", "CtxCallbackNumber");
+
+  /* These parameters are treated as time values and get converted */
+  var $timeParams= array("CtxMaxConnectionTime", "CtxMaxDisconnectionTime", "CtxMaxIdleTime");
+
+  var $old_behavior= false;
+
+  function strhex($string)
+  {
+  	$hex="";
+
+  	for ($i=0; $i<strlen($string); $i++) {
+  		$hex.= dechex(ord($string[$i]));
+    }
+	
+  	return ($hex);
+  }
+
+  function hexstr($hex)
+  {
+  	$string="";
+
+  	for ($i=0; $i<strlen($hex)-1; $i+=2) {
+  		$string.= chr(hexdec($hex[$i].$hex[$i+1]));
+  	}
+  
+  	return ($string);
+  }
+
+  function endian($src)
+  {
+  	return (substr($src, 2, 2).substr($src, 0, 2));
+  }
+
+  function genTime ($minutes)
+  {
+  	$usec= (int) ($minutes * 60 * 1000);
+  	$src=  sprintf('%04x%04x', $usec & 0x0FFFF, ($usec & 0x0FFFF0000) >> 16);
+  	return (sambaMungedDial::endian(substr($src, 0, 4)).sambaMungedDial::endian(substr($src, 4, 4)));
+  }
+
+  function readTime ($time)
+  {
+  	$lo= substr($time, 0, 4);
+  	$hi= substr($time, 4, 4);
+  
+  	$usecs= (hexdec(substr($lo, 2, 2)) * 256 + hexdec(substr($lo, 0, 2))) +
+  		(hexdec(substr($hi, 2 ,2)) * 256 + hexdec(substr($hi, 0, 2))) * 256 * 256;
+  
+  	return ((int)($usecs / (60 * 1000)));
+  }
+
+  function to8bit($string)
+  {
+  	$result= "";
+  
+  	/* Strip zeros */
+  	for ($i= 0; $i<strlen($string); $i++){
+  		if ($string[$i] != chr(0)){
+  			$result.= $string[$i];
+  		}
+  	}
+  
+  	return ($result);
+  }
+
+  function is_samba_path($path)
+  {
+  	if ($path == ""){
+  		return (TRUE);
+  	}
+
+  	if (!preg_match('/^[a-z0-9%\\\\_.:+-\\\\$]+$/i', $path)){
+  		return (FALSE);
+  	}
+  
+  	return preg_match ("/\\\\.+$/", $path);
+  }
+
+  /* Encode full MungedDial-String */
+  function encode_munged ($params)
+  {
+  	/* Walk through the parameters and convert them */
+  	$result= sambaMungedDial::hexstr(FILEHEADER);
+  
+  	// CHANGED: We need to insert the number of attributes right after FILEHEADER.
+  	$counter= 0;
+  	$result_tmp= "";
+  	foreach ($params as $paramName => $paramValue) {
+  		/* String parameter? */
+  		if (in_array($paramName, $this->stringParams)){
+  			$isString= TRUE;
+  			$paramValue= sambaMungedDial::strhex($paramValue.chr(0).chr(0));
+  		} else {
+  			$isString= FALSE;
+  		}
+  
+  		/* Time parameter? */
+  		if (in_array($paramName, $this->timeParams)){
+  			$paramValue= sambaMungedDial::genTime($paramValue);
+  		}
+  
+  		$result_tmp.= sambaMungedDial::munge($paramName, $paramValue, $isString);
+  		$counter++;
+  	}
+  	
+  	// First add the number of attributes
+  	$result.= sambaMungedDial::hexstr(sprintf("%02x00", $counter));
+  
+  	// Then the usual stuff
+  	$result.= $result_tmp;
+  
+  	return ($result);
+  }
+
+  /* Setup parameter given by paramName to MungedDial-Format */
+  function munge($paramName, $paramValue, $isString) 
+  {
+  	$result= "";
+  	
+  	/* Encode paramName to UTF-16 */
+          if (function_exists("recode")){
+                  $utfName= recode("ISO8859-15..UTF-16", $paramName);
+          } else {
+                  $utfName= iconv("ISO8859-15", "UTF-16BE", $paramName);
+          }
+  
+  	/* Set parameter length, high and low byte */
+  	$paramLen= strlen($utfName);
+  	$result.= chr($paramLen & 0x0FF);
+  	$result.= chr(($paramLen & 0x0FF00) >> 8);
+  
+  	/* String parameters have additional trailing bytes */
+  	$valueLen= strlen($paramValue);
+  	$result.= chr($valueLen & 0x0FF);
+  	$result.= chr(($valueLen & 0x0FF00) >> 8);
+  	
+  	/* Length fields have a trailing '01' appended by the UTF-16 converted name */
+  	$result.= chr(1);
+  	$result.= $utfName;
+  
+  	/* Parameter is padded with '00' */
+  	$result.= chr(0);
+  	$result.= $paramValue;
+  
+  	/* Append a trailing '00' to string parameters */
+  	if ($isString && (strlen($paramValue) & 1)){
+  		$result.= chr(0);
+  	}
+  	
+  	return ($result);
+  }
+
+  /* Takes a base64-encoded MungedDial-String and returns an array of included parameters and values */
+  function decode_munged($munge)
+  {
+  	$result= array();
+  		
+  	/* 
+  	 * Remove base64 encoding and skip FILEHEADER.
+  	 * The '4' is added, because the FILEHEADER has been stripped by 4 chars.
+  	 * This is the number of attributes following - we don't need this at read time, only when writing.
+  	 */
+    if(substr(base64_decode($munge),0,2)=="6d") {
+      $this->old_behavior=true;
+    }
+
+    $ctxField="";
+    if($this->old_behavior==true) {
+  	  $ctxField= substr(base64_decode($munge), (strlen(FILEHEADER_OLD)) / 2);
+    } else {
+  	  $ctxField= substr(base64_decode($munge), (strlen(FILEHEADER)+4) / 2);
+    }
+  
+  	/* Decode parameters */
+  	while ($ctxField!=""){
+  
+  		/* Read value lengths */
+  		$ctxParmNameLength= ord($ctxField[0]) + 16 * ord($ctxField[1]);
+  		$ctxParmLength= ord($ctxField[2]) + 16 * ord($ctxField[3]);
+  				
+  		/* Reposition ctxField on start of parameter name, read parameter name */
+  		$ctxField= substr($ctxField, 6);
+  		$ctxParmName= sambaMungedDial::to8bit(substr($ctxField, 0, $ctxParmNameLength));
+  				
+  		/* Reposition ctxField on start of parameter */
+  		$ctxField= substr($ctxField, $ctxParmNameLength);
+  		$ctxParm= substr($ctxField, 0, $ctxParmLength);
+  				
+  		/* If string parameter, convert */
+  		if (in_array($ctxParmName, $this->stringParams)){
+  				$ctxParm= sambaMungedDial::hexstr($ctxParm);
+  		}
+  		/* If time parameter, convert */
+  		if (in_array($ctxParmName, $this->timeParams)){
+  			$ctxParm= sambaMungedDial::readTime($ctxParm);
+  		}
+  
+  		/* Assign in result array */
+  		$result[$ctxParmName]= trim($ctxParm);
+  				
+  		/* Reposition ctxField on end of parameter and continue */
+  		$ctxField= substr($ctxField, $ctxParmLength);
+  	}
+  
+  	return ($result);
+  }
+
+  /* function takes a base64-encoded sambaMungedDial */
+  function load ($mungedDial)
+  {
+  	$this->ctx= $this->decode_munged($mungedDial);
+  }
+
+  /* Returns ready-to-run mungedDialString to be filled into ldap */
+  function getMunged ()
+  {
+  	// Do extra check for valid timeParams (they must be set to 0 if disabled)
+  	foreach($this->timeParams as $value) {
+	  	if(!isset($this->ctx[$value])) {
+	  		$this->ctx[$value]= 0;
+	  	}
+  	}
+	  $result= base64_encode($this->encode_munged($this->ctx));
+	  
+    return $result;
+  }
+
+  /* Returns array of flags, which can be set on-demand with activated java-script */
+  function getOnDemandFlags ()
+  {
+  	$result= array();
+  	if (session::get("js")){
+  		foreach ($this->timeParams as $value) {
+  			if (!isset($this->ctx[$value]) || (isset($this->ctx[$value]) && $this->ctx[$value] == 0)) {
+  				$result[$value."Mode"]= "disabled";
+  			} else {
+  				$result[$value."Mode"]= "";
+  			}
+  		}
+  		
+  		if (substr($this->ctx['CtxCfgFlags1'], 6, 1) == "1") {
+  			$result['CtxInitialProgramMode'] = "disabled";
+  		} else {
+  			$result['CtxInitialProgramMode'] = "";
+  		}
+  	}else{
+  		foreach ($this->timeParams as $value) {
+  			$result[$value."Mode"]= "";
+  		}
+  		
+  		$result['CtxInitialProgramMode'] = "";
+  
+  	}
+  
+  	return $result;
+  }
+
+  /*Gets Terminal-Server-Login value: enabled/disabled */
+  function getTsLogin ()
+  {
+   	$flags= ord(substr($this->ctx['CtxCfgFlags1'], 5, 1));
+    	
+  	if ($flags & 1) {
+    		$result= false;
+    	} else {
+  	  	$result= true;
+    }
+  
+  	return $result;
+  }
+
+  /* Sets Terminal-Server-Login value: enabled/disabled */
+  function setTsLogin ($checked)
+  {
+  	$flag= substr($this->ctx['CtxCfgFlags1'], 5, 1);
+  	
+  	if ($checked) {
+   		$flag|= 1;
+  	} else {
+   		$flag&= 0xFE;
+  	}
+  	
+  	$this->ctx['CtxCfgFlags1'][5]= sprintf('%1x', $flag);
+  }
+
+  /* gets Broken-Connection value: disconnect/reset */
+  function getBrokenConn ()
+  {
+  	$flags= ord(substr($this->ctx['CtxCfgFlags1'], 5, 1));
+  	if ($flags & 4) {
+  		$result= "1";
+  	} else {
+  		$result= "0";
+  	}
+  	
+  	return $result;
+  }
+
+  /* sets Broken-Connection value: disconnect/reset */
+  function setBrokenConn ($checked) 
+  {
+  	$flag= substr($this->ctx['CtxCfgFlags1'], 5, 1);
+  	
+  	if ($checked) {
+  		$flag|= 4;
+  	} else {
+  		$flag&= 0xFB;
+  	}
+  	
+  	$this->ctx['CtxCfgFlags1'][5]= sprintf('%1x', $flag);
+  }
+
+  /* gets Reconnection value: from any client/from previous client only */
+  function getReConn ()
+  {
+  	$flags= ord(substr($this->ctx['CtxCfgFlags1'], 5, 1));
+  	if ($flags & 2) {
+  		$result= "1";
+  	} else {
+  		$result= "0";	
+  	}
+  	
+  	return $result;
+  }
+
+  /* sets Reconnection value: from any client/from previous client only */
+  function setReConn ($checked)
+  {
+  	$flag= substr($this->ctx['CtxCfgFlags1'], 5, 1);
+  	
+  	if ($checked) {
+  		$flag|= 2;
+  	} else {
+  		$flag&= 0xFD;
+  	}
+  	
+  	$this->ctx['CtxCfgFlags1'][5]= sprintf('%1x', $flag);
+  }
+
+  /* gets Inherit-config-from-client value: enabled/disabled */
+  function getInheritMode ()
+  {
+  	if (substr($this->ctx['CtxCfgFlags1'], 6, 1) == "1") {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  
+  	return $result;
+  }
+
+  /* sets Inherit-config-from-client value: enabled/disabled */
+  function setInheritMode ($checked)
+  {
+  	if ($checked) {
+  		$this->ctx['CtxCfgFlags1'][6]= "1";
+  	} else {
+  		$this->ctx['CtxCfgFlags1'][6]= "0";
+  	}
+  }
+
+  /* gets shadow value (enum): 0-4
+	0: disabled
+	1: input on, notify on
+	2: input on, notify off
+	3: input off, notify on
+	4: input off, notify off 
+  */
+  function getShadow ()
+  {
+    if($this->old_behavior==true) {
+      $result= substr($this->ctx['CtxCfgFlags1'], 1, 1);
+    } else {
+      $result= substr($this->ctx['CtxShadow'], 1, 1);
+    }
+    return $result;
+  }
+
+  /* sets shadow value */
+  function setShadow ($checked, $value)
+  {
+    if ($checked) {
+      if($this->old_behavior==true) {
+        // We need to reset the old setting
+       	$this->ctx['CtxCfgFlags1'][1]= sprintf('%1X', $value);
+      }
+      $this->ctx['CtxShadow'][1]= sprintf('%1x', $value);
+    }
+  }
+
+  /* gets connect-client-drive-at-logon value: enabled/disabled */
+  function getConnectClientDrives ()
+  {
+  	$connections= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	if ($connections & 8) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  
+  	return $result;
+  }
+
+  /* sets connect-client-drive-at-logon value: enabled/disabled */
+  function setConnectClientDrives ($checked)
+  {
+  	$flag= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	if ($checked) {
+  		$flag|= 8;
+  	} else {
+  		$flag&= 0xF7;
+  	}
+  
+  	$this->ctx['CtxCfgFlags1'][2]= sprintf('%1x', $flag);
+  }
+
+  /* gets connect-client-printers-at-logon value: enabled/disabled */
+  function getConnectClientPrinters ()
+  {
+  	$connections= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	if ($connections & 4) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  	
+  	return $result;
+  }
+
+  /* sets connect-client-printers-at-logon value: enabled/disabled */
+  function setConnectClientPrinters ($checked)
+  {
+  	$flag= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	
+  	if ($checked) {
+  		$flag|= 4;
+  	} else {
+  		$flag&= 0xFB;
+  	}
+  	
+  	$this->ctx['CtxCfgFlags1'][2]= sprintf('%1x', $flag);
+  }
+
+  /* gets set-client-printer-to-default value: enabled/disabled */
+  function getDefaultPrinter ()
+  {
+  	$connections= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	if ($connections & 2) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  
+  	return $result;
+  }
+
+  /* sets set-client-printer-to-default value: enabled/disabled */
+  function setDefaultPrinter ($checked)
+  {
+  	$flag= hexdec(substr($this->ctx['CtxCfgFlags1'], 2, 1));
+  	
+  	if ($checked) {
+  		$flag|= 2;
+  	} else {
+  		$flag&= 0xFD;
+  	}
+  	
+  	$this->ctx['CtxCfgFlags1'][2]= sprintf('%1x', $flag);
+  }
+
+  /* SMARTY: gets the checkbox state of "Connection" */
+  function getCtxMaxConnectionTimeF ()
+  {
+  	// Connection Time is 0 if disabled
+  	if (isset($this->ctx['CtxMaxConnectionTime']) && ($this->ctx['CtxMaxConnectionTime'] != 0)) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  
+  	return $result;
+  }
+
+  /* SMARTY: sets the checkbox "Connection" to unchecked */
+  function setCtxMaxConnectionTimeF ($checked)
+  {
+  	if ($checked) {
+  		unset ($this->ctx['CtxMaxConnectionTime']);
+  	}
+  }
+
+  /* SMARTY: gets the checkbox state of "Disconnection" */
+  function getCtxMaxDisconnectionTimeF ()
+  {
+  	// Connection Time is 0 if disabled
+  	if (isset($this->ctx['CtxMaxDisconnectionTime']) && ($this->ctx['CtxMaxDisconnectionTime'] != 0)) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+
+  	return $result;
+  }
+
+  /* SMARTY: sets the checkbox "Disconnection" to unchecked */
+  function setCtxMaxDisconnectionTimeF ($checked)
+  {
+  	if ($checked) {
+  		unset ($this->ctx['CtxMaxDisconnectionTime']);
+  	} 
+  }
+
+  /* SMARTY: gets the checkbox state of "Idle" */
+  function getCtxMaxIdleTimeF ()
+  {
+  	// Connection Time is 0 if disabled
+  	if (isset($this->ctx['CtxMaxIdleTime']) && ($this->ctx['CtxMaxIdleTime'] != 0)) {
+  		$result= true;
+  	} else {
+  		$result= false;
+  	}
+  
+  	return $result;
+  }
+
+  /* SMARTY: sets the checkbox "Idle" to unchecked */
+  function setCtxMaxIdleTimeF ($checked)
+  {
+  	if ($checked) {
+  		unset ($this->ctx['CtxMaxIdleTime']);
+  	}
+  }
+}
+
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:
+?>

=== added file 'personal/samba/samba3.tpl'
--- personal/samba/samba3.tpl	1970-01-01 00:00:00 +0000
+++ personal/samba/samba3.tpl	2010-10-04 10:45:44 +0000
@@ -0,0 +1,515 @@
+<table style='width:100%; ' summary="{t}Samba configuration{/t}">
+
+
+ <!-- Headline container -->
+ <tr>
+  <td style='width:50%; ' colspan="2">
+
+   <h3>{t}Generic{/t}</h3>
+  </td>
+ </tr>
+ <tr>
+  <td>
+
+   <table summary="{t}Path configuration{/t}">
+    <tr>
+     <td><label for="sambaHomePath">{t}Home directory{/t}</label></td>
+     <td>
+{render acl=$sambaHomePathACL checkbox=$multiple_support checked=$use_sambaHomePath}
+      <input type='text' id="sambaHomePath" name="sambaHomePath" size=30 maxlength=60 value="{$sambaHomePath}">
+{/render}
+{render acl=$sambaHomeDriveACL  checkbox=$multiple_support checked=$use_sambaHomeDrive}
+      <select size="1" name="sambaHomeDrive">
+       {html_options values=$drives output=$drives selected=$sambaHomeDrive}
+      </select>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="sambaDomainName">{t}Domain{/t}</label></td>
+     <td>
+{render acl=$sambaDomainNameACL  checkbox=$multiple_support checked=$use_sambaDomainName}
+      <select id="sambaDomainName" size="1" name="sambaDomainName"
+       onChange="document.mainform.submit();">
+       {html_options values=$domains output=$domains selected=$sambaDomainName}
+      </select>
+{/render}
+{render acl=$sambaDomainNameACL  checkbox=$multiple_support checked=$use_sambaDomainName}
+     <button type='submit' name='display_information'>{t}Show information{/t}</button>
+
+{/render}
+     </td>
+    </tr>
+   </table>
+  </td>
+  <td class='left-border'>
+
+   &nbsp;
+  </td>
+  <td>
+
+   <table summary="{t}Profile and script path settings{/t}">
+    <tr>
+     <td><label for="">{t}Script path{/t}</label></td>
+     <td>
+{render acl=$sambaLogonScriptACL  checkbox=$multiple_support checked=$use_sambaLogonScript}
+      <input type='text' id="sambaLogonScript" name="sambaLogonScript" size=35 maxlength=60 value="{$sambaLogonScript}">
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="">{t}Profile path{/t}</label></td>
+     <td>
+{render acl=$sambaProfilePathACL  checkbox=$multiple_support checked=$use_sambaProfilePath}
+      <input type='text' class="center" id="sambaProfilePath" name="sambaProfilePath" size=35 maxlength=60 value="{$sambaProfilePath}">
+{/render}
+     </td>
+    </tr>
+   </table>
+  </td>
+ </tr>
+</table>
+
+<hr>
+
+<h3>{t}Terminal Server{/t}</h3>
+
+<table style='width:100%; ' summary="{t}Terminal server settings{/t}">
+ <tr>
+  <td style='width:50%'>
+
+
+{if $multiple_support}
+   	<input class="center" type=checkbox name="use_tslogin" id="use_tslogin" value="1" 
+		{if $use_tslogin} checked {/if}
+		onClick="changeState('tslogin')">
+	<input class="center" type=checkbox name="tslogin" id="tslogin" value="1" {$tslogin}
+		{if !$use_tslogin} disabled {/if}>
+{else}
+{render acl=$AllowLoginOnTerminalServerACL}
+   <input class="center" type=checkbox name="tslogin" id="tslogin" value="1" {$tslogin}
+   	onclick="
+		changeState('CtxWFHomeDir');
+		changeState('CtxWFHomeDirDrive');
+		changeState('CtxWFProfilePath');
+		changeState('inherit');			
+		changeTripleSelectState_2nd_neg('tslogin','inherit','CtxInitialProgram');
+		changeTripleSelectState_2nd_neg('tslogin','inherit','CtxWorkDirectory');
+		changeState('CtxMaxConnectionTimeF');
+		changeState('CtxMaxDisconnectionTimeF');
+		changeState('CtxMaxIdleTimeF');
+		changeTripleSelectState('tslogin','CtxMaxConnectionTimeF','CtxMaxConnectionTime');
+		changeTripleSelectState('tslogin','CtxMaxDisconnectionTimeF','CtxMaxDisconnectionTime');
+		changeTripleSelectState('tslogin','CtxMaxIdleTimeF','CtxMaxIdleTime');
+		changeState('connectclientdrives');
+		changeState('connectclientprinters');
+		changeState('defaultprinter');
+		changeState('shadow');
+		changeState('brokenconn');
+		changeState('reconn');
+	">
+{/render}
+{/if}
+   <i>{t}Allow login on terminal server{/t}</i>
+   <table summary="{t}Terminal server connection settings{/t}">
+    <tr>
+     <td><label for="CtxWFHomeDir">{t}Home directory{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxWFHomeDir}
+      <input type='text' id="CtxWFHomeDir" name="CtxWFHomeDir" size=30 maxlength=60 value="{$CtxWFHomeDir}" {$tsloginstate}>
+{/render}
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxWFHomeDirDrive}
+      <select size="1" id="CtxWFHomeDirDrive" name="CtxWFHomeDirDrive"  {$tsloginstate}>
+       {html_options values=$drives output=$drives selected=$CtxWFHomeDirDrive}
+      </select>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="CtxWFProfilePath">{t}Profile path{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxWFProfilePath}
+      <input type='text' id="CtxWFProfilePath" name="CtxWFProfilePath" size=35 maxlength=60 value="{$CtxWFProfilePath}" {$tsloginstate}>
+{/render}
+     </td>
+    </tr>
+   </table>
+  </td>
+  <td class='left-border'>
+
+   &nbsp;
+  </td>
+  <td>
+
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_inherit}
+   <input class="center" type=checkbox id="inherit" name="inherit" {if $inheritstate} checked {/if}
+    {$tsloginstate}
+	onClick="changeState('CtxInitialProgram');
+ 		 changeState('CtxWorkDirectory');"
+	
+	> 
+{/render}
+   <i>{t}Inherit client configuration{/t}</i>
+   <table summary="{t}Client configuration{/t}">
+    <tr>
+     <td><label for="CtxInitialProgram">{t}Initial program{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxInitialProgram}
+      <input type='text' id="CtxInitialProgram" name="CtxInitialProgram" size=35 maxlength=60 value="{$CtxInitialProgram}" {$inheritstate} {$tsloginstate}>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="CtxWorkDirectory">{t}Working directory{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxWorkDirectory}
+      <input type='text' id="CtxWorkDirectory" name="CtxWorkDirectory" size=35 maxlength=60	value='{$CtxWorkDirectory}' {$inheritstate} {$tsloginstate}>
+{/render}
+     </td>
+    </tr>
+   </table>
+  </td>
+ </tr>
+</table>
+
+<hr>
+
+<table style='width:100%; ' summary="{t}Connection timeout settings{/t}">
+
+ <tr>
+  <td>
+
+   <i>{t}Timeout settings (in minutes){/t}</i>
+   <table summary="{t}Connection timeout settings{/t}">
+    <tr>
+     <td>
+{if $multiple_support}
+<input type="checkbox" name="use_CtxMaxConnectionTimeF" {if $use_CtxMaxConnectionTimeF} checked {/if}
+	onClick="changeState('CtxMaxConnectionTimeF');" class="center"
+	>
+{/if}
+{render acl=$AllowLoginOnTerminalServerACL}
+      <input 		id="CtxMaxConnectionTimeF" 	type="checkbox" class="center" name="CtxMaxConnectionTimeF" 
+			{if !$use_CtxMaxConnectionTimeF && $multiple_support} disabled {/if}
+			value="1" 			{$CtxMaxConnectionTimeF} 	
+			onclick="changeState('CtxMaxConnectionTime')" {$tsloginstate}>
+{/render}
+
+      <label for="CtxMaxConnectionTimeF">{t}Connection{/t}</label>
+     </td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL}
+      <input name="CtxMaxConnectionTime" type="text" id="CtxMaxConnectionTime" size=5 maxlength=5 value="{$CtxMaxConnectionTime}" 
+			{if !$CtxMaxConnectionTimeF ||  $tsloginstate == "disabled"} disabled  {/if}>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxMaxDisconnectionTimeF}
+      <input id="CtxMaxDisconnectionTimeF" type=checkbox name="CtxMaxDisconnectionTimeF" value="1" {$CtxMaxDisconnectionTimeF} onclick="changeState('CtxMaxDisconnectionTime')" {$tsloginstate} class="center">
+{/render}
+      <label for="CtxMaxDisconnectionTimeF">{t}Disconnection{/t}</label>
+     </td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL}
+      <input name="CtxMaxDisconnectionTime" id="CtxMaxDisconnectionTime" type="text" size=5 maxlength=5 value="{$CtxMaxDisconnectionTime}" 
+			{if $tsloginstate == "disabled" || !$CtxMaxDisconnectionTimeF} disabled  {/if}>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_CtxMaxIdleTimeF}
+      <input id="CtxMaxIdleTimeF" type=checkbox name="CtxMaxIdleTimeF" value="1" {$CtxMaxIdleTimeF} onclick="changeState('CtxMaxIdleTime')" {$tsloginstate} class="center">
+{/render}
+      <label for="CtxMaxIdleTimeF">{t}IDLE{/t}</label>
+     </td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL}
+      <input name="CtxMaxIdleTime" id="CtxMaxIdleTime" size=5 maxlength=5 type="text" value="{$CtxMaxIdleTime}" 
+			{if !$CtxMaxIdleTimeF || $tsloginstate == "disabled"} disabled  {/if}>
+{/render}
+     </td>
+    </tr>
+   </table>
+  </td>
+  <td class='left-border'>
+
+   &nbsp;
+  </td>
+  <td>
+
+
+   <i>{t}Client devices{/t}</i>
+   <table summary="{t}Client devices{/t}">
+    <tr>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_connectclientdrives}
+      <input id="connectclientdrives" type=checkbox name="connectclientdrives" value="1" {$connectclientdrives} {$tsloginstate} class="center">
+{/render}
+      <label for="connectclientdrives">{t}Connect client drives at log on{/t}</label>
+     </td>
+    </tr>
+    <tr>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_connectclientprinters}
+      <input id="connectclientprinters" type=checkbox name="connectclientprinters" value="1" {$connectclientprinters}{$tsloginstate} class="center">
+{/render}
+      <label for="connectclientprinters">{t}Connect client printers at log on{/t}</label>
+     </td>
+    </tr>
+    <tr>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_defaultprinter}
+      <input id="defaultprinter" type=checkbox name="defaultprinter" value="1" {$defaultprinter} {$tsloginstate} class="center">
+{/render}
+      <label for="defaultprinter">{t}Default to main client printer{/t}</label>
+     </td>
+    </tr>
+   </table>
+
+  </td>
+  <td class='left-border'>
+
+   &nbsp;
+  </td>
+  <td style='width:50%'>
+
+   <i>{t}Miscellaneous{/t}</i>
+   <table summary="{t}Miscellaneous{/t}">
+    <tr>
+     <td>
+      <label for="shadow">{t}Shadowing{/t}</label>
+     </td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_shadow}
+      <select id="shadow" size="1" name="shadow" {$tsloginstate}>
+       {html_options options=$shadow selected=$shadowmode}
+      </select>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="brokenconn">{t}On broken or timed out{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_brokenconn}
+      <select id="brokenconn" size="1" name="brokenconn" {$tsloginstate}>
+       {html_options options=$brokenconn selected=$brokenconnmode}
+      </select>
+{/render}
+     </td>
+    </tr>
+    <tr>
+     <td><label for="reconn">{t}Reconnect if disconnected{/t}</label></td>
+     <td>
+{render acl=$AllowLoginOnTerminalServerACL  checkbox=$multiple_support checked=$use_reconn}
+      <select id="reconn" size="1" name="reconn" {$tsloginstate}>
+       {html_options options=$reconn selected=$reconnmode}
+      </select>
+{/render}
+     </td>
+    </tr>
+   </table>
+
+  </td>
+ </tr>
+</table>
+
+<hr>
+
+<h3>{t}Access options{/t}
+</h3>
+
+<table style='width:100%; ' summary="{t}Access options{/t}">
+
+ <tr>
+  <td style='width:50%; ' colspan="2">
+
+
+      <table>
+       <tr>
+            <td>
+                {render acl=$enforcePasswordChangeACL checkbox=$multiple_support checked=$use_enforcePasswordChange}
+                 <input type='checkbox' value='1' name='flag_enforcePasswordChange'
+                  {if $flag_enforcePasswordChange} checked {/if} id='flag_enforcePasswordChange'>
+                {/render}
+            </td>
+            <td>
+                <label for='flag_enforcePasswordChange'>{t}Enforce password change{/t}</label>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                {render acl=$passwordNeverExpiresACL  checkbox=$multiple_support checked=$use_passwordNeverExpires}
+                <input type='checkbox' value='1' name="flag_passwordNeverExpires"
+                    {if $flag_passwordNeverExpires} checked {/if} id='flag_passwordNeverExpires'>
+                {/render}
+            </td>
+            <td>
+                <label for="flag_passwordNeverExpires">{t}The password never expires{/t}</label>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                {render acl=$noPasswordRequiredACL  checkbox=$multiple_support checked=$use_noPasswordRequired}
+                <input type='checkbox' value='1' name="flag_noPasswordRequired"
+                    {if $flag_noPasswordRequired} checked {/if} id='flag_noPasswordRequired'>
+                {/render}
+            </td>
+            <td>
+                <label for="flag_noPasswordRequired">{t}Login from windows client requires no password{/t}</label>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                {render acl=$temporaryDisabledACL  checkbox=$multiple_support checked=$use_temporaryDisabled}
+                <input type='checkbox' value='1' name="flag_temporaryDisabled"
+                    {if $flag_temporaryDisabled} checked {/if} id='flag_temporaryDisabled'>
+                {/render}
+            </td>
+            <td>
+                <label for="flag_temporaryDisabled">{t}Lock samba account{/t}</label>
+            </td>
+        </tr>
+        <tr>
+            <td>
+                {render acl=$cannotChangePasswordACL  checkbox=$multiple_support checked=$use_cannotChangePassword}
+                 <input type='checkbox' value='1' name='flag_cannotChangePassword'
+                    {if $flag_cannotChangePassword} checked {/if} id='flag_cannotChangePassword'>
+    </table>
+    <table>
+      <tr>
+        <td colspan=2>
+           {render acl=$sambaKickoffTimeACL  checkbox=$multiple_support checked=$use_sambaKickoffTime}
+             <input id="flag_sambaKickoffTime" type=checkbox name="flag_sambaKickoffTime" value="1" 
+                    {if $flag_sambaKickoffTime} checked {/if} class="center">
+           {/render}
+           <label for="flag_sambaKickoffTime">{t}Account expires after{/t}</label>
+         </td>
+         <td style='width:200px;'>
+           {render acl=$sambaKickoffTimeACL}
+             <input type="text" id="sambaKickoffTime" name="sambaKickoffTime" class="date" style='width:100px' value="{$sambaKickoffTime}">
+                {if $sambaKickoffTimeACL|regex_replace:"/[cdmr]/":"" == "w"}
+                  <script type="text/javascript">
+                    {literal}
+                       var datepicker2 = new DatePicker({ 
+                            relative : 'sambaKickoffTime', 
+                            language : '{/literal}{$lang}{literal}', 
+                            keepFieldEmpty : true, 
+                            enableCloseEffect : false, 
+                            enableShowEffect : false });
+                    {/literal}
+                  </script>
+               {/if}
+            {/render}
+          </td>
+       </tr>
+                {/render}
+            </td>
+            <td>
+                <label for="flag_cannotChangePassword">{t}Cannot change password{/t}</label>
+            </td>
+        </tr>
+
+
+        <tr>
+            <td>
+            </td>
+            <td>
+                {if $additional_info_PwdMustChange}
+                    <i>({$additional_info_PwdMustChange})</i>
+                {/if}
+            </td>
+        </tr>            
+    </table>
+
+    <table>
+        <tr>
+            <td colspan=2>
+                {render acl=$sambaKickoffTimeACL  checkbox=$multiple_support checked=$use_sambaKickoffTime}
+                    <input id="flag_sambaKickoffTime" type=checkbox name="flag_sambaKickoffTime" value="1"
+                        {if $flag_sambaKickoffTime} checked {/if} class="center">
+                {/render}
+                <label for="flag_sambaKickoffTime">{t}Account expires after{/t}</label>
+            </td>
+            <td style='width:200px;'>
+                {render acl=$sambaKickoffTimeACL}
+                    <input type="text" id="sambaKickoffTime" name="sambaKickoffTime" 
+                        class="date" style='width:100px' value="{$sambaKickoffTime}">
+                    {if $sambaKickoffTimeACL|regex_replace:"/[cdmr]/":"" == "w"}
+                        <script type="text/javascript">
+                            {literal}
+                               var datepicker2 = new DatePicker({
+                                    relative : 'sambaKickoffTime',
+                                    language : '{/literal}{$lang}{literal}',
+                                    keepFieldEmpty : true,
+                                    enableCloseEffect : false,
+                                    enableShowEffect : false });
+                            {/literal}
+                        </script>
+                    {/if}
+                {/render}
+            </td>
+        </tr>
+    </table>
+
+
+    <hr>
+
+    {render acl=$sambaLogonHoursACL mode=read_active  checkbox=$multiple_support checked=$use_SetSambaLogonHours}
+        {t}Samba log on times{/t}&nbsp;<button type='submit' name='SetSambaLogonHours'>{t}Edit settings...{/t}</button>
+    {/render}
+    <!-- /Samba policies -->
+
+  </td>
+  <td class='left-border'>
+
+   &nbsp;
+  </td>
+  <td>
+
+   <label for="workstation_list">{t}Allow connection from these workstations only{/t}</label>
+   <br>
+
+{if $multiple_support}
+	<input type="checkbox" name="use_workstation_list" {if $use_workstation_list} checked {/if} class="center"
+		onClick="changeState('workstation_list');">
+   <select {if $multiple_support && !$use_workstation_list} disabled {/if} 
+	id="workstation_list" style="width:100%;" name="workstation_list[]" size=10 multiple>
+	
+	{foreach from=$multiple_workstations item=item key=key}
+		{if $item.UsedByAllUsers}
+			<option value="{$key}">{$item.Name} ({t}Used by all users{/t})</option>
+		{else}
+			<option style='color: #888888; background: #DDDDDD;background-color: #DDDDDD;'
+				value="{$key}">{$item.Name} ({t}Used by some users{/t})</option>
+		{/if}
+	{/foreach}
+   </select>
+   <br>
+   <button type='submit' name='add_ws'>{msgPool type=addButton}</button>
+
+   <button type='submit' name='delete_ws'>{msgPool type=delButton}</button>
+
+{else}
+	{render acl=$sambaUserWorkstationsACL}
+	   <select id="workstation_list" style="width:100%;" name="workstation_list[]" size=5 multiple>
+		{html_options values=$workstations output=$workstations}
+	   </select>
+	{/render}
+	   <br>
+	{render acl=$sambaUserWorkstationsACL}
+	   <button type='submit' name='add_ws'>{msgPool type=addButton}</button>
+
+	{/render}
+	{render acl=$sambaUserWorkstationsACL}
+	   <button type='submit' name='delete_ws'>{msgPool type=delButton}</button>
+
+	{/render}
+{/if}
+  </td>
+ </tr>
+</table>
+
+<input type="hidden" name="sambaTab" value="sambaTab">

=== added file 'personal/samba/sambaLogonHours.tpl'
--- personal/samba/sambaLogonHours.tpl	1970-01-01 00:00:00 +0000
+++ personal/samba/sambaLogonHours.tpl	2010-10-04 10:45:44 +0000
@@ -0,0 +1,110 @@
+{if $acl}
+<!-- Javacript function used to switch a complete row or col of selected hours -->
+<script language="javascript" type="text/javascript">
+  {literal}
+  var $regex = new Array();
+  function toggle_chk($reg)
+  {
+    if(!$regex[$reg]){
+      $regex[$reg] =1;
+    }
+    $regex[$reg] *= -1;
+    if($regex[$reg] == 1){
+      chk_set_all($reg,true);
+    }else{
+      chk_set_all($reg,false);
+    }
+  }
+  {/literal}
+</script>
+{/if}
+
+<h3>{t}Specify the hours this user is allowed to log in{/t}</h3>
+<hr>
+<table style='background-color: #EEEEEE; width :100%;' summary="{t}Samba logon hours{/t}">
+  <tr>
+    <td>&nbsp;</td>
+    <td style='text-align:center;height:24px;' colspan="24">
+<b>{t}Hour{/t}</b></td>
+  </tr>
+  <tr>
+    <td class='list0'>&nbsp;
+</td>
+    {foreach from=$Hours item=hours key=key_hours}
+      {if (($hours)%2)==0}
+        <td style="text-align:center;height: 22px; background-color: rgb(226, 226, 226); ">
+      {else}
+        <td style='text-align:center;height: 22px; background-color: rgb(245, 245, 245); ' class='right-border'>
+
+      {/if}
+      {$hours}
+    </td>
+    {/foreach}
+  </tr>
+
+{if $acl}
+  <!-- Add toggle buttons for hours -->
+  <tr>
+    <td class='list0'>
+
+      &nbsp;
+    </td>
+    {foreach from=$Hours item=hours key=key_hours}
+      {if (($hours)%2)==0}
+        <td style="text-align:center; height: 22px; background-color: rgb(226, 226, 226); text-align: right;">
+      {else}
+        <td style='text-align:center; height: 22px; background-color: rgb(245, 245, 245); text-align: right;' class='right-border'>
+
+      {/if}
+
+      <input type='button' onClick="toggle_chk('^day_[0-9]*_{$hours}$');" value='+/-' style='width:100%;'>
+    </td>
+    {/foreach}
+    <td>
+      <input type='button' onClick="toggle_chk('^day_[0-9]*_[0-9]*$');" value='+/-' style='width:100%;'>
+    </td>
+  </tr>
+{/if}
+
+  <!-- Add Entries -->
+{foreach from=$Matrix item=days key=key_day}
+  <tr>
+    <td class='list0'>
+      <b>{$Days[$key_day]}</b>
+    </td>
+    {foreach from=$days item=hours key=key_hour}
+      {if (($key_hour)%2)==0}
+        <td style="text-align:center;height: 22px; background-color: rgb(226, 226, 226); ">
+      {else}
+        <td style='text-align:center;height: 22px; background-color: rgb(245, 245, 245); ' class='right-border'>
+
+      {/if}
+          <input type='checkbox' 
+            {if $acl} id='day_{$key_day}_{$key_hour}' name='day_{$key_day}_{$key_hour}' {/if}
+            {if $Matrix[$key_day].$key_hour} checked  {/if}
+            {if !$acl} disabled {/if}>
+      </td>
+    {/foreach}
+
+{if $acl}
+    <!-- Add toggle button for days -->
+    <td>  
+      <input type='button' onClick="toggle_chk('^day_{$key_day}_[0-9]*$')" value='+/-'  style='padding:0px;margin:0px;'>
+    </td>
+{/if}
+  </tr>
+{/foreach}
+</table>
+<input type='hidden' name='sambaLogonHoursPosted' value='1'> 
+<hr>
+
+<div class="plugin-actions">
+  {if $acl}
+   <button type='submit' name='save_logonHours'>{msgPool type=saveButton}</button>
+  {/if}
+  <button type='submit' name='cancel_logonHours'>{msgPool type=cancelButton}</button>
+</div>
+
+<!--  
+// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler: 
+-->

